apt (1.0.1) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix crash in "apt list" when a sources.list file is unreable
    (Closes: 743413)
  * make apt search case-insensitive by default
  * Fix possible race when stunnel/aptwebserver create their PID files
    in the tests
  * Fix insecure file permissions when using FileFd with OpenMode::Atomic
    (LP: #1304657)

  [ Julian Andres Klode ]
  * Version the Breaks/Replaces for sun-java{5,6}-jdk (LP: #1302736)
    (Closes: #743616)
  * Add versioned openjdk-6-jdk breaks

  [ Josef Vitu ]
  * apt: Minor typo in 'apt' man page (closes: #743657)

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Apr 2014 09:48:56 +0200

apt (1.0) unstable; urgency=low

  The "Happy birthday and 10000b years in the making" release

  [ Julian Andres Klode ]
  * apt-inst: Do not try to create a substring of an empty string in 
    error reporting (LP: #1288718)

  [ Beatrice Torracca ]
  * Italian manpages translation update (Closes: 741867)

  [ Kenshi Muto ]
  * Japanese programs translation update (Closes: 742255)

  [ David Kalnischkies ]
  * continue reading in xz even if it outputs nothing
  * only consider versioned kernel packages in autoremove (Closes: 741962)
  * correct some reported typos in /etc/cron.daily/apt (Closes: 702016)
  * ensure proper teardown in dpkg error cases (Closes: 738969)
  * update symbols file to include new symbols from 0.9.16
  * do IsInstallOk call in MarkInstall unconditionally
  * discard candidates via IsInstallOk to allow override (Closes: 740750)

  [ Michael Vogt ]
  * install apt binary
  * add apt.8.xml manpage
  * make fancy-progress fg/bg color configurable via something like
    Dpkg::Progress-Fancy::Progress-{bg,fg}="%1b[30m"
    (thanks to Tim Wasser for the suggestion)
  * Add progressbar to "Dpkg::Progress-Fancy"
  * fix documentation for APT::Periodic::MaxSize "0" (closes: #740551)
  * Use mkstemp() in apt-extracttemplaes (closes: #741627)
  * Add new Debug::RunScripts debug option
  * do not crash on SIGPIPE in pkgDPkgPM::RunScriptsWithPkgs()
  * enable DPkg::Progress-Fancy by default when "apt" is used
  * refresh po/pot and unfuzzy apt-extracttemplate manpage change
  * remove no longer needed apt.7 page
  * install "apt" binary by default
  * add sun-java{5,6}-jdk to breaks/replaces as they provided a 
    "apt" binary as well

  [ Trần Ngọc Quân ]
  * l10n: vi.po (623t): Update Vietnamese translation
  * debian: Add default compress option to xz

 -- Michael Vogt <mvo@debian.org>  Tue, 01 Apr 2014 15:48:46 +0200

apt (0.9.16.1) unstable; urgency=medium

  [ Chris Leick ]
  * Updated German doc translation

  [ Julian Andres Klode ]
  * Fix handling of autoclosing for compressed files (Closes: #741685)

 -- Julian Andres Klode <jak@debian.org>  Sat, 15 Mar 2014 18:05:25 +0100

apt (0.9.16) unstable; urgency=medium

  [ Michael Vogt ]
  * add hashsum support in apt-helper download-file and 
    add more tests

  [ Trần Ngọc Quân ]
  * l10n: vi.po (624t): Update Vietnamese translation

  [ David Kalnischkies ]
  * propagate a negative score point along breaks/conflicts
  * check version before adding scores in resolver
  * autogenerate makefile for vendor system
  * add default and override handling for Cnf::FindVector
  * support DEB_BUILD_PROFILES and -P for build profiles
  * do not configure already unpacked packages needlessly (Closes: 740843)
  * if mountpoint has a ".disk" directory it is mounted
  * no error for non-existing mountpoints in MountCdrom
  * apt-cdrom ident shouldn't be interactive (Closes: 740673)
  * support very long mtab entries in mountpoint discovery
  * msgstr with elipses need three dots
  * cmdline parsing: apt-config is not apt-cdrom
  * use a configurable list of versioned kernel packages
  * support kfreebsd and hurd in the kernel hook
  * add ".*-{kernel,modules}-$KERVER" matcher for hook
  * ensure that a dot is a dot in the hook
  * use liblzma-dev to provide xz/lzma support
  * use the pretty fullname of a pkg as download desciption

  [ Johannes Schauer ]
  * implement BuildProfileSpec support as dpkg has in 1.17.2 (Closes: 661537)

  [ Wojciech Górski ]
  * fix polish --install-suggests text in apt-get manpage (Closes: 741056)

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Mar 2014 09:45:05 +0100

apt (0.9.15.5) unstable; urgency=medium

  [ Michael Vogt ]
  * vendor/tanglu/makefile: add missing clean/sources.list
  * run the acquire tests with the new apt-helper binary, this
    fixes the autopkgtest failures

  [ Martin Pitt ]
  * Fix autopkgtest missing dependencies and locale (closes: #739988)

 -- Michael Vogt <mvo@debian.org>  Fri, 28 Feb 2014 08:44:25 +0100

apt (0.9.15.4) unstable; urgency=low

  [ Michael Vogt ]
  * remove auto-generated apt-key and sources.list on clean (closes: 739749)
  * add testcase for Bug#718329
  * various fixes for ADT failures
  
  [ Jon Severinsson ]
  * add apt-vendor information for tanglu

  [ Guillem Jover ]
  * ExtractTar: Allow an empty decompressor program
  * DebFile: Refactor ExtractTarMember() out from ExtractArchive()
  * Add support for data.tar, control.tar and control.tar.xz
  * debian: Add debDebFile::ExtractTarMember to the symbols file
  * Fix typos in documentation (codespell)

 -- Michael Vogt <mvo@debian.org>  Sun, 23 Feb 2014 00:27:12 +0100

apt (0.9.15.3) unstable; urgency=medium

  [ Michael Vogt ]
  * disable https->http redirects in libcurl, thanks to Julien Cristau
  * ADT: use "Restrictions: allow-stderr and avoid apt-stderr.log in 
    debian/tests/run-tests
  * test/integration/test-bug-723705-tagfile-truncates-fields: 
    - fix autopkgtest failure
  * add missing canNotFindFnmatch/showFnmatchSelection
    (for the next ABI break)
  * disable fnmatch() matching from the commandline
  * merge testcase for the autoremove feature from the ubuntu branch

  [ David Kalnischkies ]
  * do not recommend dselect in apt-get manpage (Closes: 617625)
  * report https download start only if we really get it
  * allow http protocol to switch to https
  * do not compress .xhtml files and remove junk files (Closes: 738933)
  * simplify code some more to make reddit happy
  * update symbols file with hints from the buildlogs

 -- Michael Vogt <mvo@debian.org>  Thu, 20 Feb 2014 14:42:39 +0100

apt (0.9.15.2) unstable; urgency=medium

  [ Michael Vogt ]
  * move isatty() check into InitOutput()
  * Use a APT::VersionSet instead of a VersionList
    (closes: #738103)

  [ David Kalnischkies ]
  * simplify code to make compilers happy
  * update libapt-pkg.symbols file
  * bump Standards-Version to 3.9.5 (no changes needed)
  * do not use an empty APT_CONFIG environment variable
  * always cleanup patchfiles at the end of rred call
  * use VersionSet in download to handle repeats (Closes: 738103)
  * use utimes instead of utimensat/futimens (Closes: 738567)

  [ John Ogness ]
  * apt-cdrom should succeed if any drive succeeds (Closes: 728153)

  [ Trần Ngọc Quân ]
  * l10n: vi.po (621t): Update and review

 -- Michael Vogt <mvo@debian.org>  Thu, 13 Feb 2014 09:50:04 +0100

apt (0.9.15.1) unstable; urgency=medium

  [ David Kalnischkies ]
  * use gpg --homedir instead of explicit file placement
  * use svg in doxygen and ensure dot is around for it
  * pkgTagFile: if we have seen the end, do not try to see more
  * restart debSrcRecordParsers only if needed
  * discard impossible candidates in MarkInstall (Closes: #735967)

  [ Chris Leick ]
  * update german manpage translation
  * Trivian unfuzzies of the German po4a translation

  [ Michael Vogt ]
  * fix apt-get download truncation (closes: #736962)
  * do not crash if VF.File()/VF.File().Archive() is NULL
  * show "status" in apt list last to be more awk friendly
    (thanks to Axel Beckert)
  * Fix multiarch package upgrade issue
  * add test for Suite with path

  [ Colin Watson ]
  * multicompress with externals sets wrong file modes (Closes: 737130)

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Feb 2014 18:09:19 +0100

apt (0.9.15) unstable; urgency=low

  * upload version from debian/experimental to unstable

 -- Michael Vogt <mvo@debian.org>  Sat, 25 Jan 2014 21:57:00 +0100

apt (0.9.14.3~exp5) experimental; urgency=medium

  [ Anthony Towns ]
  * methods/rred: minor robustness improvements

  [ Michael Vogt ]
  * make "apt-mark help" shows all commands
  * make "apt show" output more user friendly
  * add "apt full-upgrade" and tweak "apt upgrade"
  * set APT::Sources::Use-Deb822=false until the format
    is fully finalized

 -- Michael Vogt <mvo@debian.org>  Fri, 24 Jan 2014 23:21:04 +0100

apt (0.9.14.3~exp4) experimental; urgency=medium

  * implement deb822 suggestions by Anthony Towns and Julian Andres Klode:
    - add Description tag for deb822 sources
    - add support for Enabled: no in deb822 sources.list
    - add support for multiple URIs in deb822 style sources.list
    - add support for multipl types in one line
  * add integration test for apt search and apt show
  * do not ignore ioctl(TIOCSCTTY) errors

 -- Michael Vogt <mvo@debian.org>  Wed, 22 Jan 2014 18:59:07 +0100

apt (0.9.14.3~exp3) experimental; urgency=low

  * implement deb822 suggestions by donkult (thanks!):
    - rename "Dist" to "Suites"
    - rename "Section" to "Sections"
    - rename "Architectures-Delete" to "Architectures-Remove"
    - rename "Uri" to "URI"
  * add "apt list --manual-installed"
  * add "apt upgrade --dist"
  * add "apt purge"
  * flock() the file edited in "apt edit-sources"
  * apt-private/private-show.cc: 
    - do not show Description-lang: header
  * reword apt !isatty() warning
  * add missing integration test for "apt list" and fix bugs
    found by it

 -- Michael Vogt <mvo@debian.org>  Sat, 18 Jan 2014 21:09:24 +0100

apt (0.9.14.3~exp2) experimental; urgency=medium

  [ Julian Andres Klode ]
  * debian/rules: Call dh_makeshlibs for 'apt'

  [ Anthony Towns ]
  * reimplement rred to allow applying all the diffs in a single pass
  * correct IndexDiff vs DiffIndex in Debug output

  [ David Kalnischkies ]
  * reenable unlimited pdiff files download
  * integrate Anthonys rred with POC for client-side merge

  [ Michael Vogt ]
  * document deb822 style sources.list in sources.list(5)
  * rename "Dist:" in deb822 style sources.list to "Suite:"
  * rename URL to Uri in deb822-sources
  * support multiple "Suite:" entries in deb822 style sources.list:
    "Suite: stable testing unstable"
  
 -- Michael Vogt <mvo@debian.org>  Thu, 16 Jan 2014 21:43:22 +0100

apt (0.9.14.3~exp1) experimental; urgency=low

  [ Michael Vogt ]
  * add support for "deb822" style sources.list format and add
    APT::Sources::Use-Deb822 to support disabling it

  [ David Kalnischkies ]
  * implement POC client-side merging of pdiffs via apt-file

  [ Trần Ngọc Quân ]
  * l10n: vi.po(617t): Update Vietnamese translation

 -- Michael Vogt <mvo@debian.org>  Sun, 05 Jan 2014 15:13:32 +0100

apt (0.9.14.2) unstable; urgency=low

  [ Joe Hansen ]
  * Danish translation update. Closes: #732166
  
  [ Peter Green ]
  * add apt-vendor for raspbian. Closes: #732749

  [ Thomas Bechtold ]
  * apt-pkg/contrib/gpgv.cc: use /tmp as fallback dir if the
    directory from $TMPDIR  is not available (closes: #728500)
  
  [ Michael Vogt ]
  * vendor/getinfo:
    - fix ubuntu-codename
  * vendor/steamos/*:
    - add steamos support
  * bugfix/bts731738-fancy-progess:
    - fix terminal size issues with e.g. "less" when "APT::Progress-Fancy=1"
      is used (closes: #731738)
  * feature/policy-parser-bts732746:
    - allow more flexibility in /etc/apt/preferences, e.g. comment only
      sections (closes: #732746)
  * move TMPDIR handling into GetTempDir() and use that instead of
    getenv("TMPDIR")
  * update apt-key net-update and add integration test with the buildin
    apt webserver
  * run autopkgtest against the installed apt

 -- Michael Vogt <mvo@debian.org>  Sun, 29 Dec 2013 16:41:16 +0100

apt (0.9.14.1) unstable; urgency=medium

  * fix apt-get source -t dist regression (closes: #731853)
    and add testcase
  * clarify error message when apt-get source=ver fails
    (thans to David Kalnischkies)
  * Fix conffile prompt regression (LP: #1260297)
    and add testcase
  * improve error message for apt-get source pkg:arch{=ver,/release}

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Dec 2013 18:34:29 +0100

apt (0.9.14) unstable; urgency=low

  [ David Kalnischkies ]
  * merge ubuntus apport reporting changes to reduce diff
  * enable NOISE for build logs to enable analyse
  * introduce a vendor system to change sources.list
  * add a vendor specific file to have configurable entities
  * use a substvar to set the archive-keyring in debian/control
  * cherry-pick ubuntus (disabled) net-update fixes
  * generate apt-key script with vendor info about keys
  * drop old /var/state to /var/lib transition artefacts

  [ Steve Langasek ]
  * prepare-release: declare the packages needed as source build deps.

  [ Michael Vogt ]
  * enable release based selection for deb-src (closes: 731102)
  * document Dpkg::Progress-Fancy (closes: 726169), thanks to James McCoy
  * vendor/makefile: fix build error for parallel builds
  * Handle SIGWINCH in APT::Progress-Fancy=1

 -- Michael Vogt <mvo@debian.org>  Sat, 07 Dec 2013 14:54:31 +0100

apt (0.9.13.1) unstable; urgency=low

  [ Colin Watson ]
  * fix "apt-get  --purge build-dep" (closes: #720597)
  * fix regression that APT::Keep-Fds is not honored (closes: #730490)
  
  [ Michael Vogt ]
  * add "-f" option to "build-dep" as sbuild is using it to fix 
    regression with cross-building (LP: #1255806)
  * add autopkgtest support for the integration testsuite
  * merge mvo/feature/short-list
  * merge mvo/feature/edit-sources
  * fix segfault in pkgDepCache::SetCandidateRelease() (closes: #709560)
  * reset terminal on error (closes: #730795)
  * fix apport report writing (LP: #1254499)

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Nov 2013 20:50:17 +0100

apt (0.9.13) unstable; urgency=low

  [ TJ Guthrie ]
  * Changed MinAgeSec to MinAge in /etc/cron.daily/apt:200,204 
    LP: #1206047

 -- Michael Vogt <mvo@debian.org>  Sun, 24 Nov 2013 10:56:22 +0100

apt (0.9.13~exp1) experimental; urgency=low

  * Improve the API for APT::Upgrade::Upgrade()
  * Re-add "Calculating upgrade..." message
  * move upgrade releated code into upgrade.{cc,h}
  * Move ListUpdate/AquireUpdate into update.{cc,h}
  * Add new apt-pkg/install-progress.h with APT::Progress::PackageManager
    progress reporting classes
  * Move the status-fd progress reporting out of the pkgDPkgPM class
    and into PackageManagerProgressFd
  * Fix reading dpkg --status-fd on reinstalls
  * Add new APT::Status-deb822-Fd progress output
  * add Acquire::http::Proxy-Auto-Detect to the apt.conf.5 manpage
    (closes: 726597)
  * Fix detection when multiarch packages are reported by dpkg as
    disappeared Packages
  * test/integration/run-tests: output the failed test names
  * Code Cleanup in pkgDPkgPM
  * prepare next ABI via #if (APT_PKG_MAJOR >= 4 && APT_PKG_MINOR >= 13)
  * add new pid_t ExecFork(std::set<int> KeepFDs)
  * Avoid flickering when "apt-get -o DpkgPM::Progress-Fancy=1" is use
  * use sysconf(_SC_OPEN_MAX) in ExecFork()

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Nov 2013 10:03:06 +0100

apt (0.9.12.1) unstable; urgency=low

  [ Michael Vogt ]
  * do not send pkgname:arch over the APT::Status-Fd to not break
    clients (closes: 726156). A new APT::Status-deb822-Fd will be
    used to fix this.
  * add integration tests for APT::Status-Fd
  * add missing _() around the new "Progress" string

  [ David Kalnischkies ]
  * fix progress-segfault in case of dpkg errors/prompts (Closes: 726047)

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Oct 2013 18:25:51 +0200

apt (0.9.12) unstable; urgency=low

  [ Christian Perrier ]
  * Fix typo in apt-private/private-show.cc. Thanks to Benjamin
    Keresa. Closes: #724073
  
  [ Mark Hymers ]
  * fix libapt-inst for >2G debs (closes: #725483)

  [ David Kalnischkies ]
  * don't strip :any from dependencies in single-arch (Closes: 723586)
  * pkg from only trusted sources keeps being trusted (Closes: 617690)
  * compression-neutral message for missing data.tar member (Closes: 722710)
  * print-uris prints regardless of quiet-level again (Closes: 722207)
  * retry without partial data after a 416 response (Closes: 710924)
  * replace "filesize - 1" trick in http with proper 416 handling
  * fix partial (206 and 416) support in https
  * handle complete responses to https range requests (Closes: 617643, 667699)
    (LP: 1157943)
  * don't consider holds for autoremoval (Closes: 724995)
  * put fetch errors in 'source' on our errorstack
  * use pkgAcqArchive in 'download' for proper errors
  * fix lzma-support detection via xz binary
  * do not ++ on erased package pointers in autoremove

  [ Michael Vogt ]
  * Add new "apt-get upgrade --with-new-pkgs" option (and add man-page for it).
    So "apt-get upgrade --with-new-pkgs" will pull in new dependencies but
    never remove packages
  * Rename "--dpkg-progress" to "--show-progress" and document it in 
    apt-get.8. This will show global install progress information in the
    terminal.
  * Fix status-fd progress calculation for certain multi-arch install/upgrade
    situations
  * add new -o DpkgPM::Progress-Fancy for nicer dpkg progress output 
    on vt100+ terminals
  * fix libapt-inst for >2G debs (closes: #725483), thanks to Mark Hymers 
  * debian/apt.postinst: use --compare-versions lt instead of lt-nl, 
    to ensure the apt-auto-removal file is correctly create, 
    thanks to Ben Hutchings
  * update Uploaders to match recent uploaders better
  * Set the default "Acquire::PDiffs::FileLimit" to 20. If the amount
    of pdiffs is bigger things tend to get slower. Set
      Acquire::PDiffs::FileLimit "0";
    in /etc/apt/apt.conf to get the old behavior back.

 -- Michael Vogt <mvo@debian.org>  Wed, 09 Oct 2013 22:39:41 +0200

apt (0.9.11.4) unstable; urgency=low

  [ Oskari Saarenmaa ]
  * don't truncate 100 char long paths in tar extraction.
    Thanks to Mika Eloranta for the testcase! (Closes: #689582)

  [ David Kalnischkies ]
  * do not trust FileFd::Eof() in pkgTagFile::Fill()
    Thanks to Cyril Brulebois (Closes: 723705)

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Sep 2013 16:12:07 +0200

apt (0.9.11.3) unstable; urgency=low

  [ Michael Vogt ]
  * Add DPkgPM::Progress option to enable terminal install 
    progress
  * fix typo (mkostemp->mkstemp)
  * Remove invalid "-f" option for apt-get check, thanks to
    Philipp Weis (closes: #721477)
  * Fix regression of "apt-cache unmet -i", thanks to Daniel Schepler
    (closes: #722324)

  [ David Kalnischkies ]
  * use FileFd in HashSum test to unbreak non-linux ports.
    Thanks to Aaron M. Ucko (Closes: 721723)

 -- Michael Vogt <mvo@debian.org>  Tue, 10 Sep 2013 17:32:02 +0200

apt (0.9.11.2) unstable; urgency=low

  [ Milo Casagrande ]
  * Update Italian translation. Closes: #721030
  
  [ Trần Ngọc Quân ]
  * Update Vietnamese translation. Closes: #720752
  
  [ Michael Vogt ]
  * dselect/install:
   - remove "-f" option for apt-get clean/auto-clean (closes: #720532)
  * apt-private/private-cmndline.cc:
    - fix typo in CmdMatches() selection for dselect-upgrade (closes: #720532)
  * use SPtr<pkgProblemResolver> in DoInstall() to simplify the code
  * allow pkg manipulation in the upgrade/dist-upgrade commandline, like
    apt-get dist-upgrade 2vcard- 4g8+ (thanks to Thorsten Glaser for the
    suggestion)

  [ Angel Guzman Maeso ]
  * replace usage of potential dangerous mktemp with mkstemp

 -- Michael Vogt <mvo@debian.org>  Sat, 31 Aug 2013 16:45:31 +0200

apt (0.9.11.1) unstable; urgency=low

  [ Michael Vogt ]
  * more coverity fixes:
    - explicit init 
    - always chdir("/") after chroot()
    - ftparchive/override.cc: fix "skip empty lines" code, the pointer 
      needs to get de-referenced first
  * dselect/update: 
    - remove "-f" option for apt-get update to fix breakage (closes: 720532)

  [ Christopher Baines ]
  * Add test for bug #507998

  [ David Kalnischkies ]
  * add a breaks libapt-inst for FileFd changes in 0.9.9 (Closes: 720449)
  * add versions to manpages-it Replaces+Breaks

  [ Ángel Guzmán Maeso ]
  * apt-pkg:contrib Avoid compiler warning about sign-compare

 -- Michael Vogt <mvo@debian.org>  Sat, 24 Aug 2013 09:13:27 +0200

apt (0.9.11) unstable; urgency=low

  [ Daniel Hartwig ]
  * Clarify units of Acquire::http::Dl-Limit (closes: #705445)
  * Show a error message if {,dist-}upgrade is used with additional
    arguments (closes: #705510)

  [ Michael Vogt ]
  * lp:~mvo/apt/config-clear:
    - support Configuration.Clear() for a clear of the entire 
      configuration
  * lp:~mvo/apt/add-glob-function:
    -  add Glob() to fileutl.{cc,h}
  * feature/apt-binary2
    - refactor large chunks of cmdline/*.cc into a new libapt-private
      library that is shared between the internal apt cmdline tools
    - install libapt-private* into the apt binary
    - add PACKAGE_MATCHER_ABI_COMPAT define so that this branch can be 
      merged without breaking ABI
    - add lintian override for no-shlibs-control-file so that
      the internal libapt-private.so.0.0.0 can be shipped
    - adjust apt.install.in to only install libapt-private.so.*

  [ David Kalnischkies ]
  * ensure that pkgTagFile isn't writing past Buffer length (Closes: 719629)
  * allow Pre-Install-Pkgs hooks to get info over an FD != stdin
    (Closes: #671726)

  [ Christian PERRIER ]
  * French translation update.

 -- Michael Vogt <mvo@debian.org>  Wed, 21 Aug 2013 17:51:09 +0200

apt (0.9.10) unstable; urgency=low

  The "Hello to Debconf" upload
  
  [ Christian Perrier ]
  * Vietnamese translation update. Closes: #718615
  * Japanese translation update. Closes: #719279
  * French translation update.

  [ Michael Vogt ]
  * work on fixing coverity scan results:
    - fix some off-by-one errors
    - fix some resource leaks
    - fixes in chroot() handling
    - fix some missing va_end()
  * make the code -Wall clean again
  * remove duplicated #include<list>
  * add .travis.yml
  * use the 'abi-complicance-checker' package and remove the buildin 
    copy for the abi checks

  [ David Kalnischkies ]
  * ensure that FileFd::Size returns 0 in error cases
  * add missing Turkish (tr) to po/LINGUAS
  * correct management-typo in description found by lintian
  * implement debian/rules build-{arch,indep} as required by policy 3.9.4
  * reenable automatic parallel build of APT
  * exclude config.{sub,guess} from source package
  * update the symbol files to reflect current state
  * unset LANGUAGE for showing [Y/n] answer hints
  * fix some unitialized data members
  * specific pins below 1000 cause downgrades (Closes: 543966)
  * use pkgTagFile to parse "header" of Release files
  * fix: --print-uris removes authentication (Closes: 719263)
  * always use our own trustdb.gpg in apt-key
  * use a tmpfile for trustdb.gpg in apt-key.
    Thanks to Andreas Beckmann for the initial patch! (Closes: #687611)
  * do not double-slash paths in apt-key (Closes: 665411)
  * make the keyring locations in apt-key configurable
  * let apt-key del work better with softlink and single key keyrings
  * do not call 'apt-key update' in apt.postinst
  
  [ Colin Watson ]
  * prefer native arch over higher priority for providers (Closes: #718482)

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Aug 2013 21:45:07 +0200

apt (0.9.9.4) unstable; urgency=low

  [ David Kalnischkies ]
  * pick up Translation-* even if only compressed available (Closes: 717665)
  * request absolute URIs from proxies again (0.9.9.3 regession)
    (Closes: 717891)
  
  [ Michael vogt ]
  * fix missing changelog entry for 0.9.9.3 (git-dch issue)

 -- Michael Vogt <mvo@debian.org>  Fri, 26 Jul 2013 09:58:17 +0200

apt (0.9.9.3) unstable; urgency=low

  [ Ben Hutchings ]
  * debian/apt.auto-removal.sh:
    - do not include debug symbol packages for the kernel in the 
      blacklist (closes: #717616)
  
  [ Michael Vogt ]
  * debian/apt.postinst:
    - run /etc/kernel/postinst.d/apt-auto-removal once on upgrade
      to ensure that the correct auto-removal list is generated
      (closes: #717615)

  [ David Kalnischkies ]
  * skip all Description fields in apt-cache, not just first (Closes: 717254)
  * fix 'apt-cache search' crash with missing description (Closes: 647590)

  [ Raphael Geissert ]
  * Do not send a connection: keep-alive, at all
  
 -- Michael Vogt <mvo@debian.org>  Thu, 25 Jul 2013 17:14:58 +0200

apt (0.9.9.2) unstable; urgency=low

  [ Programs translations ]
  * Vietnamese updated by Tran Ngoc Quan. Closes: #717016

  [ David Kalnischkies ]
  * fix if-clause to generate hook-info for 'rc' packages (Closes: 717006)

 -- Michael Vogt <mvo@debian.org>  Wed, 17 Jul 2013 14:56:34 +0200

apt (0.9.9.1) unstable; urgency=low

  [ Michael Vogt ]
  * debian/rules:
    - call dh_clean in clean (closes: #714980)
  * apt-pkg/packagemanager.cc:
    - increate APT::pkgPackageManager::MaxLoopCount to 5000
  * cherry pick debian/apt.auto-removal.sh feature from the
    ubuntu/master branch

  [ Steve Langasek ]
  * debian/apt.conf.autoremove: don't include linux-image*,
    linux-restricted-modules*, and linux-ubuntu-modules* packages in the
    list to never be autoremoved.
  * debian/apt.auto-removal.sh, debian/rules, debian/apt.dirs: install new
    script to /etc/kernel/postinst.d/ which ensures we only automatically
    keep the currently-running kernel, the being-installed kernel, and the
    newest kernel, so we don't fill /boot up with an unlimited number of
    kernels.  LP: #923876.

  [ Adam Conrad ]
  * Fix up two things in debian/apt.auto-removal.sh:
    - Use exact matches with $-terminated regexes, so we don't get
      confusion between similarly-named kernel flavours.
    - Keep linux-backports-modules in sync with installed kernels.

  [ David Kalnischkies ]
  * Version 3 for DPkg::Pre-Install-Pkgs with MultiArch info (Closes: #712116)
  * implement arch+= and arch-= for sources.list
  * prevent MarkInstall of unsynced Multi-Arch:same siblings

 -- Michael Vogt <mvo@debian.org>  Thu, 11 Jul 2013 20:44:31 +0200

apt (0.9.9) unstable; urgency=low

  [ Michael Vogt ]
  * improve debug output for the Debug::pkgProblemResolver and
    Debug::pkgDepCache::AutoInstall
  * improve apt-cdrom output when no CD-ROM can be auto-detected
  * document --no-auto-detect in apt-cdrom

  [ David Kalnischkies ]
  * build the en manpages in subdirectory doc/en
  * remove -ldl from cdrom and -lutil from apt-get linkage
  * rewrite pkgOrderList::DepRemove to stop incorrect immediate setting
    (Closes: 645713)
  * prefer Essentials over Removals in ordering score
  * fix priority sorting by prefering higher in MarkInstall
  * try all providers in order if uninstallable in MarkInstall
  * do unpacks before configures in SmartConfigure (Closes: #707578)
  * fix support for multiple patterns in apt-cache search (Closes: #691453)
  * set Fail flag in FileFd on all errors consistently
  * don't explicitly init ExtractTar InFd with invalid fd
  * OpenDescriptor should autoclose fd always on error (Closes: #704608)
  * fail in CopyFile if the FileFds have error flag set
  * ensure state-dir exists before coyping cdrom files
  * fix file location for configure-index.gz in apt.conf(5) (Closes: #711921)
  * handle missing "Description" in apt-cache show (Closes: #712435)
  * try defaults if auto-detection failed in apt-cdrom (Closes: #712433)
  * support \n and \r\n line endings in ReadMessages
  * do not redownload unchanged InRelease files
  * trigger NODATA error for invalid InRelease files (Closes: #712486)

 -- Michael Vogt <mvo@debian.org>  Tue, 02 Jul 2013 08:58:33 +0200

apt (0.9.8.2) unstable; urgency=low

  [ Programs translations ]
  * French translation : typo fix. Closes: #677272

  [ Guillem Jover ]
  * Update Vcs fields (Closes: #708562)
  
  [ Michael Vogt ]
  * buildlib/apti18n.h.in:
    - fix build failure when building without NLS (closes: #671587)
  
  [ Gregoire Menuel ]
  * Fix double free (closes: #711045)
  
  [ Raphael Geissert ]
  * Fix crash when the "mirror" method does not find any entry
    (closes: #699303)

  [ Johan Kiviniemi ]
  * cmdline/apt-key:
    - Create new keyrings with mode 0644 instead of 0600.
    - Accept a nonexistent --keyring file with the adv subcommand as well.

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Jun 2013 19:15:14 +0200

apt (0.9.8.1) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/indexcopy.cc:
    - non-inline RunGPGV methods to restore ABI compatibility with previous
      versions to fix partial upgrades (Closes: #707771)
  
  [ Michael Vogt ]
  * moved source to http://git.debian.org/apt/apt.git
  * updated gbp.conf to match what bzr-buildpackage is doing
  * remove .bzr-buildpackage/default.conf (superseeded by gbp.conf)

 -- Michael Vogt <mvo@debian.org>  Thu, 16 May 2013 14:50:43 +0200

apt (0.9.8) unstable; urgency=low

  [ Ludovico Cavedon ]
  * properly handle if-modfied-since with libcurl/https 
    (closes: #705648)
  
  [ Andreas Beckman ]
  * apt-pkg/algorithms.cc:
    - Do not propagate negative scores from rdepends. Propagating the absolute
      value of a negative score may boost obsolete packages and keep them
      installed instead of installing their successors.  (Closes: #699759)
  
  [ Michael Vogt ]
  * apt-pkg/sourcelist.cc:
    - fix segfault when a hostname contains a [, thanks to 
      Tzafrir Cohen (closes: #704653)
  * debian/control:
    - replace manpages-it (closes: #704723)

  [ David Kalnischkies ]
  * various simple changes to fix cppcheck warnings
  * apt-pkg/pkgcachegen.cc:
    - do not store the MD5Sum for every description language variant as
      it will be the same for all so it can be shared to save cache space
    - handle language tags for descriptions are unique strings to be shared
    - factor version string creation out of NewDepends, so we can easily reuse
      version strings e.g. for implicit multi-arch dependencies
    - equal comparisions are used mostly in same-source relations,
      so use this to try to reuse some version strings
    - sort group and package names in the hashtable on insert
    - share version strings between same versions (of different architectures)
      to save some space and allow quick comparisions later on
  * apt-pkg/pkgcache.cc:
    - assume sorted hashtable entries for groups/packages
  * apt-pkg/cacheiterators.h:
    - provide DepIterator::IsSatisfied as a nicer shorthand for DepCheck
  * apt-pkg/deb/debversion.cc:
    - add a string-equal shortcut for equal version comparisions

  [ Marc Deslauriers ]
  * make apt-ftparchive generate missing deb-src hashes (LP: #1078697)
  
  [ Yaroslav Halchenko ]
  * Fix English spelling error in a message ('A error'). Unfuzzy
    translations. Closes: #705087

  [ Programs translations ]
  * French translation completed (Christian Perrier)
  
  [ Manpages translations ]
  * French translation completed (Christian Perrier)

  [ Daniel Hartwig ]
  * apt-pkg/contrib/strutl.cc:
    - include port in shortened URIs (e.g. with apt-cache policy, progress
      display) thanks to James McCoy (Closes: #154868, #322074)
    - percent-encode username and password when writing URIs
  * methods/http.cc:
    - properly escape IP-literals (e.g. IPv6 address) when building
      Host headers and URIs (Closes: #620344)
  * methods/https.cc:
    - use https_proxy environment variable if present, falling back to
      http_proxy otherwise
    - use authentication credentials from proxy URI
      (Closes: #651640, LP: #1087512)
    - environment variables do not override an explicit no proxy
      directive ("DIRECT") in apt.conf
    - disregard all_proxy environment variable, like other methods
  
 -- Michael Vogt <mvo@debian.org>  Wed, 08 May 2013 18:43:28 +0200

apt (0.9.7.9~exp2) experimental; urgency=low

  [ Programs translations ]
  * Update all PO files and apt-all.pot
  * French translation completed (Christian Perrier)
  
  [ Daniel Hartwig ]
  * cmdline/apt-get.cc:
    - do not have space between "-a" and option when cross building
      (closes: #703792)
  * test/integration/test-apt-get-download:
    - fix test now that #1098752 is fixed
  * po/{ca,cs,ru}.po:
    - fix merge artifact

  [ David Kalnischkies ]
  * apt-pkg/indexcopy.cc:
    - rename RunGPGV to ExecGPGV and move it to apt-pkg/contrib/gpgv.cc
  * apt-pkg/contrib/gpgv.cc:
    - ExecGPGV is a method which should never return, so mark it as such
      and fix the inconsistency of returning in error cases
    - don't close stdout/stderr if it is also the statusfd
    - if ExecGPGV deals with a clear-signed file it will split this file
      into data and signatures, pass it to gpgv for verification
    - add method to open (maybe) clearsigned files transparently
  * apt-pkg/acquire-item.cc:
    - keep the last good InRelease file around just as we do it with
      Release.gpg in case the new one we download isn't good for us
  * apt-pkg/deb/debmetaindex.cc:
    - reenable InRelease by default
  * ftparchive/writer.cc,
    apt-pkg/deb/debindexfile.cc,
    apt-pkg/deb/deblistparser.cc:
    - use OpenMaybeClearSignedFile to be free from detecting and
      skipping clearsigning metadata in dsc and Release files

  [ Michael Vogt ]
  * add regression test for CVE-2013-1051
  * implement GPGSplit() based on the idea from Ansgar Burchardt
    (many thanks!)
  * methods/connect.cc:
    - use Errno() instead of strerror(), thanks to David Kalnischk
  * doc/apt.conf.5.xml:
    - document Acquire::ForceIPv{4,6}

 -- Michael Vogt <mvo@debian.org>  Wed, 03 Apr 2013 14:19:58 +0200

apt (0.9.7.9~exp1) experimental; urgency=low

  [ Niels Thykier ]
  * test/libapt/assert.h, test/libapt/run-tests:
    - exit with status 1 on test failure
  
  [ Daniel Hartwig ]
  * test/integration/framework:
    - continue after test failure but preserve exit status

  [ Programs translation updates ]
  * Turkish (Mert Dirik). Closes: #703526

  [ Colin Watson ]
  * methods/connect.cc:
    - provide useful error message in case of EAI_SYSTEM
      (closes: #703603)
  
  [ Michael Vogt ]
  * add new config options "Acquire::ForceIPv4" and 
    "Acquire::ForceIPv6" to allow focing one or the other
    (closes: #611891)
  * lp:~mvo/apt/fix-tagfile-hash:
    - fix false positives in pkgTagSection.Exists(), thanks to
      Niels Thykier for the testcase (closes: #703240)
    - this will require rebuilds of the clients as this used to
      be a inline function

 -- Michael Vogt <mvo@debian.org>  Fri, 22 Mar 2013 21:57:08 +0100

apt (0.9.7.8) unstable; urgency=criticial

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051
  
  [ David Kalnischk ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Mar 2013 07:47:36 +0100

apt (0.9.7.8~exp2) experimental; urgency=low

  * include two missing patches to really fix bug #696225, thanks to
    Guillem Jover 
  * ensure sha512 is really used when available, thanks to Tyler Hicks
   (LP: #1098752)

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Mar 2013 19:06:55 +0100

apt (0.9.7.8~exp1) experimental; urgency=low

  [ Manpages translation updates ]
  * Italian (Beatrice Torracca). Closes: #696601
  
  [ Programs translation updates ]
  * Japanese (Kenshi Muto). Closes: #699783
  
  [ Michael Vogt ]
  * fix pkgProblemResolver::Scores, thanks to Paul Wise. 
    Closes: #697577
  * fix missing translated apt.8 manpages, thanks to Helge Kreutzmann
    for the report. Closes: #696923
  * apt-pkg/contrib/progress.cc:
    - Make "..." translatable to fix inconsistencies in the output
      of e.g. apt-get update. While this adds new translatable strings,
      not having translations for them will not break anything.
      Thanks to Guillem Jover. Closes: #696225
  * debian/apt.cron.daily:
    - when reading from /dev/urandom, use less entropy and fix a rare
      bug when the random number chksum is less than 1000.
      Closes: #695285
  * methods/https.cc:
    - reuse connection in https, thanks to Thomas Bushnell, BSG for the
      patch. LP: #1087543, Closes: #695359
    - add missing curl_easy_cleanup()
  * methods/http.cc:
    - quote spaces in filenames to ensure as the http method is also
      (potentially) used for non deb,dsc content that may contain
      spaces, thanks to Daniel Hartwig and Thomas Bushnell 
      (LP: #1086997)
    - quote plus in filenames to work around a bug in the S3 server
      (LP: #1003633)
  * apt-pkg/indexrecords.cc:
    - support '\r' in the Release file

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - prefer to install packages which have an already installed M-A:same
      sibling while choosing providers (LP: #1130419)

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Mar 2013 14:16:42 +0100

apt (0.9.7.7) unstable; urgency=low

  [ Program translation updates ]
  * Catalan (Jordi Mallach)
  * Drop a confusing non-breaking space. Closes: #691024
  * Thai (Theppitak Karoonboonyanan). Closes: #691613
  * Vietnamese (Trần Ngọc Quân). Closes: #693773
  * Fix Plural forms in German, French, Japanese and Portuguese
    translations. Thanks to Jakub Wilk for reporting these errors.

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not do lock-step configuration for a M-A:same package if it isn't
      unpacked yet in SmartConfigure and do not unpack a M-A:same package
      again in SmartUnPack if we have already configured it (LP: #1062503)
  * apt-pkg/depcache.cc:
    - don't call MarkInstall with the FromUser flag set for packages
      which are dependencies of APT::Never-MarkAuto-Sections matchers
    - no mode changes should obviously be ok for pkgDepCache::IsModeChangeOk
  * cmdline/apt-get.cc:
    - do not call Mark{Install,Delete} from the autoremove code with
      the FromUser bit set to avoid modifying the auto-installed bit
  * apt-pkg/algorithms.cc:
    - ensure pkgProblemResolver calls MarkDelete without FromUser set
      so that it can't overrule holds and the protection flag
  
  [ Michael Vogt ]
  * change permissions of /var/log/apt/term.log to 0640 (LP: #975199)

  [ Jonathan Thomas ]
  * apt-pkg/algorithms.cc:
    - fix package-pointer array memory leak in ResolveByKeepInternal()

 -- Michael Vogt <mvo@debian.org>  Thu, 13 Dec 2012 09:52:19 +0100

apt (0.9.7.6) unstable; urgency=low

  [ Program translation updates ]
  * Ukrainian (A. Bondarenko)

  [ David Kalnischkies ]
  * apt-pkg/pkgcachegen.cc:
    - ensure that dependencies for packages:none are always generated
    - add 2 missing remap registrations causing a segfault in case
      we use the not remapped iterators after a move of the mmap again
    - write the native architecture as unique string into the cache header
      as it is used for arch:all packages as a map to arch:native.
      Otherwise arch comparisons later will see differences (Closes: #689323)
  * apt-pkg/pkgcache.cc:
    - ignore negative dependencies applying in the same group for M-A:same
      packages on the real package name as self-conflicts (Closes: #688863)
  * cmdline/apt-cache.cc:
    - print versioned dependency relations in (r)depends if the option
      APT::Cache::ShowVersion is true (default: false) as discussed in
      #218995 to help debian-cd fixing #687949. Thanks to Sam Lidder
      for initial patch and Steve McIntyre for nagging and testing!
  * apt-pkg/edsp.cc:
    - include reinstall requests and already installed (= protected) packages
      in the install-request for external resolvers (Closes: #689331)
  * apt-pkg/policy.cc:
    - match pins with(out) an architecture as we do on the commandline
      (partly fixing #687255, b= support has to wait for jessie)
  * apt-pkg/contrib/netrc.cc:
    - remove the 64 char limit for login/password in internal usage
    - remove 256 char line limit by using getline() (POSIX.1-2008)
  
  [ Colin Watson ]
  * apt-pkg/pkgcachegen.cc:
    - Fix crash if the cache is remapped while writing a Provides version
      (LP: #1066445).

 -- Michael Vogt <mvo@debian.org>  Tue, 16 Oct 2012 18:08:53 +0200

apt (0.9.7.5) unstable; urgency=low

  [ Manpages translation updates ]
  * Japanese (KURASAWA Nozomu) (Closes: #684435)
  * Portuguese (Américo Monteiro) (Closes: #686975)

  [ David Kalnischkies ]
  * handle packages without a mandatory architecture (debian-policy §5.3)
    by introducing a pseudo-architecture 'none' so that the small group of
    users with these packages can get right of them without introducing too
    much hassle for other users (Closes: #686346)
  * apt-pkg/cdrom.cc:
    - copy only configured translation files from a CD-ROM and not all
      available translation files preventing new installs with d-i from
      being initialized with all translations (Closes: #678227)
    - handle Components in the reduction for the source.list as multi-arch CDs
      otherwise create duplicated source entries (e.g. "wheezy main main")
  * apt-pkg/packagemanager.cc:
    - unpack versions only in case a different version from the package
      is currently in unpack state to recover from broken system states
      (like different file in M-A:same package and other dpkg errors)
      and avoid re-unpack otherwise (Closes: #670900)
  * debian/control:
    - let libapt-pkg break apt < 0.9.4 to ensure that the installed http-
      method supports the new redirection-style, thanks to Raphael Geissert
      for reporting & testing (Closes: #685192)
  * doc/apt_preferences.5.xml:
    - use the correct interval (x <= P < y) for pin value documentation as
      these are the intervals used by the code (Closes: #685989)
  * apt-pkg/indexcopy.cc:
    - do not create duplicated flat-archive CD-ROM sources for foreign
      architectures on multi-arch CD-ROMs
    - do not warn about files which have a record in the Release file, but
      are not present on the CD to mirror the behavior of the other methods
      and to allow uncompressed indexes to be dropped without scaring users
  * apt-pkg/pkgcachegen.cc:
    - do not create 'native' (or now 'none') package structures as a side
      effect of description translation parsing as it pollutes the cache

 -- Michael Vogt <mvo@debian.org>  Tue, 11 Sep 2012 15:56:44 +0200

apt (0.9.7.4) unstable; urgency=low

  [ Manpages translation updates ]
  * Polish (Robert Luberda) (Closes: #683109)

  [ Program translation updates ]
  * Polish (Michał Kułach)

  [ Pino Toscano ]
  * apt-pkg/contrib/mmap.cc:
    - guard only the msync call with _POSIX_SYNCHRONIZED_IO rather
      than also the fallback code as it breaks APT on hurd since 0.9.7.3
      as the fallback is now always used on non-linux (Closes: #683354)

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - remove _POSIX_SYNCHRONIZED_IO guard in FileFd::Sync() around fsync
      as this guard is only needed for fdatasync and not defined on hurd
  * cmdline/apt-get.cc:
    - error out on (unsatisfiable) build-deps on purly virtual packages
      instead of ignoring these dependencies; thanks to Johannes Schauer
      for the detailed report! (Closes: #683786)
    - ensure that the right architecture is used for cross-dependencies in
      cases we have to choose a provider by defaulting on host-arch
      instead of build-arch
  * doc/apt-verbatim.ent:
    - denote 'wheezy' as stable codename and 'jessie' as testing codename
      in the documentation in preparation for release
  * apt-pkg/indexcopy.cc:
    - do not use atomic writing if the target is /dev/null as we don't want
      to replace it, not even automically. (Closes: #683410)
  * apt-pkg/cdrom.cc:
    - do not link() but rename() the cdroms.list to cdroms.list~ as a backup
      to ensure that apt-cdrom can be run multiple times (Closes: #676302)

 -- Michael Vogt <mvo@debian.org>  Mon, 06 Aug 2012 15:55:04 +0200

apt (0.9.7.3) unstable; urgency=low

  [ Manpages translation updates ]
  * Spanish; (Omar Campagne). Closes: #681566

  [ Program translation updates ]
  * Czech (Miroslav Kure). Closes: #680758

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - handle :all and :native correctly as architectures again
      in the commandline parsing (regression in 0.9.7)
  * apt-pkg/packagemanager.cc:
    - do not segfault if nothing can be configured to statisfy
      a pre-depends (e.g. in a pre-depends loop) (Closes: #681958)
  * apt-pkg/contrib/mmap.cc:
    - trigger the usage of the fallback code for kfreebsd also in the
      second (filebased) constructor of DynamicMMap (Closes: #677704)
    - refer to APT::Cache-Start in case the growing failed as if -Limit is
      really the offender it will be noted in a previous error message.
    - for filesystems not supporting mmap'ing a file we need to use a
      SyncToFd dummy just as we did for compressed files in 0.9.5

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Jul 2012 17:53:41 +0200

apt (0.9.7.2) unstable; urgency=low

  [ Manpages translation updates ]
  * French (Christian Perrier)
  * German (Chris Leick)

  [ Program translation updates ]
  * Greek (Θανάσης Νάτσης)
  * Japanese (Kenshi Muto) (Closes: #679662)
  * Russian (Yuri Kozlov) (Closes: #679599)
  * Danish (Joe Dalton) (Closes: #680119)
  * Portuguese (Miguel Figueiredo) (Closes: #680616)

  [ David Kalnischkies ]
  * debian/apt.cron.daily:
    - do not try to backup extended_states file if it doesn't
      exist (Closes: #680287)
  * ftparchive/writer.cc:
    - handle the APT::FTPArchive::Packages::SHA512 option correctly instead
      of overriding SHA256, thanks Christian Marillat! (Closes: #680252)
  * cmdline/apt-mark.cc:
    - arch:all packages are treated as arch:native packages, but dpkg
      expects pkg:all for selections, so use the arch of the installed
      version instead of the package structure if possible.
      Thanks to Stepan Golosunov for the report! (Closes: #680041)
  * apt-pkg/clean.cc:
    - run autoclean against pkg:arch and not always against pkg:native as
      this removes valid cache entries (Closes: #679371)
  * apt-pkg/deb/deblistparser.cc:
    - negative dependencies need to apply to all architectures,
      but those with a specific architecture only apply to this one
  * apt-pkg/cachefilter.cc:
    - remove architecture-specific arch to tuple expansion-rules as they lead
      to the same tuples for different architectures (e.g. linux-arm for arm,
      armel and armhf) while the dpkg-architecture code uses triples which
      are different (in the first part, which we omit in our tuples), so e.g.
      build-dep restrictions for armel ended up effecting armhf as well

 -- Michael Vogt <mvo@debian.org>  Fri, 13 Jul 2012 21:33:56 +0200

apt (0.9.7.1) unstable; urgency=low

  [ Program translation updates ]
  * Bulgarian (Damyan Ivanov) (Closes: #678983)
  * Hungarian (Gabor Kelemen)
  * Italian (Milo Casagrande)
  * Slovenian (Andrej Znidarsic)
  * German (Holger Wansing) (Closes: #679314)
  * Slovak (Ivan Masár) (Closes: #679448)

  [ David Kalnischkies ]
  * cmdline/apt-internal-solver.cc, cmdline/apt-mark.cc:
    - typo fixes and unfuzzy translations
  * debian/control:
    - libapt-{pkg,inst} packages should be in section 'libs' instead
      of 'admin' as by ftp-master override request in #677596
    - demote debiandoc-sgml to Build-Depends-Indep
  * doc/makefile:
    - separate translation building of debiandoc from manpages
      so that we don't need to build debiandoc for binary packages

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Jun 2012 14:26:32 +0200

apt (0.9.7) unstable; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/contrib/mmap.cc:
    - Fix the Fallback option to work correctly, by not calling
      realloc() on a map mapped by mmap(), and by using malloc
      and friends instead of new[].
    - Zero out the new memory allocated with realloc().

  [ Daniel Hartwig ]
  * apt-pkg/pkgcachegen.cc:
    - always reset _error->StackCount in MakeStatusCache (Closes: #677175)

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - ensure that mixed positive/negative architecture wildcards
      are handled in the same way as dpkg handles them
    - use PackageArchitectureMatchesSpecification filter
  * apt-pkg/cachefilter.cc:
    - add PackageArchitectureMatchesSpecification (Closes: #672603)
  * apt-pkg/cacheset.cc:
    - add PackageContainerInterface::FromGroup to support
      architecture specifications with wildcards on the commandline
  * apt-pkg/pkgcache.cc:
    - do a string comparision for architecture checking in IsMultiArchImplicit
      as 'unique' strings in the pkgcache aren't unique (Closes: #677454)
  * buildlib/configure.mak:
    - print a message detailing how to get config.guess and config.sub
      in case they are not in /usr/share/misc (Closes: #677312)
  * cmdline/apt-get.cc:
    - print a friendly message in 'download' if a package can't be
      downloaded (Closes: #677887)

 -- Michael Vogt <mvo@debian.org>  Tue, 19 Jun 2012 16:42:43 +0200

apt (0.9.6) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/cdrom.cc:
    - fix regression from 0.9.3 which dumped the main configuration
      _config instead of the cdrom settings (Cnf) as identified and
      tested by Milan Kupcevic, thanks! (Closes: #674100)
  * cmdline/apt-get.cc:
    - do not show 'list of broken packages' header if no package
      is broken as it happens e.g. for external resolver errors
    - print URIs for all changelogs in case of --print-uris,
      thanks to Daniel Hartwig for the patch! (Closes: #674897)
    - show 'bzr branch' as 'bzr get' is deprecated (LP: #1011032)
    - check build-dep candidate if install is forbidden
  * debian/apt-utils.links:
    - the internal resolver 'apt' is now directly installed in
      /usr/lib/apt/solvers, so don't instruct dh to create a broken link
  * doc/apt-verbatim.ent:
    - APT doesn't belong to the product 'Linux', so use 'APT' instead
      as after all APT is a big suite of applications
  * doc/examples/sources.list:
    - use the codename instead of 'stable' in the examples sources.list
      as we do in the manpage and as the debian-installer does
  * doc/apt-get.8.xml:
    - use apt-utils as package example instead of libc6
  * apt-pkg/contrib/cmdline.cc:
    - apply patch from Daniel Hartwig to fix a segfault in case
      the LongOpt is empty (Closes: #676331)
    - fix segfault with empty LongOpt in --no-* branch
  * ftparchive/apt-ftparchive.cc:
    - default to putting the Contents-* files below $(SECTION) as apt-file
      expects them there - thanks Martin-Éric Racine! (Closes: #675827)
  * apt-pkg/deb/deblistparser.cc:
    - set pkgCacheGen::Essential to "all" again (Closes: #675449)
  * apt-pkg/algorithms.cc:
    - force install only for one essential package out of a group
  * apt-pkg/aptconfiguration.cc:
    - if APT::Languages=none save "none" in allCodes so that the detected
      configuration is cached as intended (Closes: #674690, LP: #1004947)
  * apt-pkg/cacheiterators.h:
    - add an IsMultiArchImplicit() method for Dep- and PrvIterator

  [ Justin B Rye ]
  * doc/apt-cdrom.8.xml:
    - replace CDROM with the proper CD-ROM in text
    - correct disc vs. disk issues
  * doc/apt-extracttemplates.1.xml:
    - debconf is not DebConf
  * doc/apt-get.8.xml:
    - move dselect-upgrade below dist-upgrade
    - review and fix spelling issues
  * doc/apt-ftparchive.8.xml, doc/apt-config.8.xml,
    doc/apt-key.8.xml, doc/apt-mark.8.xml,
    doc/apt_preferences.5.xml, doc/apt-secure.8.xml,
    doc/apt-sortpkgs.1.xml, sources.list.5.xml:
    - review and fix typo, grammar and style issues
  * doc/apt.conf.5.xml:
    - review and fix typo, grammar and style issues
    - rephrase APT::Immediate-Configuration and many others

  [ Sebastian Heinlein ]
  * cmdline/apt-key:
    - do not hardcode /etc but use Dir::Etc instead

  [ Robert Luberda ]
  * Polish manpage translation update (Closes: #675603)
  * doc/apt-mark.8.xml:
    - in hold, the option name is --file not --filename

  [ Christian Perrier ]
  * French program and manpage translation update
  * Danish program translation by Joe Hansen. Closes: #675605

  [ Thibaut Girka ]
  * cmdline/apt-get.cc:
    - complain correctly about :any build-dep on M-A:none packages
  * apt-pkg/deb/deblistparser.cc:
    - add support for arch-specific qualifiers in dependencies

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Jun 2012 16:21:53 +0200

apt (0.9.5.1) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - dup() given compressed fd in OpenDescriptor if AutoClose
      is disabled as otherwise gzclose() and co will close it
  * doc/*.xml:
    - mark even more stuff as untranslateable and improve the
      markup here and there (no real text change)
    - use docbook DTD 4.5 instead of 4.2 to have valid docs

  [ Justin B Rye ]
  * doc/*.xml:
    - remove 'GNU/Linux' from 'Debian systems' strings as Debian
      has more systems than just GNU/Linux nowadays
  * doc/apt-cache.8.xml:
    - fix a typo as well as adding missing literal markup
    - three small rewordings for better english sentences

 -- Michael Vogt <mvo@debian.org>  Thu, 24 May 2012 17:16:34 +0200

apt (0.9.5) unstable; urgency=low

  [ Chris Leick ]
  * proofreading of the manpage pot
  * German manpage translation update (Closes: #673294)

  [ David Kalnischkies ]
  * buildlib/podomain.mak:
    - ensure that all sources end up in the srclist so that we don't
      forget to extract half of the translation strings
  * buildlib/inttypes.h.in:
    - remove inttypes.h compatibility as providing such a c99 types
      compatibility conflicts with the usage of c99 type long long
  * apt-pkg/contrib/mmap.cc:
    - have a dummy SyncToFd around in case of ReadOnly access to a
      compressed file as we otherwise on Close() do not delete[] the
      char buffer but munmap() it… (Closes: #673815)
  * debian/control:
    - moving debiandoc-sgml to Build-Depends-Indep was one step too much
      for the buildds as we still build two sgml files in arch:any
  * debian/rules:
    - move internal-solver as 'apt' to his friend dump-solver in
      /usr/lib/apt/solvers to avoid writing a manpage for it

 -- Michael Vogt <mvo@debian.org>  Tue, 22 May 2012 16:14:22 +0200

apt (0.9.4) unstable; urgency=low

  [ David Kalnischkies ]
  * methods/http.cc:
    - after many years of pointless discussions disable http/1.1 pipelining
      by default as many webservers and proxies seem to be unable to conform
      to specification must's (rfc2616 section 8.1.2.2) (LP: #996151)
    - add spaces around PACKAGE_VERSION to fix FTBFS with -std=c++11
  * apt-pkg/pkgcachegen.cc:
    - make IsDuplicatedDescription static so that it is really private
      as we don't need a symbol for it as it is not in a header
  * Makefile, buildlib/*.mak:
    - reshuffle dependencies so that parallel building seems to work
    - separate manpages from the rest of the doc building
  * prepare-release:
    - apt-inst version isn't apt versions, so don't override variable
  * debian/rules:
    - apt-utils packages manpages, so it should depend on build-doc
    - make apt and apt-utils packages depend on manpages instead of full doc
  * debian/control:
    - move doxygen and debiandoc-sgml to Build-Depends-Indep as docs
      are no longer build in the same target as the manpages
  * apt-pkg/acquire-methods.cc:
    - factor out into private Dequeue() to fix access to deleted pointer
  * apt-pkg/contrib/fileutl.cc:
    - ensure that we close compressed fds, wait for forks and such even if
      the FileFd itself is set to not autoclose the given Fd
  * cmdline/apt-get.cc:
    - use the host architecture, not the build architecture for matching
      of [architecture restrictions] in Build-Depends (Closes: #672927)
  * doc/makefile:
    - build manpages with the correct l10n.gentext.default.language setting
      to get the correct section titles provided by docbook
  * doc/po/de.po:
    - updated german manpage translation by Chris Leick, thanks!
  * apt-pkg/packagemanager.cc:
    - do not run into loop on new-pre-depends-breaks (Closes: #673536)
  * doc/*.xml:
    - add a few translator notes and reword some paragraphs to ensure that
      translators and users alike can better understand them (Closes: #669409)
    - in <term> mark all options with <option> and mark <term><option>
      as untranslated for po4a removing ~200 unless "translateable" strings
  * apt-pkg/aptconfiguration.cc:
    - longcode Translation files are saved with encoded underscore,
      so make sure to pick these files up as well for Acquire::Languages
  * ftparchive/writer.cc:
    - include Contents-* files in Release files (Closes: #673647)

  [ Michael Vogt ]
  * merged updated de.po, thanks to Holger Wansing (closes: #672466)
  
  [ Raphael Geissert ]
  * apt-pkg/acquire*.cc:
    - handle redirections in the worker with the right method instead of
      in the method the redirection occured in (Closes: #668111)
  * methods/http.cc:
    - forbid redirects to change protocol
  * methods/mirror.cc:
    - generate an equal sign also for the first arch (Closes: #669142)

  [ Marius Vollmer ]
  * apt-pkg/algorithms.cc:
    - fix memory leak of Flags in pkgSimulate by a proper destructor

 -- Michael Vogt <mvo@debian.org>  Mon, 21 May 2012 12:29:05 +0200

apt (0.9.3) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/strutl.cc:
    - remove the message size limit from ioprintf and strprintf
  * apt-pkg/contrib/configuration.cc:
    - add a more versatile Dump() method
    - normalize a bit by replacing // and /./ with / in FindFile
    - /dev/null is a special absolute path as it has no subdirectories
  * apt-pkg/acquire-worker.cc:
    - use Dump() to generate the configuration message for sending
  * cmdline/apt-config.cc:
    - make it possible to limit dump to a subtree
    - implement --empty and --format option for dump
  * apt-pkg/cdrom.cc:
    - use Dump() to generate the configuration output
  * apt-pkg/depcache.cc:
    - clearly separate 'positive' and 'negative' dependencies and
      their upgrade-resolution tries in MarkInstall and especially don't
      treat Conflicts differently compared to Breaks here
    - provider is only a possible solution if the provides has the right
      version (or none as we have no versioned provides in debian) and not
      if the version of the provider matches
  * edsp/edspsystem.cc:
    - check with RealFileExists for scenario file as otherwise a directory
      like one provided with RootDir triggers the usage of EDSP
  * debian/libapt-inst1.5.symbols:
    - use the correct library name the symbols header
  * apt-pkg/pkgcachegen.cc:
    - check if NewDescription allocation has failed and error out accordingly
    - check if we work on a valid description in IsDuplicateDescription as
      we end up working on dangling pointers otherwise which segfaults on
      s390x and ppc64 (Closes: #669427)
  * apt-pkg/deb/deblistparser.cc:
    - check length and containing chars for a given description md5sum
  * ensure that apti18n.h is included last as advertised (Closes: #671623)
  * apt-pkg/acquire-worker.cc:
    - revert the use of FileFd::Write in OutFdReady as we don't want error
      reports about EAGAIN here as we retry later. Thanks to YOSHINO Yoshihito
      for the report. (Closes: #671721)
  * apt-pkg/contrib/fileutl.cc:
    - check that the fd which are closed are valid
    - ensure that we do init d only once and especially not with its own
      content as this causes some "interesting" hickups resulting in segfaults
      as it seems (Closes: #554387, #670979)
    - collect zombie (de)compressor processes on reopen
    - ensure that in error conditions the Fail flag is set
    - ensure that d is set before accessing it
  * apt-pkg/aptconfiguration.cc:
    - use NULL instead of "" for no (un)compress parameters
  * apt-pkg/algorithms.cc:
    - factor out of ListUpdate a AcquireUpdate to be able to provide your
      own pkgAcquire fetcher to the wrapper
  * apt-inst/deb/debfile.h:
    - readd 'md5.h' to the uncleaned header includes to make qapt build
      against us again unchanged to unblock transition (Closes: #669163)

 -- Michael Vogt <mvo@debian.org>  Fri, 11 May 2012 17:16:22 +0200

apt (0.9.2) unstable; urgency=low

  [ Michael Vogt ]
  * apt-inst/contrib/extracttar.cc:
    - ensure that in StartGzip the InFd is set to "AutoClose" to ensure
      that the pipe is closed when InFd is closed. This fixes a Fd leak
      (LP: #985452)

  [ David Kalnischkies ]
   * apt-pkg/deb/deblistparser.cc:
    - only treat the native apt as essential by default (Closes: #669377)
  * apt-pkg/contrib/fileutl.cc:
    - redirect stderr from compressors to /dev/null
  * apt-pkg/aptconfiguration.cc:
    - if the compressor is not installed, but we link against it's
      library accept it as a CompressionType (Closes: #669328)
  * apt-pkg/contrib/sha2_internal.cc:
    - do not use the input data directly but memcpy it instead as
      it could be unaligned as in the http-transport which causes
      a sigbus error on sparc (Closes: #669061)
  * apt-pkg/cacheset.cc:
    - actually return to the fallback modifier if we have detected we
      should for packagenames which look like modifiers (Closes: #669591)

  [ Adam Conrad ]
  * Set FD_CLOEXEC on history.log's FD (Closes: #610069, LP: #636010)

  [ Thorsten Spindler ]
  * apt-pkg/deb/dpkgpm.cc:
    - do not crash if (*I).Pkg is NULL (LP: #939867)

  [ Malcolm Scott ]
  * apt-pkg/packagemanager.cc:
    - iterate over all pre-depends or-group member instead of looping
      endlessly over the first member in SmartUnpack (LP: #985852)

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Apr 2012 11:26:16 +0200

apt (0.9.1) unstable; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - if pkgCacheFile::Generate is disabled in 'update' don't
      remove the caches (and don't try to open them)
  * apt-pkg/packagemanager.cc:
    - init counter in SmartConfigure so that the loop-breaker isn't
      triggered at random… (Closes: #669060)

  [ Christian Perrier ]
  * Fix typo in apt-get(8). Closes: #664833
  * Replace "argument" by "paramètre" in French translation.
    Merci, les Titeps!
  * Drop hardcoded "en.html" suffix in apt-secure manpage.
    Thanks to David Prevot.
  
 -- Michael Vogt <mvo@debian.org>  Tue, 17 Apr 2012 09:49:31 +0200

apt (0.9.0) unstable; urgency=low

  * upload to debian/unstable

 -- Michael Vogt <mvo@debian.org>  Mon, 16 Apr 2012 15:53:17 +0200

apt (0.9.0~exp1) experimental; urgency=low

  [ Michael Vogt ]
  * apt-pkg/packagemanager.cc:
    - fix inconsistent clog/cout usage in the debug output
    - add APT::pkgPackageManager::MaxLoopCount to ensure that the
      ordering code does not get into a endless loop when it flip-flops
      between two states
  * update libapt-inst1.4 to libapt-inst1.5 because of the cleanup 
    performed
  * prepare debian/unstable upload, if there are no issues with this
    upload it will directly go into unstable as 0.9.0  

  [ David Kalnischkies ]
  * do not update po and pot files in the process of the build as this
    causes timestamp changes for the mo files which therefore can't
    be refcounted by dpkg for your M-A: same packages
    (Closes: #659333, LP: #924628)
  * apt-inst/database.{cc,h}, apt-inst/deb/dpkgdb.{cc,h}:
    - drop instead of fix as it is only needed if you want to reimplement dpkg
      and comes straight from the beginning of last decade (Closes: #663372)
  * apt-inst/deb/debfile.cc:
    - {Extract,Merge}Control() is another instance of "lets reimplement dpkg"
      so shot of this code before someone ends up using this…
  * debian/libapt-pkg4.12:
    - update symbols file
  * debian/apt-utils.install:
    - ship the ftparchive, apt-extractemplates and apt-sortpkgs locales
      in the apt-utils package instead of the apt package
  * apt-pkg/packagemanager.cc:
    - recheck all dependencies if we changed a package in SmartConfigure
      as this could break an earlier dependency (LP: #940396)
    - recheck dependencies in SmartUnpack after a change, too
  * apt-pkg/acquire-worker.cc:
    - check return of write() as gcc recommends
  * apt-pkg/acquire.cc:
    - check return of write() as gcc recommends
  * apt-pkg/cdrom.cc:
    - check return of chdir() and link() as gcc recommends
  * apt-pkg/clean.cc:
    - check return of chdir() as gcc recommends
  * apt-pkg/contrib/netrc.cc:
    - check return of asprintf() as gcc recommends
  * methods/rred.cc:
    - check return of writev() as gcc recommends
  * methods/mirror.cc:
    - check return of chdir() as gcc recommends
  * apt-pkg/deb/dpkgpm.cc:
    - check return of write() a gcc recommends
  * apt-inst/deb/debfile.cc:
    - check return of chdir() as gcc recommends
  * apt-inst/deb/dpkgdb.cc:
    - check return of chdir() as gcc recommends
  * methods/makefile:
    - do not link rred against libz anymore as FileFd handles all
      this transparently now
  * debian/control:
    - bump Standards-Version to 3.9.3 (no changes needed)
    - add libbz2-dev as new build-dependency
    - remove the libz-dev alternative from zlib1g-dev build-dependency
    - suggest xz-utils instead of bzip2 and lzma
  * doc/apt-get.8.xml:
    - typofix: respect → respecting, thanks Mike Erickson! (Closes: #664833)
  * debian/rules:
    - do not sed in configure.in to set the version-number
  * prepare-release:
    - add as a small script to lazy check and prepare releases
  * doc/*:
    - move the command synopsis out of each manpage into apt-verbatim.ent
      as they are a hell to translate and just single out the parameters
      which can be translated to apt.ent
  * apt-pkg/aptconfiguration.cc:
    - if present, prefer xz binary over lzma
    - if we have zlib builtin insert add a dummy gzip compressor for FileFD
    - do the same for bz2 builtin if available
  * methods/bzip2.cc:
    - remove it as the functionality for all compressors can be
      provided by gzip.cc now with the usage of FileFD
  * apt-pkg/contrib/fileutl.cc:
    - use libz2 library for (de)compression instead of the bzip2 binary as
      the first is a dependency of dpkg and the later just priority:optional
      so we gain 'easier' access to bz2-compressed Translation files this way
  * cmdline/apt-get.cc:
    - print list of autoremoves in alphabetical order (Closes: #639008)

  [ Bogdan Purcareata ]
  * doc/apt-get.8.xml:
    - add 'download' to the usage line (Closes: #649340)
  * cmdline/apt-get.cc:
    - distinguish information about 'apt-get autoremove' based on the
      number of auto-removed packages both before and after the list
      of packages (Closes: #665833)

  [ Steve Langasek ]
  * don't treat build-depends-indep as cross-build-dependencies; we should
    always install the host arch versions.  LP: #968828.

  [ Paolo Rotolo ]
  * Fix string from automatic to automatically (LP: #967393).

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Apr 2012 12:40:39 +0200

apt (0.8.16~exp13) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/acquire-item.cc:
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)
    - add Debug::pkgAcqArchive::NoQueue to disable package downloading
  * apt-pkg/deb/dpkgpm.cc:
    - chroot if needed before dpkg --assert-multi-arch
    - ensure that dpkg binary doesn't have the chroot-directory prefixed
    - call dpkg --assert-multi-arch with execvp instead of execv
    - save the universe by not printing messages about apport if a package
      with this name is not installed (Closes: #619646)
    - handle a SIGINT in all modes as a break after the currently running
      dpkg transaction instead of ignoring it completely
  * apt-pkg/depcache.cc:
    - if a M-A:same package is marked for reinstall, mark all it's installed
      silbings for reinstallation as well (LP: #859188)
  * apt-pkg/contrib/configuration.cc:
    - do not stop parent transversal in FindDir if the value is empty
  * methods/http{s,}.cc:
    - if a file without an extension is requested send an 'Accept: text/*'
      header to avoid that the server chooses unsupported compressed files
      in a content-negotation attempt (Closes: #657560)
    - remove the arbitrary MAXLEN limit for response lines (Closes: #658346)
  * apt-pkg/aptconfiguration.cc:
    - chroot if needed before calling dpkg --print-foreign-architectures
    - ensure that architectures are not added multiple times
  * cmdline/apt-mark.cc:
    - detect if dpkg has multiarch support before calling --set-selections
    - correctly ignore already (un)hold packages
  * apt-pkg/cachefile.cc:
    - clean up lost atomic cachefiles with 'clean' (Closes: #650513)
  * apt-pkg/indexrecords.cc:
    - do not create empty Entries as a sideeffect of Lookup()
  * apt-pkg/acquire-item.cc:
    - drop support for i18n/Index file (introduced in 0.8.11) and use
      the Release file instead to get the Translations (Closes: #649314)
    - use pdiff for Translation-* files if available (Closes: #657902)
  * ftparchive/writer.cc:
    - add 'Translation-*' to the default patterns
  * cmdline/apt-get.cc:
    - if a package can't be removed as it is not installed, suggest to
      the user an (installed) multiarch silbing with 'Did you mean?'
    - improve 'error' message for packages which are only referenced
      e.g. in a Depends line and are now requested for removal
  * cmdline/apt-cache.cc:
    - correct --pre-depends option by using dash consistently (LP: #940837)
  * apt-pkg/packagemanager.cc:
    - do not try to a void a breaks if the broken package pre-depends
      on the breaker, but let dpkg auto-deconfigure it
  * apt-pkg/contrib/fileutl.cc:
    - do not warn about the ignoring of directories (Closes: #662762)

  [ Steve Langasek ]
  * cmdline/apt-get.cc:
    - for cross-build-dependencies M-A: none should be DEB_HOST_ARCH,
      not DEB_BUILD_ARCH (Closes: #646288)

  [ Colin Watson ]
  * apt-pkg/algorithms.cc:
    - don't break out of the main-resolver loop for Breaks to deal with all
      of them in a single iteration (Closes: #657695, LP: #922485)
    - use a signed int instead of short for score calculation as upgrades
      become so big now that it can overflow (Closes: #657732, LP: #917173)
  * Fix IndexCopy::CopyPackages and TranslationsCopy::CopyTranslations to
    handle compressed files again (LP: #924182, closes: #658096)

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix crash when a package is in removed but residual config state
      (LP: #923807)
  * apt-pkg/contrib/fileutl.h:
    - fix compat with FileFd::OpenDescriptor() in ReadOnlyGzip mode
  * apt-pkg/packagemanager.cc:
    - fix bug in predepends handling - ensure that packages that needs
      unpackaging are unpacked before they are configured (LP: #927993)

  [ Julian Andres Klode ]
  * apt-pkg/deb/deblistparser.cc:
    - Set the Essential flag on APT instead of only Important
  * apt-pkg/packagemanager.cc:
    - Do not use immediate configuration for packages with the Important flag
  * Treat the Important flag like the Essential flag with those differences:
    - No Immediate configuration (see above)
    - Not automatically installed during dist-upgrade
    - No higher score for installation ordering

 -- Michael Vogt <mvo@debian.org>  Tue, 06 Mar 2012 18:12:57 +0100

apt (0.8.16~exp12) experimental; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix segfault on pkg removal

  [ David Kalnischkies ]
  * apt-pkg/cacheiterators.h:
    - return the correct version arch for all+foreign, too
  * apt-pkg/packagemanager.cc:
    - ignore breaks on not-installed versions while searching for
      breakage loops as we don't have to avoid them
  * debian/control:
    - remove APT from the short descriptions as lintian doesn't like it
      and it doesn't transport any information for a reader anyway
    - apply typofixes by Pascal De Vuyst, thanks! (Closes: #652834, #652835)
  * debian/rules:
    - apply patch to enable usage of hardning CPPFLAGS and LDFLAGS by
      Moritz Muehlenhoff, thanks! (Closes: #653504)
  * methods/https.cc:
    - use curls list append instead of appending Range and If-Range by hand
      which generates malformed requests, thanks Mel Collins for the hint!
      (Closes: #646381)
  * test/libapt/run-tests:
    - hurd doesn't have dmesg yet and we don't really need it either,
      so use with $0 a more stable data source for hashsumming

  [ Pino Toscano ]
  * test/libapt/globalerror_test.cc:
    - errno 0 has a different strerror on hurd, so generate the expected
      message dynamically instead of hardcoding 'Success' (Closes: #656530)

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 12:24:38 +0100

apt (0.8.16~exp11) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - redirect out/input of dpkg --assert-multi-arch to /dev/null
    - if multi-arch is detected ensure that pkg:all is reported as pkg:all

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jan 2012 13:48:18 +0100

apt (0.8.16~exp10) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - implicit conflicts (for multiarch) are supposed to conflict
      only with real packages, not with virtual providers
  * apt-pkg/pkgcache.cc:
    - ignore implicit conflicts on providers in AllTarget, too
  * apt-pkg/deb/dpkgpm.cc:
    - check if dpkg supports multiarch with --assert-multi-arch
      and if it does be always explicit about the architecture
  * apt-pkg/contrib/fileutl.h:
    - store the offset in the internal fd before calculate size of
      the zlib-handled file to jump back to this place again
  * apt-pkg/aptconfiguration.cc:
    - parse dpkg --print-foreign-architectures correctly in
      case archs are separated by newline instead of space, too.
      (Closes: #655590)

  [ Michael Vogt ]
  * apt-pkg/contrib/fileutl.h:
    - fix segfault triggered by the python-apt testsuite

 -- Michael Vogt <mvo@debian.org>  Wed, 18 Jan 2012 12:52:26 +0100

apt (0.8.16~exp9) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/cdrom.cc:
    - Accept .bz2, .xz files in addition to .gz files (Closes: #649451)

  [ Michael Vogt ]
  * apt-pkg/cdrom.cc:
    - use aptconfiguration to get the supported compression types
  * debian/control:
    - bump debhelper build-dep to debhelper (>= 8.1.3~)
    - set libapt-pkg-dev to multi-arch: same too
  * g++ 4.7 fixes

  [ Colin Watson ]
  * Convert libapt-pkg4.12 and libapt-inst1.4 to Multi-Arch: same.

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - make the cachesets real containers which can embedding any container
      to be able to use the same interface regardless of set or list usage
    - provide a {Package,Version}List similar to {Package,Version}Set
  * cmdline/apt-{get,cache,mark}.cc:
    - use Lists instead of Sets if input order should be preserved for
      commands accepting lists of packages, e.g. policy (Closes: #625960)
  * apt-pkg/depcache.cc:
    - prefer native providers over foreigns even if the chain is foreign
  * cmdline/apt-get.cc:
    - ignore foreign architectures if we check if a provides has only one
      resolver as it's basically the same for the user, so no need to choose
  * cmdline/apt-config.cc:
    - dump the APT::Compressor settings correctly and completely
  * apt-pkg/contrib/fileutl.{h,cc}:
    - implement a ModificationTime method for FileFd
    - add a ReadLine method
    - drop the explicit export of gz-compression handling
  * apt-pkg/cdrom.cc:
    - support InRelease files on cdrom

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Jan 2012 20:26:31 +0100

apt (0.8.16~exp8) experimental; urgency=low

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()
  * apt-pkg/packagemanager.cc:
    - do not fail on unpacked packages in SmartUnPack, just don't
      shedule them for unpack, but do all checks and configure them
    - do not enter an endless loop for (essential) pre-dependency loops
  * apt-pkg/contrib/sha2_internal.cc:
    - use a pointer-union to peace gcc strict-aliasing warning
  * apt-pkg/deb/deblistparser.cc:
    - M-A: foreign packages provide for other archs, too

 -- David Kalnischkies <kalnischkies@gmail.com>  Thu, 03 Nov 2011 09:40:29 -0500

apt (0.8.16~exp7) experimental; urgency=low

  [ David Kalnischkies ]
  * do not pollute namespace in the headers with using (Closes: #500198)
  * use forward declaration in headers if possible instead of includes
  * remove old APT_COMPATIBILITY ifdef's
  * apt-pkg/deb/dpkgpm.cc:
    - use std::vector instead of fixed size arrays to store args and
      multiarch-packagename strings
    - load the dpkg base arguments only one time and reuse them later
  * cmdline/apt-get.cc:
    - follow Provides in the evaluation of saving candidates, too, for
      statisfying garbage package dependencies (Closes: #640590)
  * apt-pkg/algorithms.cc:
    - if a package is garbage, don't try to save it with FixByInstall
  * apt-pkg/deb/debsrcrecords.cc:
    - remove the limit of 400 Binaries for a source package (Closes: #622110)
  * apt-pkg/deb/deblistparser.cc:
    - fix crash when the dynamic mmap needs to be grown in
      LoadReleaseInfo (LP: #854090)
  * apt-pkg/deb/debmetaindex.cc:
    - none is a separator, not a language: no need for Index (Closes: #624218)
  * apt-pkg/aptconfiguration.cc:
    - do not builtin languages only if none is forced (Closes: #643787)
  * apt-pkg/pkgcachegen.cc:
    - refactor MergeList by creating -Group, -Package and -Version specialist
    - share description list between "same" versions (LP: #868977)
      This also means that descriptions are shared across archives now.
    - add implicit dependencies needed for Multi-Arch at the time a Version
      struct is created and not at the end of the cache generation
  * apt-pkg/pkgcache.cc:
    - always prefer "en" over "" for "en"-language regardless of cache-order

  [ Michael Vogt ]
  * apt-pkg/contrib/configuration.cc:
    - fix double delete (LP: #848907)
    - ignore only the invalid regexp instead of all options
  * apt-pkg/acquire-item.h, apt-pkg/deb/debmetaindex.cc:
    - fix fetching language information by adding OptionalSubIndexTarget
  * methods/https.cc:
    - cleanup broken downloads properly

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Oct 2011 13:51:35 +0200

apt (0.8.16~exp6) experimental; urgency=low

  [ Christopher Baines ]
  * enable APT in unpack/configure ordering to handle loops as well
    as tight dependencies between immediate packages better
    enabling also the possibility to mark all packages as immediate
    (at least Closes: #353290, #540227, #559733, #621836, #639290)

  [ David Kalnischkies ]
  * [abi-break] Support large files in the complete toolset. Indexes of this
    size are pretty unlikely for now, but we need it for deb
    packages which could become bigger than 4GB now (LP: #815895)
  * merged the debian-sid branch
  
  [ Michael Vogt ]
  * bump ABI version

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Sep 2011 21:06:51 +0200

apt (0.8.16~exp5) experimental; urgency=low

  * merged the latest debian-sid fixes
  * apt-pkg/makefile:
    - install sha256.h compat header
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)
    - fix crash when P.Arch() was used but the cache got remapped
  * apt-pkg/acquire-item.{cc,h}:
    - do not check for a "Package" tag in optional index targets
      like the translations index
  * apt-pkg/acquire.cc:
    - fix potential divide-by-zero
  * methods/mirror.cc:
    - include the architecture(s) in the query string as well so 
      that the server can make better decisions

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Aug 2011 14:52:54 +0200

apt (0.8.16~exp4) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/pkgcache.h:
    - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
  * apt-pkg/pkgcachegen.cc:
    - Write the file size to the cache
  * apt-pkg/pkgcache.cc:
    - Check that cache is at least CacheFileSize bytes large (LP: #16467)
  
  [ Michael Vogt ]
  * merged latest fixes from debian-sid
  * apt-pkg/cdrom.{cc,h}:
    - cleanup old ABI break avoidance hacks
  * [ABI break] apt-pkg/acquire-item.{cc,h}:
    - cleanup around OptionalIndexTarget and SubIndexTarget
  * [ABI break] merged patch from Jonathan Thomas to have a new
    RecordField() function in the pkgRecorder parser. Many thanks
    Thomas
  * [ABI break] merge patch from Jonathan Thomas to speed up the
    depcache by caching the install-recommends and install-suggests
    values
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Jul 2011 16:57:08 +0200

apt (0.8.16~exp3) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/pkgcache.h:
    - readd All{Foreign,Allowed} as suggested by Julian to
      remain strictly API compatible
  * apt-pkg/acquire*.{cc,h}:
    - try even harder to support really big files in the fetcher by
      converting (hopefully) everything to 'long long' (Closes: #632271)
  * ftparchive/writer.cc:
    - generate all checksums in one run over the file for Release
  * cmdline/apt-get.cc:
    - add an --assume-no option for testing to say 'no' to everything
  * apt-pkg/deb/debmetaindex.cc:
    - add trusted=yes option to mark unsigned (local) repository as trusted
      based on a patch from Ansgar Burchardt, thanks a lot! (Closes: #596498)

  [ Michael Vogt ]
  * merge fixes from the debian/unstable upload
  * merge lp:~mvo/apt/sha512-template to get fixes for the 
    sha1/md5 verifiation (closes: #632520)

 -- Michael Vogt <mvo@debian.org>  Fri, 15 Jul 2011 09:56:17 +0200

apt (0.8.16~exp2) experimental; urgency=low

  [ David Kalnischkies ]
  * [ABI-Break] Implement EDSP in libapt-pkg so that all front-ends which
    use the internal resolver can now be used also with external
    ones as the usage is hidden in between the old API
  * provide two edsp solvers in apt-utils:
    - 'dump' to quickly output a complete scenario and
    - 'apt' to use the internal as an external resolver
  * apt-pkg/pkgcache.h:
    - clean up mess with the "all" handling in MultiArch to
      fix LP: #733741 cleanly for everyone now
  * apt-pkg/depcache.cc:
    - use a boolean instead of an int for Add/Remove in AddStates
      similar to how it works with AddSizes
    - let the Mark methods return if their marking was successful
    - if a Breaks can't be upgraded, remove it. If it or a Conflict
      can't be removed the installation of the breaker fails.
  * cmdline/apt-get.cc:
    - do not discard the error messages from the resolver and instead
      only show the general 'Broken packages' message if nothing else

  [ Stefano Zacchiroli ]
  * doc/external-dependency-solver-protocol.txt:
    - describe EDSP and the configuration interface around it
  
  [ Michael Vogt ]
  * [ABI-Break] merge lp:~mvo/apt/sha512-template to add support for sha512
  * [ABI-Break] merge lp:~mvo/apt/dpointer to support easier extending
    without breaking the ABI
  * increase ABI version and update package names

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jun 2011 13:57:28 +0200

apt (0.8.16~exp1) experimental; urgency=low

  * merged with the debian/unstable upload

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jun 2011 12:40:31 +0200

apt (0.8.15.11) UNRELEASED; urgency=low

  * Fix typo in apt-get(8). Closes: #664833
  * Replace "argument" by "paramètre" in French translation.
    Merci, les Titeps!
  * Drop hardcoded "en.html" suffix in apt-secure manpage.
    Thanks to David Prevot.

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Mar 2012 20:31:38 +0200

apt (0.8.15.10) unstable; urgency=high

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()
  * doc/manpage-style.xml:
    - put <brackets> around email addresses
  * doc/po/de.po:
    - apply typo-fix from Michael Basse, thanks! (LP: #900770)
  * apt-pkg/acquire-item.cc:
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

  [ Chris Leick ]
  * German manpage translation update
  * doc/*.xml:
    - find and fix a bunch of misspellings

  [ Program translation updates ]
  * Dutch (Jeroen Schot). Closes: #652230
  * Slovak (Ivan Masar). Closes: #652985
  * Russian (Yuri Kozlov). Closes: #654844
  * Hungarian (Gabor Kelemen). Closes: #655238
  * Polish (Michał Kułach). Closes: #656908
  * Danish (Joe Hansen). Closes: #658643
  * French: replace "étiquetage" by "épinglage" for "pinning"

  [ Michael Vogt ]
  * merged patch from lp:~uusijani/apt/uusi-branch:
     Correct fi translation for hash sum mismatches (lp:420403)
     Thanks to Jani Uusitalo

 -- Michael Vogt <mvo@debian.org>  Tue, 06 Mar 2012 14:14:26 +0100

apt (0.8.15.9) unstable; urgency=low

  [ David Kalnischkies ]
  * Symbol file update
  * doc/apt-get.8.xml:
    - change wording of autoremove description as suggested
      by Robert Simmons, thanks! (Closes: #641490)
  * apt-pkg/deb/dpkgpm.cc:
    - use std::vector instead of fixed size arrays to store args and
      multiarch-packagename strings
    - load the dpkg base arguments only one time and reuse them later
  * cmdline/apt-get.cc:
    - follow Provides in the evaluation of saving candidates, too, for
      statisfying garbage package dependencies (Closes: #640590)
  * apt-pkg/algorithms.cc:
    - if a package is garbage, don't try to save it with FixByInstall
  * apt-pkg/init.cc:
    - silently ignore *.orig and *.save files by default
  * apt-pkg/policy.cc:
    - accept generic release pin expressions again in -t (Closes: #644166)
  * apt-pkg/deb/debmetaindex.cc:
    - none is a separator, not a language: no need for Index (Closes: #624218)
  * apt-pkg/aptconfiguration.cc:
    - do not builtin languages only if none is forced (Closes: #643787)
  * doc/apt.conf.5.xml:
    - apply spelling fix by Kevin Lyda, thanks! (Closes: #644104)

  [ Christian Perrier ]
  * Fix spelling error (sensée) in French translation. Thanks
    to Corentin Le Gall for spotting it.

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex

  [ Michael Vogt ]
  * ftparchive/cachedb.cc:
    - make buffer fully dynamic (thanks to Colin Watson)

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Oct 2011 12:00:09 +0200

apt (0.8.15.8) unstable; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - output list of virtual package providers to c1out in -q=1
      instead of /dev/null to unbreak sbuild (LP: #816155)

  [ Michael Vogt ]
  * apt-pkg/contrib/configuration.cc:
    - fix double delete (LP: #848907)
    - ignore only the invalid regexp instead of all options

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Sep 2011 12:08:25 +0200

apt (0.8.15.7) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc, apt-pkg/pkgcache.cc:
    - ignore "self"-conflicts for all architectures of a package
      instead of just for the architecture of the package look at
      in the ordering of installations, too (LP: #802901)
    - M-A:same lockstep unpack should operate on installed
      packages first (LP: #835625)
  * test/*
    - reorganize the various testcases and helper we have and
      integrate them better into the buildsystem
    - run the test/libapt testcases at package build-time
  * debian/apt.symbols:
    - add the newly added symbols since 0.8.15.3
  * cmdline/apt-get.cc:
    - remove the binary caches in 'apt-get clean' as it is the first
      thing recommend by many supporters in case of APT segfaults
    - remove the caches in 'apt-get update', too, as they will be
      invalid in most cases anyway
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found try to verify with hashes,
      but do not fail if a hash can't be found
  * apt-pkg/acquire.cc:
    - non-existing directories are by definition clean
  * cmdline/apt-key:
    - if command is 'add' do not error out if the specified
      keyring doesn't exist, it will be created by gpg
  * apt-pkg/orderlist.cc:
    - prefer visiting packages marked for deletion in VisitProvides
      if we are operating on a negative dependency so that we can
      deal early with the fallout of this remove
  * apt-pkg/indexrecords.cc:
    - fix Acquire::Max-ValidTime option by interpreting it really
      as seconds as specified in the manpage and not as days
    - add an Acquire::Min-ValidTime option (Closes: #640122)
  * doc/apt.conf.5.xml:
    - reword Acquire::Max-ValidTime documentation to make clear
      that it doesn't provide the new Min-ValidTime functionality

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Sep 2011 16:38:46 +0200

apt (0.8.15.6) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)
    - fix crash when P.Arch() was used but the cache got remapped
  * test/integration/test-hashsum-verification:
    - add regression test for hashsum verification
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found, still load the hashes for
      verification (closes: #636314) and add test
  
  [ David Kalnischkies ]
  * lots of cppcheck fixes

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Aug 2011 09:20:35 +0200

apt (0.8.15.5) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - do not assume that the last char on a line is a \n (Closes: #633350)

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Jul 2011 16:49:15 +0200

apt (0.8.15.4) unstable; urgency=low

  [ David Miller ]
  * apt-pkg/contrib/sha1.cc:
    - fix illegally casts of on-stack buffer to a type requiring more
      alignment than it has resulting in segfaults on sparc (Closes: #634696)

  [ Michael Vogt ]
  * apt-pkg/contrib/cdromutl.cc:
    - fix escape problem when looking for the mounted devices
  * apt-pkg/contrib/strutl.{h,cc}, test/libapt/strutil_test.cc:
    - add new DeEscapeString() similar to DeQuoteString but
      unescape character escapes like \0XX and \xXX (plus added
      test)
  * refresh po/*
  
 -- Michael Vogt <mvo@debian.org>  Tue, 26 Jul 2011 12:12:27 +0200

apt (0.8.15.3) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/acquire-item.cc:
    - improve error message for a expired Release file
  * apt-pkg/algorithms.cc:
    - Hold back packages that would enter "policy-broken" state on upgrade
      when doing a "apt-get upgrade"
  * cmdline/apt-get.cc:
    - fix missing download progress in apt-get download

  [ David Kalnischkies ]
  * apt-pkg/pkgcachegen.cc:
    - fallback to memory if file is not writeable even if access()
      told us the opposite before (e.g. in fakeroot 1.16) (Closes: #630591)
  * doc/sources.list.5.xml:
    - document available [options] for sources.list entries (Closes: 632441)
  * doc/apt.conf.5.xml:
    - document APT::Architectures list (Closes: #612102)
  * cmdline/apt-get.cc:
    - restore all important dependencies for garbage packages (LP: #806274)
    - do not require unused partial dirs in 'source' (Closes: #633510)
    - buildconflicts effect all architectures
    - implement MultiarchCross for build-dep and source (Closes: #632221)
  * apt-pkg/init.cc:
    - use CndSet in pkgInitConfig (Closes: #629617)
  * apt-pkg/depcache.cc:
    - change default of APT::AutoRemove::SuggestsImportant to true
  * cmdline/apt-key:
    - use a tmpfile instead of /etc/apt/secring.gpg (Closes: #632596)
  * debian/apt.postinst:
    - remove /etc/apt/secring.gpg if it is an empty file
  * doc/apt-cache.8.xml:
    - apply madison typofix from John Feuerstein, thanks! (Closes: #633455)
  * apt-pkg/policy.cc:
    - emit an error on unknown APT::Default-Release value (Closes: #407511)
  * apt-pkg/aptconfiguration.cc:
    - ensure that native architecture is if not specified otherwise the
      first architecture in the Architectures vector
  * apt-pkg/deb/deblistparser.cc:
    - Strip only :any and :native if MultiArch should be stripped as it is
      save to ignore them in non-MultiArch contexts but if the dependency
      is a specific architecture (and not the native) do not strip

 -- Michael Vogt <mvo@debian.org>  Mon, 25 Jul 2011 15:04:43 +0200

apt (0.8.15.2) unstable; urgency=high

  * fix from David Kalnischkies for the InRelease gpg verification 
    code (LP: #784473)

 -- Michael Vogt <mvo@debian.org>  Tue, 12 Jul 2011 11:54:47 +0200

apt (0.8.15.1) unstable; urgency=low

  [ David Kalnischkies ]
  * doc/makefile:
    - create doxygen directory to avoid depending on magic (Closes: #628799)
  * cmdline/apt-key:
    - explicitly state that net-update is not supported if no url is set
    - require to be root for add, rm, update and net-update
    - clarify update vs. net-update in different distros (Closes: #632043)
  * debian/apt.symbols:
    - forgot 'mips' in the list for all architecture dependent symbols
    - comment out gcc-4.5 specific symbols as gcc-4.6 is now default
    - the symbol for PrintStatus() is architecture dependent
  * apt-pkg/policy.cc:
    - do not segfault in pinning if a package with this name doesn't exist.
      Thanks to Ferdinand Thommes for the report!
    - Defaults is a vector of Pin not of PkgPin
    - ensure that only the first specific stanza for a package is used
    - save all stanzas which had no effect in Unmatched
    - allow package:architecure in Package:

 -- Michael Vogt <mvo@debian.org>  Thu, 30 Jun 2011 10:05:36 +0200

apt (0.8.15) unstable; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/depcache.cc:
    - Really release action groups only once (Closes: #622744)
    - Make purge work again for config-files (LP: #244598) (Closes: #150831)
  * apt-pkg/acquire-item.cc:
    - Reject files known to be invalid (LP: #346386) (Closes: #627642)
  * debian/apt.cron.daily:
    - Check power after wait, patch by manuel-soto (LP: #705269)
  * debian/control:
    - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
      unpacked if a library is too old and thus break upgrades
  * doc/apt-key.8.xml:
    - Document apt-key net-update (LP: #192810)

  [ Christian Perrier ]
  * Galician translation update (Miguel Anxo Bouzada). Closes: #626505
  * Italian translation update (Milo Casagrande). Closes: #627834
  * German documentation translation update (Chris Leick). Closes: #629949
  * Catalan translation update (Jordi Mallach). Closes: #630657

  [ David Kalnischkies ]
  * fix a bunch of cppcheck warnings/errors based on a patch by
    Niels Thykier, thanks! (Closes: #622805)
  * apt-pkg/depcache.cc:
    - really include 'rc' packages in the delete count by fixing a
      typo which exists since 1999 in the source… (LP: #761175)
    - if critical or-group can't be satisfied, exit directly.
  * apt-pkg/acquire-method.cc:
    - write directly to stdout instead of creating the message in
      memory first before writing to avoid hitting limits
    - fix order of CurrentURI and UsedMirror in Status() and Log()
  * apt-pkg/orderlist.cc:
    - let VisitRProvides report if the calls were successful
  * apt-pkg/deb/dpkgpm.cc:
    - replace obsolete usleep with nanosleep
    - remove invalid pkgcache.bin and rebuild it if possible
    - log reinstall commands in history.log
  * debian/apt{,-utils}.symbols:
    - update both experimental symbol-files to reflect 0.8.14 state
  * debian/rules:
    - remove unused embedded jquery by doxygen from libapt-pkg-doc
  * cmdline/apt-mark.cc:
    - reimplement apt-mark in c++
    - provide a 'showmanual' command (Closes: #582791)
    - provide a 'dpkg --set-selections' wrapper to set/release holds
  * cmdline/apt-get.cc:
    - deprecate mostly undocumented 'markauto' in favor of 'apt-mark'
  * cmdline/apt-cache.cc:
    - deprecate mostly undocumented 'showauto' in favor of 'apt-mark'
  * apt-pkg/pkgcache.cc:
    - really ignore :arch in FindPkg() in non-multiarch environment
  * doc/po/de.po:
    - undo the translation of the command 'dump' in manpage of apt-config
      as report by Burghard Grossmann on debian-l10n-german, thanks!
  * apt-pkg/deb/debmetaindex.cc:
    - do not download TranslationIndex if no Translation-* will be
      downloaded later on anyway (Closes: #624218)
  * test/versions.lst:
    - disable obscure version number tests with versions dpkg doesn't
      allow any more as they don't start with a number
  * apt-pkg/acquire-worker.cc:
    - print filename in the unmatching size warning (Closes: #623137)
  * apt-pkg/acquire-item.cc:
    - apply fix for poorly worded 'locate file' error message from
      Ben Finney, thanks! (Closes: #623171)
  * methods/http.cc:
    - add config option to ignore a closed stdin to be able to easily
      use the method as a simple standalone downloader
    - Location header in redirects should be absolute URI, but some
      servers just send an absolute path so still deal with it properly
    - dequote URL taken from Location in redirects as we will otherwise
      quote an already quoted string in the request later (Closes: #602412)
  * apt-pkg/contrib/netrc.cc:
    - replace non-posix gnu-extension strdupa with strdup
  * apt-pkg/packagemanager.cc:
    - ensure for Multi-Arch:same packages that they are unpacked in
      lock step even in immediate configuration (Closes: #618288)
  * apt-pkg/init.cc:
    - don't set deprecated APT::Acquire::Translation, thanks Jörg Sommer!
  * cmdline/apt-config.cc:
    - show Acquire::Languages and APT::Architectures settings
      in 'dump' (Closes: 626739)
  * apt-pkg/orderlist.cc:
    - ensure that an old version of a package with a provides can
      never satisfy a dependency of a newer version of this package

  [ Michael Vogt ]
  * methods/mirror.cc:
    - ignore lines starting with "#" in the mirror file
    - ignore non http urls in the mirrors
    - append the dist (e.g. sid, wheezy) as a query string when
      asking for a suitable mirror 
  * apt-pkg/deb/deblistparser.cc:
    - include all known languages when building the apt cache
      (LP: #794907)
  * apt-pkg/deb/debindexfile.cc:
    - remove some no longer valid checks for "TranslationsAvailable()"

  [ Kenneth Solbø Andersen ]
  * apt-pkg/deb/dpkgpm.cc:
    - set permissions of term.log to root.adm and 644 (LP: #404724)
  
  [ Chris Leick ]
  * various typo and syntax corrections in doc/*.xml

 -- Michael Vogt <mvo@debian.org>  Tue, 28 Jun 2011 18:00:48 +0200

apt (0.8.15~exp3) experimental; urgency=low

  * debian/control:
    - add Breaks: 0.8.15~exp3) for libapt-pkg4.10 and 
     libapt-inst1.2 (thanks to Jonathan Nieder, closes: #630214)
    - use depends for the ${shlibs:Depends} to make the breaks work

 -- Michael Vogt <mvo@debian.org>  Fri, 17 Jun 2011 21:51:41 +0200

apt (0.8.15~exp2) experimental; urgency=low

  * debian/control:
    - fix incorrect Replaces (closes: #630204) for libapt-inst1.2

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Jun 2011 16:51:14 +0200

apt (0.8.15~exp1) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/depcache.cc:
    - Really release action groups only once (Closes: #622744)
    - Make purge work again for config-files (LP: #244598) (Closes: #150831)
  * apt-pkg/acquire-item.cc:
    - Reject files known to be invalid (LP: #346386) (Closes: #627642)
  * debian/apt.cron.daily:
    - Check power after wait, patch by manuel-soto (LP: #705269)
  * debian/control:
    - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
      unpacked if a library is too old and thus break upgrades
  * doc/apt-key.8.xml:
    - Document apt-key net-update (LP: #192810)

  [ Christian Perrier ]
  * Galician translation update (Miguel Anxo Bouzada). Closes: #626505
  * Italian translation update (Milo Casagrande). Closes: #627834
  * German documentation translation update (Chris Leick). Closes: #629949

  [ David Kalnischkies ]
  * fix a bunch of cppcheck warnings/errors based on a patch by
    Niels Thykier, thanks! (Closes: #622805)
  * apt-pkg/depcache.cc:
    - really include 'rc' packages in the delete count by fixing a
      typo which exists since 1999 in the source… (LP: #761175)
    - if critical or-group can't be satisfied, exit directly.
  * apt-pkg/acquire-method.cc:
    - write directly to stdout instead of creating the message in
      memory first before writing to avoid hitting limits
    - fix order of CurrentURI and UsedMirror in Status() and Log()
  * apt-pkg/orderlist.cc:
    - let VisitRProvides report if the calls were successful
  * apt-pkg/deb/dpkgpm.cc:
    - replace obsolete usleep with nanosleep
  * debian/apt{,-utils}.symbols:
    - update both experimental symbol-files to reflect 0.8.14 state
  * debian/rules:
    - remove unused embedded jquery by doxygen from libapt-pkg-doc
  * cmdline/apt-mark.cc:
    - reimplement apt-mark in c++
    - provide a 'showmanual' command (Closes: #582791)
    - provide a 'dpkg --set-selections' wrapper to set/release holds
  * cmdline/apt-get.cc:
    - deprecate mostly undocumented 'markauto' in favor of 'apt-mark'
  * cmdline/apt-cache.cc:
    - deprecate mostly undocumented 'showauto' in favor of 'apt-mark'
  * apt-pkg/pkgcache.cc:
    - really ignore :arch in FindPkg() in non-multiarch environment
  * doc/po/de.po:
    - undo the translation of the command 'dump' in manpage of apt-config
      as report by Burghard Grossmann on debian-l10n-german, thanks!
  * apt-pkg/deb/debmetaindex.cc:
    - do not download TranslationIndex if no Translation-* will be
      downloaded later on anyway (Closes: #624218)
  * test/versions.lst:
    - disable obscure version number tests with versions dpkg doesn't
      allow any more as they don't start with a number
  * apt-pkg/acquire-worker.cc:
    - print filename in the unmatching size warning (Closes: #623137)
  * apt-pkg/acquire-item.cc:
    - apply fix for poorly worded 'locate file' error message from
      Ben Finney, thanks! (Closes: #623171)
  * methods/http.cc:
    - add config option to ignore a closed stdin to be able to easily
      use the method as a simple standalone downloader
    - Location header in redirects should be absolute URI, but some
      servers just send an absolute path so still deal with it properly
    - dequote URL taken from Location in redirects as we will otherwise
      quote an already quoted string in the request later (Closes: #602412)
  * apt-pkg/contrib/netrc.cc:
    - replace non-posix gnu-extension strdupa with strdup
  * apt-pkg/packagemanager.cc:
    - ensure for Multi-Arch:same packages that they are unpacked in
      lock step even in immediate configuration (Closes: #618288)

  [ Michael Vogt ]
  * methods/mirror.cc:
    - ignore lines starting with "#" in the mirror file
    - ignore non http urls in the mirrors
    - append the dist (e.g. sid, wheezy) as a query string when
      asking for a suitable mirror 
  * debian/control:
    - add libapt-pkg4.10 and libapt-inst1.2 library packages

 -- Michael Vogt <mvo@debian.org>  Fri, 10 Jun 2011 15:32:07 +0200

apt (0.8.14.2) UNRELEASED; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/depcache.cc:
    - Really release action groups only once (Closes: #622744)
    - Make purge work again for config-files (LP: #244598) (Closes: #150831)
  * debian/apt.cron.daily:
    - Check power after wait, patch by manuel-soto (LP: #705269)
  * debian/control:
    - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
      unpacked if a library is too old and thus break upgrades
  * doc/apt-key.8.xml:
    - Document apt-key net-update (LP: #192810)

  [ Christian Perrier ]
  * Galician translation update (Miguel Anxo Bouzada). Closes: #626505

  [ David Kalnischkies ]
  * fix a bunch of cppcheck warnings/errors based on a patch by
    Niels Thykier, thanks! (Closes: #622805)
  * apt-pkg/depcache.cc:
    - really include 'rc' packages in the delete count by fixing a
      typo which exists since 1999 in the source… (LP: #761175)
    - if critical or-group can't be satisfied, exit directly.
  * apt-pkg/acquire-method.cc:
    - write directly to stdout instead of creating the message in
      memory first before writing to avoid hitting limits
    - fix order of CurrentURI and UsedMirror in Status() and Log()
  * apt-pkg/orderlist.cc:
    - let VisitRProvides report if the calls were successful
  * apt-pkg/deb/dpkgpm.cc:
    - replace obsolete usleep with nanosleep
  * debian/apt{,-utils}.symbols:
    - update both experimental symbol-files to reflect 0.8.14 state
  * debian/rules:
    - remove unused embedded jquery by doxygen from libapt-pkg-doc
  * cmdline/apt-mark.cc:
    - reimplement apt-mark in c++
    - provide a 'showmanual' command (Closes: #582791)
    - provide a 'dpkg --set-selections' wrapper to set/release holds
  * cmdline/apt-get.cc:
    - deprecate mostly undocumented 'markauto' in favor of 'apt-mark'
  * cmdline/apt-cache.cc:
    - deprecate mostly undocumented 'showauto' in favor of 'apt-mark'
  * apt-pkg/pkgcache.cc:
    - really ignore :arch in FindPkg() in non-multiarch environment
  * doc/po/de.po:
    - undo the translation of the command 'dump' in manpage of apt-config
      as report by Burghard Grossmann on debian-l10n-german, thanks!
  * apt-pkg/deb/debmetaindex.cc:
    - do not download TranslationIndex if no Translation-* will be
      downloaded later on anyway (Closes: #624218)
  * test/versions.lst:
    - disable obscure version number tests with versions dpkg doesn't
      allow any more as they don't start with a number
  * apt-pkg/acquire-worker.cc:
    - print filename in the unmatching size warning (Closes: #623137)
  * apt-pkg/acquire-item.cc:
    - apply fix for poorly worded 'locate file' error message from
      Ben Finney, thanks! (Closes: #623171)
  * methods/http.cc:
    - add config option to ignore a closed stdin to be able to easily
      use the method as a simple standalone downloader
    - Location header in redirects should be absolute URI, but some
      servers just send an absolute path so still deal with it properly
    - dequote URL taken from Location in redirects as we will otherwise
      quote an already quoted string in the request later (Closes: #602412)
  * apt-pkg/contrib/netrc.cc:
    - replace non-posix gnu-extension strdupa with strdup
  * apt-pkg/packagemanager.cc:
    - ensure for Multi-Arch:same packages that they are unpacked in
      lock step even in immediate configuration (Closes: #618288)

 -- Michael Vogt <mvo@debian.org>  Mon, 16 May 2011 14:57:52 +0200

apt (0.8.14.1) unstable; urgency=low

  * apt-pkg/acquire-item.cc:
    - Only try to rename existing Release files (Closes: #622912)

 -- Julian Andres Klode <jak@debian.org>  Sat, 16 Apr 2011 14:36:10 +0200

apt (0.8.14) unstable; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/indexcopy.cc:
    - Use RealFileExists() instead of FileExists(), allows amongst other
      things a directory named Sources to exist on a CD-ROM (LP: #750694).
  * apt-pkg/acquire-item.cc:
    - Use Release files even if they cannot be verified (LP: #704595)
  * cmdline/apt-get.cc:
    - Do not install recommends for build-dep (Closes: #454479) (LP: #245273)
  * apt-pkg/deb/deblistparser.cc:
    - Handle no space before "[" in build-dependencies (LP: #72344)
  * apt-pkg/policy.cc:
    - Allow pinning by glob() expressions, and regular expressions
      surrounded by slashes (the "/" character) (LP: #399474)
      (Closes: #121132)
  * debian/control:
    - Set Standards-Version to 3.9.2
  
  [ Michael Vogt ]
  * mirror method:
    - do not crash if the mirror file fails to download
  * apt-pkg/aptconfiguration.cc:
    - fix comparing for a empty string
  * debian/apt.cron.daily:
    - run unattended-upgrades even if there was a error during
      the apt-get update (LP: #676295)

  [ David Kalnischkies ]
  * apt-pkg/pkgcache.cc:
    - use the native Architecture stored in the cache header instead of
      loading it from configuration as suggested by Julian Andres Klode

 -- Julian Andres Klode <jak@debian.org>  Fri, 15 Apr 2011 14:28:15 +0200

apt (0.8.13.2) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - skip --configure if all packages disappeared
  * apt-pkg/vendor.cc, apt-pkg/vendorlist.cc:
    - mark them as deprecated as they are unused
  * apt-pkg/deb/deblistparser.h:
    - enable StripMultiArch by default for ParseDepends
  * debian/apt.conf.autoremove:
    - adapt to new gnumach kernel package naming (Closes: #619337)
  * doc/apt_preferences.5.xml:
    - correct typo spotted by Charles Plessy (Closes: #619088)
    - document ButAutomaticUpgrades together with NotAutomatic
      as suggested by Charles Plessy (Closes: #619083)
  * apt-pkg/depcache.cc:
    - remove pseudo handling leftover from SetReInstall
    - do not change protected packages in autoinstall (Closes: #618848)
  * apt-pkg/pkgcachegen.cc:
    - make "all"->"native" an implementation detail of NewPackage
      rather than rewrite it in higher methods
  * apt-pkg/cacheiterator.h:
    - return "all" instead of native architecture without breaking the abi
      (too much) by extending enum instead of using bitflags (LP: #733741)
  * apt-pkg/aptconfiguration.cc:
    - use dpkg --print-foreign-architectures to get multiarch configuration
      if non is specified with APT::Architectures (Closes: #612958)
  * cmdline/apt-get.cc:
    - do not show simulation notice for non-root commands (Closes: #619072)
    - be able to disable resolver with APT::Get::CallResolver and disable
      auto installation with APT::Get::AutoSolving
  * apt-pkg/deb/deblistparser.cc:
    - create foo:any provides for all architectures for an allowed package

 -- Michael Vogt <mvo@debian.org>  Tue, 05 Apr 2011 09:40:28 +0200

apt (0.8.13.1) unstable; urgency=low

  * apt-pkg/acquire-item.cc: Use stat buffer if stat was
    successful, not if it failed (Closes: #620546)

 -- Julian Andres Klode <jak@debian.org>  Sat, 02 Apr 2011 20:55:35 +0200

apt (0.8.13) unstable; urgency=low

  [ Thorsten Spindler ]
  * methods/rsh.cc
    - fix rsh/ssh option parsing (LP: #678080), thanks to
      Ville Mattila 
  
  [ Michael Vogt ]
  * apt-pkg/acquire-item.cc:
    - mark pkgAcqIndexTrans as Index-File to avoid asking the
      user to insert the CD on each apt-get update
  * po/sl.po:
    - updated, thanks to Andrej Znidarsic
  * mirror method:
    - when downloading data, show the mirror being used
    - randomize mirror list after download in a host specific way
      to ensure that the load is evenly spreaded accross the mirrors
    - fix some missing "Fail-Ignore"

 -- Michael Vogt <mvo@debian.org>  Wed, 16 Mar 2011 08:04:42 +0100

apt (0.8.12) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/debindexfile.cc:
    - ignore missing deb-src files in /var/lib/apt/lists, thanks
      to Thorsten Spindler (LP: #85590)
  * apt-pkg/contrib/fileutl.cc, apt-pkg/deb/dpkgpm.cc:
    - honor Dpkg::Chroot-Directory in the RunScripts*() methods
  * apt-pkg/contrib/cdromutl.{cc,h}, apt-pkg/cdrom.{cc,h}:
    - deal with missing FSTAB_DIR when using libudev to discover cdrom
    - add experimental APT::cdrom::CdromOnly option (on by default). 
      When this is set to false apt-cdrom will handle any removable
      deivce (like a usb-stick) as a "cdrom/dvd" source

  [ Christian Perrier ]
  * Fix error in French translation of manpages (apt_preferences(5)).
    Merci, Rémi Vanicat. Closes: #613689
  * Complete French manpage translation
  * Italian translation update (Milo Casagrande). Closes: #614395

  [ David Kalnischkies ]
  * ftparchive/multicompress.cc, apt-inst/deb/debfile.cc:
    - support xz compressor to create xz-compressed Indexes and be able
      to open data.tar.xz files
    - load the supported compressors from configuration
  * ftparchive/writer.cc:
    - ensure that Date and Valid-Until time strings are not localised
    - add options to disable specific checksums for Indexes
    - include xz-compressed Packages and Sources files in Release file
  * apt-pkg/aptconfiguration.cc:
    - support download of xz-compressed indexes files
    - support adding new compressors by configuration
  * apt-pkg/deb/debsrcrecords.cc:
    - support xz-compressed source v3 debian.tar files
    - support every compression we have a compressor configured
  * ftparchive/contents.cc:
    - remove ExtractArchive codecopy from apt-inst/deb/debfile.cc
  * apt-inst/deb/debfile.cc:
    - support data.tar's compressed with any configured compressor
  * cmdline/apt-get.cc:
    - reinstall dependencies of reinstalled "garbage" (Closes: #617257)

  [ Steve Langasek ]
  * apt-pkg/deb/dpkgpm.cc:
    - make sure that for multiarch packages, we are passing the full
      qualified package name to dpkg for removals. (Closes: #614298)
  * Remove the "pseudopackage" handling of Architecture: all packages for
    Multi-Arch; instead, Arch: all packages only satisfy dependencies for
    the native arch, except where the Arch: all package is declared
    Multi-Arch: foreign.  (Closes: #613584)

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Mar 2011 14:46:48 +0100

apt (0.8.11.5) unstable; urgency=low

  [ Christian Perrier ]
  * Add missing dot in French translation of manpages. Merci, Olivier
    Humbert.
  * French translation update
  * French manpages translation update

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - party revert fix in 0.8.11.2 which marked all packages as manual
      installed if the FromUser bit is set in the MarkInstall call.
      The default for this bit is true and aptitude depends on the old
      behavior so the package is only marked as manual if its not marked
      ("old" behavior) or if automatic installation is enabled - which
      aptitude disables always (see also #613775)

 -- David Kalnischkies <kalnischkies@gmail.com>  Thu, 17 Feb 2011 15:16:31 +0100

apt (0.8.11.4) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/error.cc:
    - ensure that va_list is not invalid in second try
  * cmdline/apt-get.cc:
    - don't remove new dependencies of garbage packages (Closes: #613420)
  
  [ Michael Vogt ]
  * test/integration/*
    - fix dashish in the integration tests

 -- Michael Vogt <mvo@debian.org>  Wed, 16 Feb 2011 14:36:03 +0100

apt (0.8.11.3) unstable; urgency=low

  * apt-pkg/contrib/fileutl.cc:
    - really detect bigendian machines by including config.h,
      so we can really (Closes: #612986)
  * apt-pkg/contrib/mmap.cc:
    - Base has as 'valid' failure states 0 and -1 so add a simple
      validData method to check for failure states

 -- David Kalnischkies <kalnischkies@gmail.com>  Mon, 14 Feb 2011 16:58:03 +0100

apt (0.8.11.2) unstable; urgency=low

  [ Michael Vogt ]
  * merged lp:~evfool/apt/fix641673:
    - String-fix in the source and the translations for the grammatical 
      mistake reported in bug LP: #641673, thanks to Robert Roth
  * merged lp:~evfool/apt/fix418552:
    - Grammar fix for bug LP: #418552, thanks to Robert Roth
  
  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - add --install-suggests option (Closes: #473089)
  * apt-pkg/depcache.cc:
    - mark a package which was requested to be installed on commandline
      always as manual regardless if it is already marked or not as the
      marker could be lost later by the removal of rdepends (Closes: #612557)
  * methods/rred.cc:
    - read patch into MMap only if we work on uncompressed patches
    - update size of dynamic MMap as we write in from the outside
  * apt-pkg/contrib/mmap.cc:
    - do not try to free the mapping if its is unset
  * apt-pkg/contrib/fileutl.cc:
    - reorder the loaded filesize bytes for big endian (Closes: #612986)
      Thanks to Jörg Sommer for the detailed analyse!

 -- Michael Vogt <mvo@debian.org>  Mon, 14 Feb 2011 12:07:18 +0100

apt (0.8.11.1) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * cmdline/apt-key:
    - fix root test which prevented setting of trustdb-name
      which lets gpg fail if it adds/remove keys from trusted.gpg
      as it tries to open the (maybe) not existent /root/.gnupg

  [ David Kalnischkies ]
  * debian/apt.symbols:
    - add more arch dependent symbols

 -- Michael Vogt <mvo@debian.org>  Wed, 09 Feb 2011 17:49:59 +0100

apt (0.8.11) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - add SetCandidateRelease() to set a candidate version and
      the candidates of dependencies if needed to a specified
      release (Closes: #572709)
    - allow conflicts in the same group again (Closes: #612099)
  * cmdline/apt-get.cc:
    - if --print-uris is used don't setup downloader as we don't need
      progress, lock nor the directories it would create otherwise
    - show dependencies of essential packages which are going to remove
      only if they cause the remove of this essential (Closes: #601961)
    - keep not installed garbage packages uninstalled instead of showing
      in the autoremove section and installing those (Closes: #604222)
    - change pkg/release behavior to use the new SetCandidateRelease
      so installing packages from experimental or backports is easier
    - really do not show packages in the extra section if they were
      requested on the commandline, e.g. with a modifier (Closes: #184730)
    - always do removes first and set not installed remove packages
      on hold to prevent temporary installation later (Closes: #549968)
  * debian/control:
    - add Vcs-Browser now that loggerhead works again (Closes: #511168)
    - depend on debhelper 7 to raise compat level
    - depend on dpkg-dev (>= 1.15.8) to have c++ symbol mangling
  * apt-pkg/contrib/fileutl.cc:
    - add a RealFileExists method and check that your configuration files
      are real files to avoid endless loops if not (Closes: #604401)
    - ignore non-regular files in GetListOfFilesInDir (Closes: #594694)
  * apt-pkg/contrib/weakptr.h:
    - include stddefs.h to fix compile error (undefined NULL) with gcc-4.6
  * methods/https.cc:
    - fix CURLOPT_SSL_VERIFYHOST by really passing 2 to it if enabled
  * deb/dpkgpm.cc:
    - fix popen/fclose mismatch reported by cppcheck. Thanks to Petter
      Reinholdtsen for report and patch! (Closes: #607803)
  * doc/apt.conf.5.xml:
    - fix multipl{y,e} spelling error reported by Jakub Wilk (Closes: #607636)
  * apt-inst/contrib/extracttar.cc:
    - let apt-utils work with encoded tar headers if uid/gid are large.
      Thanks to Nobuhiro Hayashi for the patch! (Closes: #330162)
  * apt-pkg/cacheiterator.h:
    - do not segfault if cache is not build (Closes: #254770)
  * doc/apt-get.8.xml:
    - remove duplicated mentioning of --install-recommends
  * doc/sources.list.5.xml:
    - remove obsolete references to non-us (Closes: #594495)
    - a notice is printed for ignored files (Closes: #597615)
  * debian/rules:
    - use -- instead of deprecated -u for dh_gencontrol
    - remove shlibs.local creation and usage
    - show differences in the symbol files, but never fail
  * pre-build.sh:
    - remove as it is not needed for a working 'bzr bd'
  * debian/{apt,apt-utils}.symbols:
    - ship experimental unmangled c++ symbol files
  * methods/rred.cc:
    - operate optional on gzip compressed pdiffs
  * apt-pkg/acquire-item.cc:
    - don't uncompress downloaded pdiff files before feeding it to rred
    - try downloading clearsigned InRelease before trying Release.gpg
    - change the internal handling of Extensions in pkgAcqIndex
    - add a special uncompressed compression type to prefer those files
    - download and use i18n/Index to choose which Translations to download
  * cmdline/apt-key:
    - don't set trustdb-name as non-root so 'list' and 'finger'
      can be used without being root (Closes: #393005, #592107)
  * apt-pkg/deb/deblistparser.cc:
    - rewrite LoadReleaseInfo to cope with clearsigned Releasefiles
  * ftparchive/writer.cc:
    - add config option to search for more patterns in release command
    - include Index files by default in the Release file
  * methods/{gzip,bzip}.cc:
    - print a good error message if FileSize() is zero
  * apt-pkg/aptconfiguration.cc:
    - remove the inbuilt Translation files whitelist
  * cmdline/apt-cache.cc:
    - remove not implemented 'apt-cache add' command
  * doc/apt-cache.8.xml:
    - describe reality as apt-cache just queries and doesn't manipulate
      the caches. Thanks to Enrico Zini for spotting it! (Closes: #612009)
  * apt-pkg/algorithms.cc:
    - mark pseudo packages of installed all packages as configured
      in the simulation as we don't call configure for these packages
  * apt-pkg/pkgcachegen.cc:
    - in multiarch, let :all packages conflict with :any packages
      with a different version to be sure
  * apt-pkg/contrib/error.cc:
    - remove 400 char size limit of error messages (LP: #365611)

  [ Michael Vogt ]
  * methods/http.cc:
    - do not hang if Acquire::http::ProxyAutoDetect can not be
      executed or returns no data (LP: #654393)
  * debian/apt.conf.autoremove:
    - never autoremove the GNU/Hurd kernel (closes: #588423), thanks
      to Guillem Jover
  * apt-pkg/cdrom.cc, apt-pkg/init.cc, methods/cdrom.cc:
    - use /media/cdrom as default mountoint (closes: #611569)
  * cmdline/apt-get.cc:
    - add apt-get changelog (closes: #526990)
    - add apt-get download (closes: #82738)

  [ Martin Pitt ]
  * test/integration/test-compressed-indexes, test/test-indexes.sh:
    - Explicitly disable compressed indexes at the start. This ensures that we
      will actually test uncompressed indexes regardless of the internal
      default value of Acquire::GzipIndexes.

 -- Michael Vogt <mvo@debian.org>  Tue, 08 Feb 2011 12:58:12 +0100

apt (0.8.10.3) unstable; urgency=low

  [ Programs translations ]
  * po/es.po: Updated, plus fixes encoding issues and fixes two fuzzy
    strings, thanks to Javier Fernandez-Sanguino (closes: #610692)

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jan 2011 11:51:42 +0100

apt (0.8.10.2) unstable; urgency=low

  [ David Kalnischkies ]
  * ftparchive/apt-ftparchive.cc:
    - fix endless loop for multiple TranslationsWriters

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jan 2011 10:26:15 +0100

apt (0.8.10.1) unstable; urgency=low

  [ Christian Perrier ]
  * Fix encoding for Slovenian translation. PO file switched
    to UTF-8. Closes: #609957

  [ Julian Andres Klode ]
  * cmdline/apt-cache.cc: Create an error for apt-cache depends
    if packages could not found (LP: #647045)

  [ Programs translations ]
  * Spanish update by Javier Fernández-Sanguino Peña. Closes: #607145 

  [ Manpages translations ]
  * Correct a typo and an error in French manpages translation.
    Closes: # 607170

 -- Michael Vogt <mvo@debian.org>  Mon, 17 Jan 2011 13:41:04 +0100

apt (0.8.10) unstable; urgency=low

  [ Programs translations ]
  * Czech by Miroslav Kure. Closes: #605107

  [ Martin Pitt ]
  * test/integration/test-compressed-indexes, test/test-indexes.sh:
    - Explicitly disable compressed indexes at the start. This ensures that we
      will actually test uncompressed indexes regardless of the internal
      default value of Acquire::GzipIndexes.

  [ David Kalnischkies ]
  * apt-pkg/algorithms.cc:
    - mark all installed packages first without auto installation in
      a dist-upgrade to prefer upgrading packages instead of installing
      new packages in versioned or-groups (Closes: #605394)

 -- Michael Vogt <mvo@debian.org>  Tue, 30 Nov 2010 10:42:17 +0100

apt (0.8.9) unstable; urgency=low

  [ Christian Perrier ]
  * Fix "typos" in French manpages translations. Thanks to
    Cyril Brulebois for bashing me.
  * Drop useless untranslatable sections from apt.8

  [ Programs translations ]
  * Slovenian update by Andrej Žnidaršič and Rosetta Slovenian team
  * German update by Holger Wansing. Closes: #603619

  [ David Kalnischkies ]
  * apt-pkg/aptconfiguration.cc:
    - evaluate Acquire::Languages= before LANG= (Closes: #602573)
  * apt-pkg/orderlist.cc:
    - try fixing before removing even if the fix is hidden in
      a provides, hidden in the #590438 testcase
  * apt-pkg/algorithms.cc:
    - if the package was explicitly marked as ToRemove don't
      consider it as a candidate for FixByInstall
  * apt-pkg/depcache.cc:
    - don't install previously not installed providers in a try
      to statisfy a "Breaks: provides" dependency by upgrade
  * cmdline/acqprogress.cc:
    - don't ask the user for media change if quiet >= 2, stdout is not
      a tty and assume-yes, force-yes or trivial-only option is set to
      avoid cpu eating endless loops in unattended runs like apt.cron
      (Closes: #602354, LP: #665580)

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Nov 2010 09:25:04 +0100

apt (0.8.8) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - Add a FileFd::FileSize() method to get the size of the underlying
      file and not the size of the content in the file as FileFd::Size()
      does - the sizes can differ since the direct gzip integration
  * methods/{gzip,bzip2}.cc:
    - use FileSize() to determine if the file is invalid (Closes: #600852)
  * apt-pkg/pkgcache.cc:
    - fallback always to a suitable description (Closes: #601016)

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - ensure that history.log gets closed to avoid leaking a FD
      (closes: #601649)

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Oct 2010 21:22:21 +0200

apt (0.8.7) unstable; urgency=low

  [ Manpages translations ]
  * Typo fixed in French (extra "Z"). Thanks to Florentin Duneau.
  * Another typo fixed in French ("Anfin"). Thanks to bubulle
  * Wrong translation for "showauto" fixed. Thanks to Raphaël Hertzog
    Closes: #599265

  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - source /etc/default/locale (if available) so that the
      apt-get update cron job fetches the right translated package
      descriptions
  * fix test failure on amd64
  * apt-pkg/deb/debsystem.cc:
    - fix issues with dir::state::status and dir::state::extended_states
      when alternative rootdirs are used

  [ Martin Pitt ]
  * apt-pkg/deb/debindexfile.cc:
    - Use FileFd::Size() instead of stat()ing the sources/binary/translations
      indexes directly, so that we have transparent handling of gzipped
      indexes.
  * apt-pkg/contrib/fileutl.cc:
    - Fix FileFd::Size() for gzipped files to give the size of the
      uncompressed data. This fixes cache building progress going way
      over 100%.

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - support ArmHardFloat port in CompleteArch, thanks to Sebastian
      Andrzej Siewior for the patch!
  * doc/apt.ent:
    - move some strings into apt-verbatim.ent to avoid showing them in
      apt-doc.pot as they are untranslatable anyway (e.g. manpage references)
  * doc/apt-verbatim.ent:
    - change the codenames to reflect the situation after squeeze release
  * doc/examples/apt-https-method-example.conf:
    - apply various typo fixes by Olly Betts, thanks! (Closes: #600249)

 -- Michael Vogt <mvo@debian.org>  Fri, 15 Oct 2010 18:16:10 +0200

apt (0.8.6) unstable; urgency=low

  [ Programs translations ]
  * Vietnamese update by Clytie Siddall (Closes: #598489)
  * Asturian update by Maacub (Closes: #599057)

  [ David Kalnischkies ]
  * cmdline/apt-cache.cc:
    - use the TranslatedDescription for searching and not the first
      available one as it is maybe not an expected language (Closes: #597925)
  * apt-pkg/contrib/strutl.cc:
    - add a space between number and unit as required by SI (Closes: #598352)
  * apt-pkg/depcache.cc:
    - do not check endpointer packages instead of only those which prevented
      NeverAutoRemove settings from having an effect (Closes: #598452)
    - do not remove packages which the user requested for installation
      explicitly while satisfying other install requests (Closes: #598669)
  * apt-pkg/packagemanager.cc:
    - Add a space between period and 'Please' and unfuzzy all translations
  * doc/po/de.po:
    - remove the duplicated "angefertigt" in translation-holder string

 -- Michael Vogt <mvo@debian.org>  Mon, 04 Oct 2010 11:52:19 +0200

apt (0.8.5) unstable; urgency=low

  [ Manpages translations ]
  * German (Chris Leick). Closes: #597163

  [ Michael Vogt ]
  * merged lp:~mvo/apt/conflicts-on-virtuals to better deal with
    conflicts/breaks against virtual packages (LP: #614993)

  [ David Kalnischkies ]
  * apt-pkg/policy.cc:
    - support 100-pinning in Release file with ButAutomaticUpgrades
      as requested by the backports crew (Closes: #596097)
  * apt-pkg/deb/deblistparser.cc:
    - overrule NotAutomatic in case of ButAutomaticUpgrades
  * debian/apt.cron.daily:
    - handle absolut directory paths correctly by loading directories
      directly instead of building the paths on our own (Closes: #596421)
  * debian/control:
    - build-depend on docbook-xml to ensure that the xml DTDs are always
      available on the buildds (Closes: #597145)
  * buildlib/debiandoc.mak, buildlib/po4a_manpage.mak:
    - ensure that the build fails if documentation building fails
  * doc/po/fr.po:
    - correct two syntax issues to ensure we can build fine

 -- Michael Vogt <mvo@debian.org>  Fri, 17 Sep 2010 22:05:06 +0200

apt (0.8.4) unstable; urgency=low

  [ Michael vogt ]
  * ftparchive/writer.cc:
    - write out {Files,Checksum-Sha1,Checksum-Sha256} only if
      available LP: #633967. Thanks to Colin Watson
  * apt-pkg/contrib/cdromutl.cc:
    - if apt-cdrom is used on writable media (like usb-sticks), do
      not use the root directory to identify the medium (as all 
      changes there change the ident id). Use the .disk directory 
      instead 

  [ David Kalnischkies ]
  * ftparchive/writer.cc:
    - null the valid string instead of the date if Valid-Until is not set
  * apt-pkg/acquire-item.cc:
    - use also unsigned Release files again (Closes: #596189)

  [ Christian Perrier ]
  * Fix missing space after dot in a message from apt-pkg
    Translations unfuzzied. Thanks to Holger Wansing.

 -- Michael Vogt <mvo@debian.org>  Fri, 10 Sep 2010 20:45:15 +0200

apt (0.8.3) unstable; urgency=low

  [ Programs translations ]
  * German (Holger Wansing). Closes: #596141

  [ Manpages translations ]
  * Japanese (KURASAWA Nozomu). Closes: #595862

  [ Michael Vogt ]
  * apt-pkg/indexcopy.cc:
    - only use trusted.gpg.d directory if it exists
    - do not replace /dev/null when running in APT::CDROM::NoAct
      mode (LP: #612666), thanks to Colin Watson

  [ David Kalnischkies ]
  * ftparchive/apt-ftparchive.cc:
    - ensure that BinDirectory as well as Tree settings get
      the correct default FileMode setting (Closes: #595922)

 -- Michael Vogt <mvo@debian.org>  Tue, 07 Sep 2010 15:28:41 +0200

apt (0.8.2) unstable; urgency=low

  [ Manpages translations ]
  * Spanish (Omar Campagne). Closes: #595557

  [ David Kalnischkies ]
  * apt-pkg/versionmatch.cc:
    - do not accept 'Pin: origin "' (missing closing ") as a valid
      way to pin a local archive: either "" or none…
  * apt-pkg/deb/dpkgpm.cc:
    - create Dir::Log if needed to support /var/log as tmpfs or similar,
      inspired by Thomas Bechtold, thanks! (Closes: #523919, LP: #220239)
  * apt-pkg/indexcopy.cc:
    - support really still the APT::GPGV::TrustedKeyring setting,
      as it breaks d-i badly otherwise (Closes: #595428)
  * cmdline/apt-key:
    - support also Dir::Etc::Trusted so that apt-key works in the same
      way as the library part which works with the trusted files
  * methods/{gzip,bzip2}.cc:
    - empty files can never be valid archives (Closes: #595691)

 -- Michael Vogt <mvo@debian.org>  Mon, 06 Sep 2010 18:10:06 +0200

apt (0.8.1) unstable; urgency=low

  [ Programs translations ]
  * Thai (Theppitak Karoonboonyanan). Closes: #592695
  * Russian (Yuri Kozlov). Closes: #594232
  * Slovak (Ivan Masár). Closes: #594255
  * Swedish (Daniel Nylander). Closes: #594241
  * Japanese (Kenshi Muto, Osamu Aoki). Closes: #594265
  * Italian (Milo Casagrande). Closes: #594238
  * Asturian (maacub). Closes: #594303
  * Simplified Chinese (Aron Xu). Closes: #594458
  * Bulgarian (Damyan Ivanov). Closes: #594627
  * Portuguese (Miguel Figueiredo). Closes: #594668
  * Korean (Changwoo Ryu). Closes: #594809
  * Norwegian Bokmål (Hans Nordhaug). Closes: #595182
  * Danish (Joe Hansen). Closes: #595176
  * Catalan (Agustí Grau). Closes: #595234

  [ Christian Perrier ]
  * Fix spelling error in cmdline/apt-get.cc. Thanks to Osamu Aoki
    Closes: #594211

  [ Manpages translations ]
  * Portuguese (Américo Monteiro)

  [ David Kalnischkies ]
  * cmdline/apt-cache.cc:
    - show in madison command again also source packages (LP: #614589)
    - remove useless GetInitialize method
  * cmdline/apt-get.cc:
    - remove direct calls of ReadMainList and use the wrapper instead
      to protect us from useless re-reads and two-times notice display
    - remove death code by removing unused GetInitialize
  * apt-pkg/depcache.cc:
    - now that apt-get purge works on 'rc' packages let the MarkDelete
      pass this purge forward to the non-pseudo package for pseudos
  * apt-pkg/contrib/fileutl.cc:
    - apply SilentlyIgnore also on files without an extension
  * apt-pkg/contrib/configuration.cc:
    - fix autoremove by using correct config-option name and
      don't make faulty assumptions in error handling (Closes: #594689)
  * apt-pkg/versionmatch.cc:
    - let the pin origin actually work as advertised in the manpage
      which means "" are optional and pinning a local archive does
      work - even if it is a non-flat archive (Closes: #594435)

 -- Michael Vogt <mvo@debian.org>  Fri, 03 Sep 2010 18:36:11 +0200

apt (0.8.0) unstable; urgency=low

  [ Michael Vogt ]
  * merge of the debian-expermental-ma branch
  * refresh po/pot files in doc/ and po/

  [ Programs translations ]
  * Swedish (Daniel Nylander). Closes: #592366
  * French (Christian Perrier)

  [ Manpages translations ]
  * French (Christian Perrier)

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Aug 2010 16:32:19 +0200

apt (0.8.0~pre2) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/strutl.cc:
    - fix error checking for vsnprintf in its safe variant
  * methods/bzip2.cc:
    - fix error checking for read in case of failing bzip2/lzma/whatever
  * debian/apt.cron.daily:
    - create backups for our extended_states file (Closes: #593430)
  * apt-pkg/init.cc:
    - set the default values for dir::etc::trusted options correctly
  * ftparchive/writer.cc:
    - init valid-until correctly to prevent garbage entering Release file
  * apt-pkg/deb/debsystem.cc:
    - set dir::state::status based at least on dir
  * apt-pkg/deb/dpkgpm.cc:
    - use the InstVer instead of the CurrentVer for the autobit transfer
  * methods/http.cc:
    - some http servers violate HTTP1.1 by not issuing a Reason-Phrase
      (or at least a space after the code) especially for 200, but lets
      be nice and ignore it as we don't need the reason in general
  * apt-pkg/acquire-item.cc:
    - don't use ReadOnlyGzip mode for PDiffs as this mode doesn't work
      in combination with the AddFd methods of our hashclasses

 -- Michael Vogt <mvo@debian.org>  Mon, 23 Aug 2010 19:09:08 +0200

apt (0.8.0~pre1) experimental; urgency=low

  [ Programs translations ]
  * Swedish translation update. Closes: #592366

  [ Michael Vogt ]
  * merge of the debian-expermental-ma branch
  * refresh po/pot files in doc/ and po/
  * apt-pkg/pkgcache.cc:
    - re-evaluate the architectures cache when the cache is (re)opened

  [ Colin Watson ]
  * apt-pkg/cdrom.cc:
    - fix off-by-one error in DropBinaryArch

  [ Julian Andres Klode ]
  * apt-pkg/contrib/fileutl.cc:
    - Add WriteAtomic mode.
    - Revert WriteEmpty to old behavior (LP: #613211)
  * apt-pkg, methods:
    - Convert users of WriteEmpty to WriteAtomic.
  * apt-pkg/depcache.cc:
    - Only try upgrade for Breaks if there is a newer version, otherwise
      handle it as Conflicts (by removing it) (helps for #591882).
  * debian/control:
    - Add dependency on gnupg to apt, apt-key uses it.

  [ David Kalnischkies ]
  * apt-pkg/algorithms.cc:
    - let the problem resolver install packages to fix or-groups
      as a needed remove nuked another or-member (helps for #591882)
    - change the debug outputs to display also arch of the
      package and version dependencies information
  * cmdline/apt-get.cc:
    - let APT::Get::Arch-Only in build-dep default to false again
      (Closes: #592628) Thanks Mohamed Amine IL Idrissi for report!
    - purge packages in 'rc' state, thanks Rogier! (Closes: #150831)
  * apt-pkg/pkgcache.cc:
    - fix LongDesc handling in LANG=C environment

 -- Michael Vogt <mvo@debian.org>  Fri, 13 Aug 2010 17:00:49 +0200

apt (0.7.26~exp12) experimental; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - add dependency on zlib-dev for libapt-pkg-dev

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - [ABI BREAK] add an ErrorType option to CacheSetHelper
  * cmdline/apt-cache.cc:
    - use Notice instead of Error in the CacheSetHelper messages
      for compat reasons. Otherwise tools like sbuild blow up
    - return success in show if a virtual package was given
  * debian/control:
    - remove libcurl3-gnutls-dev alternative as the package is gone
    - increase needed version of libcurl4-gnutls-dev to >= 7.19.0
      as we use CURLOPT_{ISSUERCERT,CRLFILE} (Closes: #589642)

 -- Michael Vogt <mvo@debian.org>  Fri, 30 Jul 2010 11:55:48 +0200

apt (0.7.26~exp11) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/deb/dpkgpm.cc:
    - Write architecture information to history file.
    - Add to history whether a change was automatic or not.
  * apt-pkg/contrib/fileutl.cc:
    - Add FileFd::OpenDescriptor() (needed for python-apt's #383617).
  * cmdline/apt-get.cc:
    - Support large filesystems by using statvfs64() instead of statvfs()
      and statfs64() instead of statfs() (Closes: #590513).
  * apt-pkg/cdrom.cc:
    - Use link() instead of rename() for creating the CD database backup;
      otherwise there would be a short time without any database.

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - handle "circular" conflicts for "all" packages correctly
  * cmdline/apt-cache.cc:
    - be able to omit dependency types in (r)depends (Closes: #319006)
    - show in (r)depends the canidate per default instead of newest
    - share the (r)depends code instead of codecopy
  * apt-pkg/cacheset.cc:
    - move them back to the library as they look stable now
    - add a 'newest' pseudo target release as in pkg/newest
  * apt-pkg/pkgcache.cc:
    - prefer non-virtual packages in FindPreferredPkg (Closes: #590041)
  * test/integration/*:
    - add with bug#590041 testcase a small test "framework"
  * apt-pkg/orderlist.cc:
    - try to install another or-group member in DepRemove before
      breaking the or group (Closes: #590438)
    - configure also the replacement before remove by adding Immediate flag
  
  [ Michael Vogt ]
  * apt-pkg/contrib/error.{cc,h}
    - docstring cleanup
    - add inline DumpError() to avoid subtle API break

 -- Michael Vogt <mvo@debian.org>  Thu, 29 Jul 2010 16:40:58 +0200

apt (0.7.26~exp10) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/error.{cc,h}:
    - remove constness of va_list parameter to fix build on amd64 and co
      Thanks Eric Valette! (Closes: #588610)
  * apt-pkg/deb/debmetaindex.cc:
    - do not query each architecture for flat file archives
    - fix typo preventing display of architecture in Info()
  * methods/bzip2.cc:
    - add a copycat of the old gzip.cc as we need it for bzip2 and lzma

  [ Martin Pitt ]
  * debian/rules:
    - Make DEB_BUILD_OPTIONS=noopt actually work by passing the right
      CXXFLAGS.
  * apt-pkg/contrib/fileutl.{h,cc}:
    - Add support for reading of gzipped files with the new "ReadOnlyGzip"
      OpenMode. (Closes: #188407)
    - Link against zlib (in apt-pkg/makefile) and add zlib build dependency.
    - [ABI BREAK] This adds a new private member to FileFd, but its
      initialization is in the public header file.
  * configure.in:
    - Check for zlib library and headers.
  * apt-pkg/acquire-item.cc, apt-pkg/deb/debindexfile.cc,
    apt-pkg/deb/debrecords.cc, apt-pkg/deb/debsrcrecords.h,
    cmdline/apt-cache.cc:
    - Open Packages, Sources, and Translations indexes in "ReadOnlyGzip" mode.
  * apt-pkg/deb/debindexfile.cc:
    - If we do not find uncompressed package/source/translation indexes, look
      for gzip compressed ones.
  * apt-pkg/acquire-item.cc:
    - If the Acquire::GzipIndexes option is true and we download a gzipped
      index file, keep it as it is (and rename to .gz) instead of
      uncompressing it.
  * doc/apt.conf.5.xml:
    - Document the new Acquire::GzipIndexes option.
  * doc/po/apt-doc.pot, doc/po/de.po:
    - German translation of new Acquire::GzipIndexes option.
  * Add test/test-indexes.sh:
    - Test behaviour of index retrieval and usage, in particular with
      uncompressed and gzip compressed indexes.
  * methods/gzip.cc: With FileFd now being able to read gzipped files, there
    is no need for the gzip method any more to spawn an external gzip process.
    Rewrite it to use FileFd directly, which makes the code a lot simpler, and
    also using less memory and overhead.

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Jul 2010 11:41:01 +0200

apt (0.7.26~exp9) experimental; urgency=low

  [ David Kalnischkies ]
  * doc/apt.conf.5.xml:
    - add and document APT::Cache-{Start,Grow,Limit} options for mmap control
  * apt-pkg/contrib/fileutl.cc:
    - do not fail von double close()

 -- Michael Vogt <mvo@debian.org>  Fri, 09 Jul 2010 21:51:55 +0200

apt (0.7.26~exp8) experimental; urgency=low

  [ David Kalnischkies ]
  * cmdline/cacheset.cc:
    - doesn't include it in the library for now as it is too volatile
    - get the candidate either from an already built depcache
      or use the policy which is a bit faster than depcache generation
    - get packages by task^ with FromTask()
    - only print errors if all tries to get a package by string failed
    - factor out code to get a single package FromName()
    - check in Grouped* first without modifier interpretation
  * cmdline/apt-get.cc:
    - use the cachsets in the install commands
    - make the specify order of packages irrelevant (Closes: #196021)
  * apt-pkg/orderlist.cc:
    - untouched packages are never missing
  * apt-pkg/packagemanager.cc:
    - packages that are not touched doesn't need to be unpacked
  * debian/control:
    - remove intltool's dependency as it is an ubuntu artefact
  * apt-pkg/depcache.cc:
    - SetCandidateVer for all pseudo packages
    - SetReInstall for the "all" package of a pseudo package
    - use the new MatchAgainstConfig for the DefaultRootSetFunc
    - always mark the all package if a pseudo package is marked for install
  * apt-pkg/contrib/error.{cc,h}:
    - complete rewrite but use the same API
    - add NOTICE and DEBUG as new types of a message
    - add a simple stack handling to be able to delay error handling
  * apt-pkg/aptconfiguration.cc:
    - show a deprecation notice for APT::Acquire::Translation
  * apt-pkg/contrib/configuration.{cc,h}:
    - add a wrapper to match strings against configurable regex patterns
  * apt-pkg/contrib/fileutl.cc:
    - show notice about ignored file instead of being always silent
    - add a Dir::Ignore-Files-Silently list option to control the notice
  * apt-pkg/policy.h:
    - add another round of const& madness as the previous round accidentally
      NOT overrides the virtual GetCandidateVer() method (Closes: #587725)
  * apt-pkg/pkgcachegen.{cc,h}:
    - make the used MMap moveable (and therefore dynamic resizeable) by
      applying (some) mad pointer magic (Closes: #195018)

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - make the apt/term.log output unbuffered (thanks to Matt Zimmerman)

  [ Julian Andres Klode ]
  * methods/ftp.h:
    - Handle different logins on the same server (Closes: #586904).
  * apt-pkg/deb/deblistparser.cc:
    - Handle architecture wildcards (Closes: #547724).
  * apt-pkg/versionmatch.cc:
    - Support matching pins by regular expressions or glob() like patterns,
      regular expressions have to be put between to slashes; for example,
      /.*/.
  * apt-pkg/contrib/fileutl.cc:
    - Make FileFd replace files atomically in WriteTemp mode (for cache, etc).
  * debian/control:
    - Set Standards-Version to 3.9.0

 -- Michael Vogt <mvo@debian.org>  Fri, 09 Jul 2010 19:16:20 +0200

apt (0.7.26~exp7) experimental; urgency=low

  * apt-pkg/cachefile.h:
    - make pkgPolicy public again, libapt-pkg-perl (and probably
      others) get unhappy without that

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Jun 2010 15:33:24 +0200

apt (0.7.26~exp6) experimental; urgency=low

  [ Michael Vogt ]
  * merge the remaining Ubuntu change:
    - on gpg verification failure warn and restore the last known
      good state
    - on failure display the IP of the server (useful for servers
      that use round robin DNS)
    - support Original-Maintainer in RewritePackageOrder
    - enable cdrom autodetection via libudev by default
    - show message about Vcs in use when apt-get source is run for
      packages maintained in a Vcs
    - better support transitional packages with mark auto-installed. 
      when the transitional package is in "oldlibs" the new package
      is not marked auto installed (same is true for section
      metapackages)
    - provide new "deb mirror://archive.foo/mirrors.list sid main"
      method expects a list of mirrors (generated on the server e.g.
      via geoip) and will use that, including cycle on failure
    - write apport crash file on package failure (disabled by default
      on debian until apport is available)
    - support mirror failure reporting (disabled by default on debian)
  
  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - write Disappeared also to the history.log
    - forward manual-installed bit on package disappearance
  * apt-pkg/deb/debsystem.cc:
    - add better config item for extended_states file
  * apt-pkg/pkgcache.h:
    - switch {,Install-}Size to unsigned long long
  * apt-pkg/depcache.cc:
    - do the autoremove mark process also for required packages to handle
      these illegally depending on lower priority packages (Closes: #583517)
    - try harder to find the other pseudo versions for autoremove multiarch
    - correct "Dangerous iterator usage" pointed out by cppcheck
    - deal with long long, not with int to remove 2GB Limit (LP: #250909)
    - deprecate AddSize with Multiplier as it is unused and switch to
      boolean instead to handle the sizes more gracefully.
    - switch i{Download,Usr}Size from double to (un)signed long long
  * apt-pkg/aptconfiguration.cc:
    - remove duplicate architectures in getArchitectures()
  * apt-pkg/indexrecords.{cc,h}:
    - backport forgotten Valid-Until patch from the obsolete experimental
      branch to prevent replay attacks better, thanks to Thomas Viehmann
      for the initial patch! (Closes: #499897)
    - add a constant Exists check for MetaKeys
  * apt-pkg/acquire-item.cc:
    - do not try PDiff if it is not listed in the Meta file
    - sent Last-Modified header also for Translation files
  * apt-pkg/cacheiterator.h:
    - let pkgCache::Iterator inherent std::iterator
  * ftparchive/writer.h:
    - add a virtual destructor to FTWScanner class (for cppcheck)
  * apt-pkg/cacheset.{cc,h}:
    - add simple wrapper around std::set for cache structures
    - move regex magic from apt-get to new FromRegEx method
    - move cmdline parsing from apt-cache to new FromCommandLine method
    - support special release-modifier 'installed' and 'candidate'
  * apt-pkg/contrib/cmdline.cc:
    - fix segfault in SaveInConfig caused by writing over char[] sizes
  * apt-pkg/pkgcache.cc:
    - get the best matching arch package from a group with FindPreferredPkg
  * cmdline/apt-cache.cc:
    - make the search multiarch compatible by using GrpIterator instead
    - use pkgCacheFile and the new CacheSets all over the place
    - add --target-release option (Closes: #115520)
    - accept pkg/release and pkg=version in show and co. (Closes: #236270)
    - accept package versions in the unmet command
  * cmdline/apt-get.cc:
    - use unsigned long long instead of double to store values it gets
  * apt-pkg/cachefile.{cc,h}:
    - split Open() into submethods to be able to build only parts
    - make the OpProgress optional in the Cache buildprocess
    - store also the SourceList we use internally for export
  * doc/apt.conf.5.xml:
    - document the new Valid-Until related options
  * apt-pkg/contrib/strutl.cc:
    - split StrToTime() into HTTP1.1 and FTP date parser methods and
      use strptime() instead of some self-made scanf mangling
    - use the portable timegm shown in his manpage instead of a strange
      looking code copycat from wget
  * ftparchive/writer.cc:
    - add ValidTime option to generate a Valid-Until header in Release file
  * apt-pkg/policy.cc:
    - get the candidate right for a not-installed pseudo package if
      his non-pseudo friend is installed
  * apt-pkg/indexcopy.cc:
    - move the gpg codecopy to a new method and use it also in methods/gpgv.cc

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Jun 2010 14:02:22 +0200

apt (0.7.26~exp5) experimental; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - rerun dpkg-source in source if --fix-broken is given (Closes: #576752)
    - don't suggest held packages as they are installed (Closes: #578135)
    - handle multiple --{tar,diff,dsc}-only options correctly
    - show at the end of the install process a list of disappeared packages
  * cmdline/apt-cache.cc:
    - use GroupCount for package names in stats and add a package struct line
  * methods/rred.cc:
    - use the patchfile modification time instead of the one from the
      "old" file - thanks to Philipp Weis for noticing! (Closes: #571541)
  * debian/rules:
    - remove targets referring to CVS or arch as they are useless
    - use $(CURDIR) instead of $(pwd)
    - use dpkg-buildflags if available for CXXFLAGS
  * README.arch:
    - remove the file completely as it has no use nowadays
  * apt-pkg/depcache.cc:
    - be doublesure that the killer query is empty before starting reinstall
  * methods/gpgv.cc:
    - remove the keyrings count limit by using vector magic
  * contrib/mmap.cc:
    - clarify "MMap reached size limit" error message, thanks Ivan Masár!
  * doc/apt.ent
    - add entities for the current oldstable/stable/testing codenames
  * doc/sources.list.5.xml:
    - use stable-codename instead of stable in the examples (Closes: #531492)
  * doc/apt_preferences.5.xml:
    - adapt some examples here to use current codenames as well
    - add "NotAutomatic: yes" handling, thanks Osamu Aoki (Closes: #490347)
  * debian/libapt-pkg-doc.doc-base.cache:
    - remove yet another reference to the removed cache.sgml
  * doc/apt-get.8.xml:
    - do not say explicit target_release_{name,version,codename}, it should
      be clear by itself and 'man' can break lines again (Closes: #566166)
    - remove the gnome-apt reference as it is removed from unstable
  * apt-pkg/deb/dpkgpm.cc:
    - add 'disappear' to the known processing states, thanks Jonathan Nieder
  * apt-pkg/packagemanager.h:
    - export info about disappeared packages with GetDisappearedPackages()

  [ Michael Vogt ]
  * methods/http.{cc,h}:
    - code cleanup, use enums instead of magic ints
  
  [ Jari Aalto ]
  * debian/rules:
    - spell out some less known options to reduce manpage consultation-rate
    - Use POSIX command substitution: $(<command sequence>)
    - Remove EOL whitespace (Closes: #577804)

  [ Julian Andres Klode ]
  * apt-pkg/acquire-item.cc:
    - Fix pkgAcqFile::Custom600Headers() to always return something.
  

  [ Christian Perrier ]
  * Slovak translation update. Closes: #581159
  * Italian translation update. Closes: #581742
  * Swedish translation update. Closes: #592366

 -- Michael Vogt <mvo@debian.org>  Tue, 25 May 2010 16:01:42 +0200

apt (0.7.26~exp4) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - rewrite the pseudo package reinstaller to be more intelligent
      in his package choices
  * apt-pkg/packagemanager.cc:
    - don't try to "unpack" pseudo packages twice
  * apt-pkg/contrib/fileutl.cc:
    - add a parent-guarded "mkdir -p" as CreateDirectory()
  * apt-pkg/acquire.{cc,h}:
    - add a delayed constructor with Setup() for success reporting
    - check for and create directories in Setup if needed instead of
      error out unfriendly in the Constructor (Closes: #523920, #525783)
    - optional handle a lock file in Setup()
  * apt-pkg/acquire-item.cc:
    - Acquire::ForceHash to force method for expected hash
  * cmdline/apt-get.cc:
    - remove the lock file handling and let Acquire take care of it instead
    - display MD5Sum in --print-uris if not forced to use another method
      instead of displaying the strongest available (Closes: #576420)
    - regex for package names executed on Grp- not PkgIterator
    - show non-candidates as fallback for virtual packages (Closes: #578385)
    - set also "all" to this version for pseudo packages in TryToChangeVer
  * apt-pkg/deb/dpkgpm.cc:
    - remove Chroot-Directory from files passed to install commands.
      Thanks to Kel Modderman for report & patch! (Closes: #577226)
  * ftparchive/writer.cc:
    - remove 999 chars Files and Checksums rewrite limit (Closes: #577759)
  * cmdline/apt-cache.cc:
    - align Installed and Candidate Version in policy so they can be compared
      easier, thanks Ralf Gesellensetter for the pointer! (Closes: #578657)
  * doc/apt.ent:
    - Add a note about APT_CONFIG in the -c description (Closes: #578267)
  * doc/po/de.po:
    - correct typos in german apt_preferences manpage, thanks Chris Leick!
  * apt-pkg/sourcelist.cc:
    - be less strict and accept [option=value] as well
  * apt-pkg/contrib/configuration.cc:
    - error out if #clear directive has no argument
  * doc/files.sgml:
    - sync documentation with status quo, regarding files/directories in
      use, extended_states and uri schemes.
  * doc/cache.sgml:
    - drop the file in favor of inplace documentation with doxygen
  * apt-pkg/pkgcache.h:
    - enhance the Groups ABI by providing a ID as the other structs does
    - check also the size of the Group struct then checking for the others

  [ Jari Aalto ]
  * cmdline/apt-get.cc:
    - replace backticks with single quotes around fix-broken command
      in the broken packages message. (Closes: #577168)
  * dselect/install:
    - modernize if-statements not to use 'x' (Closes: #577117)
    - replace backticks with POSIX $() (Closes: #577116)

  [ Michael Vogt ]
  * [ Abi break ] apt-pkg/acquire-item.{cc,h}:
    - add "IsIndexFile" to constructor of pkgAcqFile so that it sends
      the right cache control headers
  * cmdline/apt-get.cc:
    - fix crash when pkg.VersionList() is empty
  * apt-pkg/depcache.cc:
    - fix incorrect std::cout usage for debug output
  * test/libapt/getlanguages_test.cc:
    - Add test for Esperanto that has nocounty associated with them
      (LP: #560956)
  * apt-pkg/deb/debrecords.cc:
    - fix max tag buffer size (LP: #545336, closes: #578959)
  * debian/rules:
    - install html doxygen in libapt-pkg-doc 
  * debian/control:
    - build-depend on doxygen

  [ Julian Andres Klode ]
  * apt-pkg/contrib/weakptr.h:
    - add a class WeakPointable which allows one to register weak pointers to
      an object which will be set to NULL when the object is deallocated.
  * [ABI break] apt-pkg/acquire{-worker,-item,}.h:
    - subclass pkgAcquire::{Worker,Item,ItemDesc} from WeakPointable.
  * apt-pkg/pkgcache.cc:
    - Merge fix from David to correct handling in single-arch environments.
  * cmdline/apt-cache.cc:
    - Add a showauto command to apt-cache.
  * cmdline/apt-get.cc:
    - Add apt-get markauto and unmarkauto commands.

 -- Michael Vogt <mvo@debian.org>  Thu, 06 May 2010 09:32:54 +0200

apt (0.7.26~exp3) experimental; urgency=low

  [ Christian Perrier ]
  * German translation update. Closes: #571037
  * Spanish manpages translation update. Closes: #573293
  * Dutch translation update. Closes: #573946
  * Polish manpages translation update. Closes: #574558
  * Add "manpages-pl (<< 20060617-3~)" to avoid file conflicts with
    that package that was providing some manpages for APT utilities.

  [ David Kalnischkies ]
  * [BREAK] merge MultiArch-ABI. We don't support MultiArch,
    but we support the usage of the new ABI so libapt users
    can start to prepare for MultiArch (Closes: #536029)
  * Ignore :qualifiers after package name in build dependencies
    in the library by default, but try to honour them in apt-get
    as we have some sort of MultiArch support ready (Closes: #558103)
  * add translation of the manpages to PT (portuguese)
    Thanks to Américo Monteiro!
  * Switch to dpkg-source 3.0 (native) format
  * apt-pkg/depcache.cc:
    - remove Auto-Installed information from extended_states
      together with the package itself (Closes: #572364)
  * cmdline/apt-mark:
    - don't crash if no arguments are given (Closes: #570962)
  * debian/control:
    - remove some years old and obsolete Replaces
    - add automake/conf build-depends/conflicts as recommend by
      the autotools-dev README (Closes: #572615)
  * apt-pkg/contrib/mmap.{h,cc}:
    - add char[] fallback for filesystems without shared writable
      mmap() like JFFS2. Thanks to Marius Vollmer for writing
      and to Loïc Minier for pointing to the patch! (Closes: #314334)
  * doc/apt_preferences.5.xml:
    - fix two typos and be more verbose in the novice warning.
      Thanks to Osamu Aoki for pointing it out! (Closes: #567669)
    - fix a=sid vs. n=sid typo, thanks Ansgar Burchardt!
    - origin can be used to match a hostname (Closes: #352667)
    - remove wrong pin-priority is optional remark (Closes: #574944)
  * apt-pkg/deb/dpkgpm.cc:
    - fix error message construction in OpenLog()
    - if available store the Commandline in the history
  * cmdline/apt-get.cc:
    - add a --only-upgrade flag to install command (Closes: #572259)
    - fix memory leaks in error conditions in DoSource()
    - try version match in FindSrc first exact than fuzzy (LP: #551178)
  * apt-pkg/contrib/cmndline.cc:
    - save Commandline in Commandline::AsString for logging
  * apt-pkg/deb/debversion.cc:
    - consider absent of debian revision equivalent to 0 (Closes: #573592)
  * doc/makefile, doc/*:
    - generate subdirectories for building the manpages in on the fly
      depending on the po files we have.
  * apt-pkg/pkgcachegen.cc:
    - merge versions correctly even if multiple different versions
      with the same version number are available.
      Thanks to Magnus Holmgren for the patch! (Closes: #351056)
  * ftparchive/writer.cc:
    - write LongDescriptions if they shouldn't be included in Packages
      file into i18n/Translation-en by default.
  * doc/po/de.po:
    - correct a few typos in the german manpage translation.
      Thanks to Chris Leick and Georg Koppen! (Closes: #574962)
  * apt-pkg/contrib/strutl.cc:
    - convert all toupper calls to tolower_ascii for a little speedup

  [ Jean-Baptiste Lallement ]
  * apt-pkg/contrib/strutl.cc:
    - always escape '%' (LP: #130289) (Closes: #500560)
    - unescape '%' sequence only if followed by 2 hex digit
    - username/password are urlencoded in proxy string (RFC 3986)

  [ Julian Andres Klode ]
  * cmdline/apt-cache.cc:
    - Change behavior of showsrc to match the one of show (Closes: #512046).
  * cmdline/apt-key:
    - Honor Apt::GPGV::TrustedKeyring (Closes: #316390)
  * cmdline/apt-mark:
    - Use the new python-apt API (and conflict with python-apt << 0.7.93.2).
  * apt-inst/contrib/arfile.h:
    - Add public ARArchive::Members() which returns the list of members.
  * apt-pkg/policy.cc:
    - Always return a candidate if there is at least one version pinned > 0
      (Closes: #512318)
  * ftparchive/apt-ftparchive.cc:
    - Read default configuration (Closes: #383257)
  * debian/rules:
    - Fix the libraries name to be e.g. libapt-pkg4.9 instead of
      libapt-pkg-4.9.

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix backgrounding when dpkg runs (closes: #486222)
  * cmdline/apt-mark:
    - show error on incorrect aguments (LP: #517917), thanks to
      Torsten Spindler
  * cmdline/apt-get.cc:
    - if apt-get source foo=version or foo/distro can not be found,
      error out (LP: #502641)
  * apt-pkg/packagemanager.cc:
    - better debug output 
  * doc/examples/configure-index:
    - add missing Debug::pkgPackageManager option

 -- Michael Vogt <mvo@debian.org>  Thu, 01 Apr 2010 17:30:43 +0200

apt (0.7.26~exp2) experimental; urgency=low

  * fix crash when LANGUAGE is not set

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Feb 2010 22:07:23 +0100

apt (0.7.26~exp1) experimental; urgency=low

  [ David Kalnischkies ]
  * [BREAK] add possibility to download and use multiply
    Translation files, configurable with Acquire::Translation
    (Closes: #444222, #448216, #550564)
  * Ignore :qualifiers after package name in build dependencies
    for now as long we don't understand them (Closes: #558103)
  * apt-pkg/contrib/mmap.{cc,h}:
    - extend it to have a growable flag - unused now but maybe...
  * apt-pkg/pkgcache.h:
    - use long instead of short for {Ver,Desc}File size,
      patch from Víctor Manuel Jáquez Leal, thanks! (Closes: #538917)
  * apt-pkg/acquire-item.cc:
    - allow also to skip the last patch if target is reached,
      thanks Bernhard R. Link! (Closes: #545699)
  * ftparchive/writer.{cc,h}:
    - add --arch option for packages and contents commands
    - if an arch is given accept only *_all.deb and *_arch.deb instead
      of *.deb. Thanks Stephan Bosch for the patch! (Closes: #319710)
    - add APT::FTPArchive::AlwaysStat to disable the too aggressive
      caching if versions are build multiply times (not recommend)
      Patch by Christoph Goehre, thanks! (Closes: #463260)
  * apt-pkg/deb/dpkgpm.cc:
    - stdin redirected to /dev/null takes all CPU (Closes: #569488)
      Thanks to Aurelien Jarno for providing (again) a patch!
  * buildlib/apti18n.h.in, po/makefile:
    - add ngettext support with P_()
  * aptconfiguration.cc:
    - include all existing Translation files in the Cache (Closes: 564137)
  * debian/control:
    - update with no changes to debian policy 3.8.4
  * doc/apt_preferences.5.xml:
    - explicitly warn against careless use (Closes: #567669)
  * debian/rules:
    - remove creation of empty dir /usr/share/apt
  * doc/apt-cdrom.8.xml:
    - fix typo spotted by lintian: proc(c)eed

  [ Ivan Masár ]
  * Slovak translation update. Closes: #568294
  
  [ Michael Vogt ]
  * [BREAK] merged lp:~mvo/apt/history
    - this writes a /var/log/apt/history tagfile that contains details
      from the transaction (complements term.log)
  * methods/http.cc:
    - add cache-control headers even if no cache is given to allow
      adding options for intercepting proxies
    - add Acquire::http::ProxyAutoDetect configuration that 
      can be used to call a external helper to figure out the 
      proxy configuration and return it to apt via stdout
      (this is a step towards WPAD and zeroconf/avahi support)
  * abicheck/
    - add new abitest tester using the ABI Compliance Checker from
      http://ispras.linuxfoundation.org/index.php/ABI_compliance_checker

  [ Robert Collins ]
  * Change the package index Info methods to allow apt-cache policy to be
    useful when using several different archives on the same host.
    (Closes: #329814, LP: #22354)

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Feb 2010 16:11:39 +0100

apt (0.7.25.3) unstable; urgency=low

  [ Christian Perrier ]
  * Italian translation update. Closes: #567532

  [ David Kalnischkies ]
  * apt-pkg/contrib/macros.h:
    - install the header system.h with a new name to be able to use
      it in other headers (Closes: #567662)
  * cmdline/acqprogress.cc:
    - Set Mode to Medium so that the correct prefix is used.
      Thanks Stefan Haller for the patch! (Closes: #567304 LP: #275243)
  * ftparchive/writer.cc:
    - generate sha1 and sha256 checksums for dsc (Closes: #567343)
  * cmdline/apt-get.cc:
    - don't mark as manually if in download only (Closes: #468180)

 -- Michael Vogt <mvo@debian.org>  Mon, 01 Feb 2010 18:41:15 +0100

apt (0.7.25.2) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/contrib/cdromutl.cc:
    - fix UnmountCdrom() fails, give it a bit more time and try
      the umount again
  * apt-pkg/cdrom.cc:
    - fix crash in pkgUdevCdromDevices
  * methods/cdrom.cc:
    - fixes in multi cdrom setup code (closes: #549312)
    - add new "Acquire::cdrom::AutoDetect" config that enables/disables
      the dlopen of libudev for automatic cdrom detection. Off by default
      currently, feedback/testing welcome
  * cmdline/apt-cdrom.cc:
    - add new --auto-detect option that uses libudev to figure out
      the cdrom/mount-point
  * cmdline/apt-mark:
    - merge fix from Gene Cash that supports markauto for
      packages that are not in the extended_states file yet
      (closes: #534920)
  * ftparchive/writer.{cc,h}:
    - merge crash fix for apt-ftparchive on hurd, thanks to
      Samuel Thibault for the patch (closes: #566664)

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - Fix the newly introduced method GetListOfFilesInDir to not
      accept every file if no extension is enforced
      (= restore old behaviour). (Closes: #565213)
  * apt-pkg/policy.cc:
    - accept also partfiles with "pref" file extension as valid
  * apt-pkg/contrib/configuration.cc:
    - accept also partfiles with "conf" file extension as valid
  * doc/apt.conf.5.xml:
    - reorder description and split out syntax
    - add partfile name convention (Closes: #558348)
  * doc/apt_preferences.conf.5.xml:
    - describe partfile name convention also here
  * apt-pkg/deb/dpkgpm.cc:
    - don't segfault if term.log file can't be opened.
      Thanks Sam Brightman for the patch! (Closes: #475770)
  * doc/*:
    - replace the per language addendum with a global addendum
    - add a explanation why translations include (maybe) english
      parts to the new global addendum (Closes: #561636)
  * apt-pkg/contrib/strutl.cc:
    - fix malloc asseration fail with ja_JP.eucJP locale in
      apt-cache search. Thanks Kusanagi Kouichi! (Closes: #548884)

  [ Christian Perrier ]
  * French translation update

 -- Michael Vogt <mvo@debian.org>  Wed, 27 Jan 2010 16:16:10 +0100

apt (0.7.25.1) unstable; urgency=low

  [ Christian Perrier ]
  * French manpage translation update
  * Russian translation update by Yuri Kozlov
    Closes: #564171

  [Chris Leick]
  * spot & fix various typos in all manpages
  * German manpage translation update

  [ David Kalnischkies ]
  * cmdline/apt-cache.cc:
    - remove translatable marker from the "%4i %s\n" string
  * buildlib/po4a_manpage.mak:
    - instruct debiandoc to build files with utf-8 encoding
  * buildlib/tools.m4:
    - fix some warning from the buildtools
  * apt-pkg/acquire-item.cc:
    - add configuration PDiffs::Limit-options to not download
      too many or too big patches (Closes: #554349)
  * debian/control:
    - let all packages depend on ${misc:Depends}
  * share/*-archive.gpg:
    - remove the horrible outdated files. We already depend on
      the keyring so we don't need to ship our own version
  * cmdline/apt-key:
    - errors out if wget is not installed (Closes: #545754)
    - add --keyring option as we have now possibly many
  * methods/gpgv.cc:
    - pass all keyrings (TrustedParts) to gpgv instead of
      using only one trusted.gpg keyring (Closes: #304846)
  * methods/https.cc:
    - finally merge the rest of the patchset from Arnaud Ebalard
      with the CRL and Issuers options, thanks! (Closes: #485963)
  * apt-pkg/deb/debindexfile.cc, apt-pkg/pkgcachegen.cc:
    - add debug option Debug::pkgCacheGen

  [ Michael Vogt ]
  * cmdline/apt-get.cc:
    - merge fix for apt-get source pkg=version regression
      (closes: #561971)
  * po/ru.po:
    - merged updated ru.po, thanks to Yuri Kozlov (closes: #564171)

 -- Michael Vogt <mvo@debian.org>  Sat, 09 Jan 2010 21:52:36 +0100

apt (0.7.25) unstable; urgency=low

  [ Christian Perrier ]
  * Fix apt-ftparchive(1) wrt description of the "-o" option.
    Thanks to Dann Frazier for the patch. Closes: #273100
  * po/LINGUAS. Re-disable Hebrew. Closes: #534992
  * po/LINGUAS. Enable Asturian and Lithuanian
  * Fix typo in apt-cache.8.xml: nessasarily
  * Fix "with with" in apt-get.8.xml
  * Fix some of the typos mentioned by the german team
    Closes: #479997
  * Polish translation update by Wiktor Wandachowicz
    Closes: #548571
  * German translation update by Holger Wansing
    Closes: #551534
  * Italian translation update by Milo Casagrande
    Closes: #555797
  * Simplified Chinese translation update by Aron Xu 
    Closes: #558737
  * Slovak translation update by Ivan Masár
    Closes: #559277
  
  [ Michael Vogt ]
  * apt-pkg/packagemanager.cc:
    - add output about pre-depends configuring when debug::pkgPackageManager
      is used
  * methods/https.cc:
    - fix incorrect use of CURLOPT_TIMEOUT, closes: #497983, LP: #354972
      thanks to Brian Thomason for the patch
  * merge lp:~mvo/apt/netrc branch, this adds support for a
    /etc/apt/auth.conf that can be used to store username/passwords
    in a "netrc" style file (with the extension that it supports "/"
    in a machine definition). Based on the maemo git branch (Closes: #518473)
    (thanks also to Jussi Hakala and Julian Andres Klode)
  * apt-pkg/deb/dpkgpm.cc:
    - add "purge" to list of known actions
  * apt-pkg/init.h:
    - add compatibility with old ABI name until the next ABI break
  * merge segfault fix from Mario Sanchez Prada, many thanks
    (closes: #561109)

  [ Brian Murray ]
  * apt-pkg/depcache.cc, apt-pkg/indexcopy.cc:
    - typo fix (LP: #462328)
  
  [ Loïc Minier ]
  * cmdline/apt-key:
    - Emit a warning if removed keys keyring is missing and skip associated
      checks (LP: #218971)

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - better debug output for ImmediateAdd with depth and why
    - improve the message shown for failing immediate configuration
  * doc/guide.it.sgml: moved to doc/it/guide.it.sgml
  * doc/po4a.conf: activate translation of guide.sgml and offline.sgml
  * doc/apt.conf.5.xml:
    - provide a few more details about APT::Immediate-Configure
    - briefly document the behaviour of the new https options
  * doc/sources.list.5.xml:
    - add note about additional apt-transport-methods
  * doc/apt-mark.8.xml:
    - correct showauto synopsis, thanks Andrew Schulman (Closes: #551440)
  * cmdline/apt-get.cc:
    - source should display his final pkg pick (Closes: #249383, #550952)
    - source doesn't need the complete version for match (Closes: #245250)
    - source ignores versions/releases if not available (Closes: #377424)
    - only warn if (free) space overflows (Closes: #522238)
    - add --debian-only as alias for --diff-only
  * methods/connect.cc:
    - display also strerror of "wicked" getaddrinfo errors
    - add AI_ADDRCONFIG to ai_flags as suggested by Aurelien Jarno
      in response to Bernhard R. Link, thanks! (Closes: #505020)
  * buildlib/configure.mak, buildlib/config.{sub,guess}:
    - remove (outdated) config.{sub,guess} and use the ones provided
      by the new added build-dependency autotools-dev instead
  * configure.in, buildlib/{xml,yodl,sgml}_manpage.mak:
    - remove the now obsolete manpage buildsystems
  * doc/{pl,pt_BR,es,it}/*.{sgml,xml}:
    - convert all remaining translation to the po4a system
  * debian/control:
    - drop build-dependency on docbook-utils and xmlto
    - add build-dependency on autotools-dev
    - bump policy to 3.8.3 as we have no outdated manpages anymore
  * debian/NEWS:
    - fix a typo in 0.7.24: Allready -> Already (Closes: #557674)
  * ftparchive/writer.{cc,h}:
    - add APT::FTPArchive::LongDescription to be able to disable them
  * apt-pkg/deb/debsrcrecords.cc:
    - use "diff" filetype for .debian.tar.* files (Closes: #554898)
  * methods/rred.cc:
    - rewrite to be able to handle even big patch files
    - adopt optional mmap+iovec patch from Morten Hustveit
      (Closes: #463354) which should speed up a bit. Thanks!
  * methods/http{,s}.cc
    - add config setting for User-Agent to the Acquire group,
      thanks Timothy J. Miller! (Closes: #355782)
    - add https options which default to http ones (Closes: #557085)
  * debian/apt.cron.daily:
    - check cache size even if we do nothing else otherwise, thanks
      Francesco Poli for patch(s) and patience! (Closes: #459344)
  * ftparchive/*:
    - fix a few typos in strings, comments and manpage,
      thanks Karl Goetz! (Closes: #558757)

  [ Carl Chenet ]
  * cmdline/apt-mark:
    - print an error if a new state file can't be created
      (Closes: #521289) and
    - exit nicely if python-apt is not installed (Closes: #521284)

  [ Chris Leick ]
  * doc/de: German translation of manpages (Closes: #552606)
  * doc/ various manpages:
    - correct various errors, typos and oddities (Closes: #552535)
  * doc/apt-secure.8.xml:
    - replace literal with emphasis tags in Archive configuration
  * doc/apt-ftparchive.1.xml:
    - remove informalexample tag which hides the programlisting
  * doc/apt-get.8.xml:
    - change equivalent "for" to "to the" (purge command)
    - clarify --fix-broken sentence about specifying packages

  [ Eugene V. Lyubimkin ]
  * apt-pkg/contib/strutl.h
    - Avoid extra inner copy in APT_MKSTRCMP and APT_MKSTRCMP2.
  * build infrastructure:
    - Bumped libapt version, excluded eglibc from SONAME. (Closes: #448249)

  [ Julian Andres Klode ]
  * doc/apt.conf.5.xml:
    - Deprecate unquoted values, string concatenation and explain what should
      not be written inside a value (quotes,backslash).
    - Restrict option names to alphanumerical characters and "/-:._+".
    - Deprecate #include, we have apt.conf.d nowadays which should be
      sufficient.
  * ftparchive/apt-ftparchive.cc:
    - Call setlocale() so translations are actually used.
  * debian/apt.conf.autoremove:
    - Add kfreebsd-image-* to the list (Closes: #558803)

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Dec 2009 09:21:55 +0100

apt (0.7.24) unstable; urgency=low

  [ Nicolas François ]
  * Cleaned up the first patch draft from KURASAWA Nozomu to finally
    get po4a support for translating the man pages.
    Many thanks to both for this excellent work! (Closes: #441608)
  * doc/ja/*, doc/po/ja.po:
    - remove the old ja man page translation and replace it with
      the new po4a-powered translation by KURASAWA Nozomu.
  * doc/*.?.xml (manpages):
    - add contrib to author tags and also add refmiscinfo to fix warnings
  * doc/style.txt, buildlib/defaults.mak, buildlib/manpage.mak:
    - fix a few typos in the comments of this files

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - when tcgetattr() returns non-zero skip all pty magic 
      (thanks to Simon Richter, closes: #509866)
  * apt-inst/contrib/arfile.cc:
    - show propper error message for Invalid archive members

  [ David Kalnischkies ]
  * doc/Doxyfile.in:
    - update file with doxygen 1.6.1 (current unstable)
    - activate DOT_MULTI_TARGETS, it is default on since doxygen 1.5.9
  * buildlib/po4a_manpage.mak, doc/makefile, configure:
    - simplify the makefiles needed for po4a manpages
  * apt-pkg/contrib/configuration.cc:
    - add a helper to easily get a vector of strings from the config
  * apt-pkg/contrib/strutl.cc:
    - replace unknown multibytes with ? in UTF8ToCharset (Closes: #545208)
  * doc/apt-get.8.xml:
    - fix two little typos in the --simulate description. (Closes: #545059)
  * apt-pkg/aptconfiguration.cc, doc/apt.conf.5.xml:
    - add an order subgroup to the compression types to simplify reordering
      a bit and improve the documentation for this option group.
  * doc/apt.conf.5.xml:
    - document the Acquire::http::Dl-Limit option
    - try to be crystal clear about the usage of :: and {} (Closes: #503481)
  * doc/apt-cache.8.xml:
    - clarify the note for the pkgnames command (Closes: #547599)
  * doc/apt.ent, all man pages:
    - move the description of files to globally usable entities
  * doc/apt_preferences.5.xml:
    - document the new preferences.d folder (Closes: #544017)
  * methods/rred.cc:
    - add at the top without failing (by Bernhard R. Link, Closes: #545694)
  * buildlib/sizetable:
    - add amd64 for cross building (by Mikhail Gusarov, Closes: #513058)
  * debian/prerm:
    - remove file as nobody will upgrade from 0.4.10 anymore
  * debian/control:
    - remove gnome-apt suggestion as it was removed from debian
  * apt-pkg/deb/dpkgpm.cc, apt-pkg/packagemanager.cc, apt-pkg/orderlist.cc:
    - add and document _experimental_ options to make (aggressive)
      use of dpkg's trigger and configuration handling (Closes: #473461)
  * cmdline/apt-get.cc:
    - ignore versions that are not candidates when selecting a package
      instead of a virtual one (by Marius Vollmer, Closes: #547788)

  [ Christian Perrier ]
  * doc/fr/*, doc/po/fr.po:
    - remove the old fr man page translation and replace it with
      the new po4a-powered translation
  * doc/de: dropped (translation is too incomplete to be useful in
      the transition to the po4a-powered translations)

 -- Michael Vogt <mvo@debian.org>  Fri, 25 Sep 2009 19:57:25 +0200

apt (0.7.23.1) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/pkgcache.cc:
    - do not set internel "needs-configure" state for packages in 
      triggers-pending state. dpkg will deal with the trigger and
      it if does it before we trigger it, dpkg will error out
      (LP: #414631)
  * apt-pkg/acquire-item.cc:
    - do not segfault on invalid items (closes: #544080)

 -- Michael Vogt <mvo@debian.org>  Fri, 28 Aug 2009 21:53:20 +0200

apt (0.7.23) unstable; urgency=low

  [ Eugene V. Lyubimkin ]
  * methods/{http,https,ftp}, doc/apt.conf.5.xml:
    - Changed and unified the code that determines which proxy to use. Now
      'Acquire::{http,ftp}::Proxy[::<host>]' options have the highest priority,
      and '{http,ftp}_proxy' environment variables are used only if options
      mentioned above are not specified.
      (Closes: #445985, #157759, #320184, #365880, #479617)
  
  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - add APT::Get::HideAutoRemove=small to display only a short line
      instead of the full package list. (Closes: #537450)
    - ShowBroken() in build-dep (by Mike O'Connor, Closes: #145916)
    - check for statfs.f_type (by Robert Millan, Closes: #509313)
    - correct the order of picked package binary vs source in source
    - use SourceVersion instead of the BinaryVersion to get the source
      Patch by Matt Kraai, thanks! (Closes: #382826)
    - add pkg/archive and codename in source (Closes: #414105, #441178)
  * apt-pkg/contrib/strutl.cc:
    - enable thousand separator according to the current locale
      (by Luca Bruno, Closes: #223712)
  * doc/apt.conf.5.xml:
    - mention the apt.conf.d dir (by Vincent McIntyre, Closes: #520831)
  * apt-inst/contrib/arfile.cc:
    - use sizeof instead strlen (by Marius Vollmer, Closes: #504325)
  * doc/apt-mark.8.xml:
    - improve manpage based on patch by Carl Chenet (Closes: #510286)
  * apt-pkg/acquire-item.cc:
    - use configsettings for dynamic compression type use and order.
      Based on a patch by Jyrki Muukkonen, thanks! (LP: #71746)
  * apt-pkg/aptconfiguration.cc:
    - add default configuration for compression types and add lzma
      support. Order is now bzip2, lzma, gzip, none (Closes: #510526)
  * ftparchive/writer.cc:
    - add lzma support also here, patch for this (and inspiration for
      the one above) by Robert Millan, thanks!
  * apt-pkg/depcache.cc:
    - restore the --ignore-hold effect in the Is{Delete,Install}Ok hooks
  * doc/apt-get.8.xml:
    - update the source description to reflect what it actually does
      and how it can be used. (Closes: #413021)
  * methods/http.cc:
    - allow empty Reason-Phase in Status-Line to please squid,
      thanks Modestas Vainius for noticing! (Closes: #531157, LP: #411435)

  [ George Danchev ]
  * cmdline/apt-cache.cc:
    - fix a memory leak in the xvcg method (Closes: #511557)
  * apt-pkg/indexcopy.cc:
    - fix a memory leak then the Release file not exists (Closes: #511556)

 -- Michael Vogt <mvo@debian.org>  Thu, 27 Aug 2009 14:44:39 +0200

apt (0.7.22.2) unstable; urgency=low

  * debian/apt.cron.daily:
    - Make sure that VERBOSE is always set (Closes: #539366)
    - Script can be disabled by APT::Periodic::Enable=0 (Closes: #485476)
    - Support using debdelta to download packages (Closes: #532079)

 -- Julian Andres Klode <jak@debian.org>  Thu, 06 Aug 2009 12:17:19 +0200

apt (0.7.22.1) unstable; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-get.cc:
    - honor APT::Get::Only-Source properly in FindSrc() (thanks to
      Martin Pitt for reporting the problem), also Closes: #535362.

  [ Julian Andres Klode ]
  * apt-pkg/contrib/mmap.cc:
    - Fix FTBFS on GNU/kFreeBSD by disabling DynamicMMap::Grow() on
      non-Linux architectures as it uses mremap (Closes: #539742).
  * apt-pkg/sourcelist.cc:
    - Only warn about missing sources.list if there is no sources.list.d
      and vice versa as only one of them is needed (Closes: #539731).
  * debian/control:
    - Add myself to Uploaders.
    - Increase Standards-Version to 3.8.2.0.

 -- Julian Andres Klode <jak@debian.org>  Mon, 03 Aug 2009 12:48:31 +0200

apt (0.7.22) unstable; urgency=low

  [ Christian Perrier ]
  * Documentation translations:
    - Fix a typo in apt-get(8) French translation. Closes: #525043
      Thanks to Guillaume Delacour for spotting it.
    - Updated apt.conf(5) manpgae French translation.
      Thanks to Aurélien Couderc.
  * Translations:
    - fr.po
    - sk.po. Closes: #525857 
    - ru.po. Closes: #526816
    - eu.po. Closes: #528985
    - zh_CN.po. Closes: #531390
    - fr.po
    - it.po. Closes: #531758
    - ca.po. Closes: #531921
    - de.po. Closes: #536430
  * Added translations
    - ast.po (Asturian by Marcos Alvareez Costales).
      Closes: #529007, #529730, #535328
  
  [ David Kalnischkies ]
  * [ABI break] support '#' in apt.conf and /etc/apt/preferences
    (closes: #189866)
  * [ABI break] Allow pinning by codename (closes: #97564)
  * support running "--simulate" as user
  * add depth information to the debug output and show what depends
    type triggers a autoinst (closes: #458389)
  * add Debug::pkgDepCache::Marker with more detailed debug output 
    (closes: #87520)
  * add Debug::pkgProblemResolver::ShowScores and make the scores
    adjustable
  * do not write state file in simulate mode (closes: #433007)
  * add hook for MarkInstall and MarkDelete (closes: #470035)
  * fix typo in apt-pkg/acquire.cc which prevents Dl-Limit to work
    correctly when downloading from multiple sites (Closes: #534752)
  * add the various foldmarkers in apt-pkg & cmdline (no code change)
  * versions with a pin of -1 shouldn't be a candidate (Closes: #355237)
  * prefer mmap as memory allocator in MMap instead of a static char
    array which can (at least in theory) grow dynamic
  * eliminate (hopefully all) segfaults in pkgcachegen.cc and mmap.cc
    which can arise if cache doesn't fit into the mmap (Closes: #535218)
  * display warnings instead of errors if the parts dirs doesn't exist

  [ Michael Vogt ]
  * honor the dpkg hold state in new Marker hooks (closes: #64141)
  * debian/apt.cron.daily:
    - if the timestamp is too far in the future, delete it
  * apt-pkg/acquire.cc:
    - make the max pipeline depth of the acquire queue configurable
      via Acquire::Max-Pipeline-Depth
  * apt-pkg/deb/dpkgpm.cc:
    - add Dpkg::UseIoNice boolean option to run dpkg with ionice -c3
      (off by default)
    - send "dpkg-exec" message on the status fd when dpkg is run
    - provide DPkg::Chroot-Directory config option (useful for testing)
    - fix potential hang when in a background process group
  * apt-pkg/algorithms.cc:
    - consider recommends when making the scores for the problem 
      resolver
  * apt-pkg/acquire-worker.cc:
    - show error details of failed methods
  * apt-pkg/contrib/fileutl.cc:
    - if a process aborts with signal, show signal number
  * methods/http.cc:
    - ignore SIGPIPE, we deal with EPIPE from write in 
      HttpMethod::ServerDie() (LP: #385144)
  * Only run Download-Upgradable and Unattended-Upgrades if the initial
    update was successful Closes: #341970
  * apt-pkg/indexcopy.cc:
    - support having CDs with no Packages file (just a Packages.gz)
      by not forcing a verification on non-existing files
     (LP: #255545)
    - remove the gettext from a string that consists entirely 
      of variables (LP: #56792)
  * apt-pkg/cacheiterators.h:
    - add missing checks for Owner == 0 in end()
  * apt-pkg/indexrecords.cc:
    - fix some i18n issues
  * apt-pkg/contrib/strutl.h:
    - add new strprintf() function to make i18n strings easier
    - fix compiler warning
  * apt-pkg/deb/debsystem.cc:
    - make strings i18n able 
  * fix problematic use of tolower() when calculating the version 
    hash by using locale independent tolower_ascii() function. 
    Thanks to M. Vefa Bicakci (LP: #80248)
  * build fixes for g++-4.4
  * cmdline/apt-mark:
    - add "showauto" option to show automatically installed packages
  * document --install-recommends and --no-install-recommends
    (thanks to Dereck Wonnacott, LP: #126180)
  * doc/apt.conf.5.xml:
    - merged patch from Aurélien Couderc to improve the text
      (thanks!)
  * [ABI] merged the libudev-dlopen branch, this allows to pass
    "apt-udev-auto" to Acquire::Cdrom::mount and the cdrom method will  
    dynamically find/mount the cdrom device (if libhal is available)

  [ Julian Andres Klode ]
  * apt-pkg/contrib/configuration.cc: Fix a small memory leak in
    ReadConfigFile.
  * Introduce support for the Enhances field. (Closes: #137583) 
  * Support /etc/apt/preferences.d, by adding ReadPinDir() (Closes: #535512)
  * configure-index: document Dir::Etc::SourceParts and some other options
    (Closes: #459605)
  * Remove Eugene V. Lyubimkin from uploaders as requested.
  * apt-pkg/contrib/hashes.cc, apt-pkg/contrib/md5.cc:
    - Support reading until EOF if Size=0 to match behaviour of
      SHA1Summation and SHA256Summation

  [ Osamu Aoki ]
  * Updated cron script to support backups by hardlinks and 
    verbose levels.  All features turned off by default. 
  * Added more error handlings.  Closes: #438803, #462734, #454989
  * Documented all cron script related configuration items in 
    configure-index.

  [ Dereck Wonnacott ]
  * apt-ftparchive might write corrupt Release files (LP: #46439)
  * Apply --important option to apt-cache depends (LP: #16947) 

  [ Otavio Salvador ]
  * Apply patch from Sami Liedes <sliedes@cc.hut.fi> to reduce the
    number of times we call progress bar updating and debugging
    configuration settings.
  * Apply patch from Sami Liedes <sliedes@cc.hut.fi> to avoid unecessary
    temporary allocations.

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jul 2009 19:16:22 +0200

apt (0.7.21) unstable; urgency=low

  [ Christian Perrier ]
  * Translations:
    - bg.po. Closes: #513211
    - zh_TW.po. Closes: #513311
    - nb.po. Closes: #513843
    - fr.po. Closes: #520430
    - sv.po. Closes: #518070
    - sk.po. Closes: #520403
    - it.po. Closes: #522222
    - sk.po. Closes: #520403
  
  [ Jamie Strandboge ]
  * apt.cron.daily: catch invalid dates due to DST time changes
    in the stamp files

  [ Michael Vogt ]
  * methods/gpgv.cc:
    - properly check for expired and revoked keys (closes: #433091)
  * apt-pkg/contrib/strutl.cc:
    - fix TimeToStr i18n (LP: #289807)
  * [ABI break] merge support for http redirects, thanks to
    Jeff Licquia and Anthony Towns
  * [ABI break] use int for the package IDs (thanks to Steve Cotton)
  * apt-pkg/pkgcache.cc:
    - do not run "dpkg --configure pkg" if pkg is in trigger-awaited
      state (LP: #322955)
  * methods/https.cc:
    - add Acquire::https::AllowRedirect support
  * Clarify the --help for 'purge' (LP: #243948)
  * cmdline/apt-get.cc
    - fix "apt-get source pkg" if there is a binary package and
      a source package of the same name but from different 
      packages (LP: #330103)

  [ Colin Watson ]
  * cmdline/acqprogress.cc:
    - Call pkgAcquireStatus::Pulse even if quiet, so that we still get
      dlstatus messages on the status-fd (LP: #290234).

 -- Michael Vogt <mvo@debian.org>  Tue, 14 Apr 2009 14:12:51 +0200

apt (0.7.20.2) unstable; urgency=medium

  [ Eugene V. Lyubimkin ]
  * Urgency set to medium due to RC bug fix.
  * doc/apt.ent, apt-get.8.xml:
    - Fix invalid XML entities. (Closes: #514402)

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 07 Feb 2009 16:48:21 +0200

apt (0.7.20.1) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/pkgcachegen.cc:
    - fix apt-cache search for localized description 
      (closes: #512110)
  
  [ Christian Perrier ]
  * Translations:
    - fr.po: fix spelling error to "défectueux". Thanks to Thomas Péteul.

 -- Michael Vogt <mvo@debian.org>  Tue, 20 Jan 2009 09:35:05 +0100

apt (0.7.20) unstable; urgency=low

  [ Eugene V. Lyubimkin ]
  * debian/changelog:
    - Fixed place of 'merged install-recommends and install-task branches'
      from 0.6.46.1 to 0.7.0. (Closes: #439866)
  * buildlib/config.{sub,guess}:
    - Renewed. This fixes lintian errors.
  * doc/apt.conf.5.xml, debian/apt-transport-https:
    - Documented briefly 'Acquire::https' group of options. (Closes: #507398)
    - Applied patch from Daniel Burrows to document 'Debug' group of options.
      (Closes: #457265)
    - Mentioned 'APT::Periodic' and 'APT::Archives' groups of options.
      (Closes: #438559)
    - Mentioned '/* ... */' comments. (Closes: #507601)
  * doc/examples/sources.list:
    - Removed obsolete commented non-us deb-src entry, replaced it with
      'deb-src security.debian.org' one. (Closes: #411298)
  * apt-pkg/contrib/mmap.cc:
    - Added instruction how to work around MMap error in MMap error message.
      (Closes: #385674, 436028)
  * COPYING:
    - Actualized. Removed obsolete Qt section, added GPLv2 clause.
      (Closes: #440049, #509337)

  [ Michael Vogt ]
  * add option to "apt-get build-dep" to mark the needed 
    build-dep packages as automatic installed. 
    This is controlled via the value of
    APT::Get::Build-Dep-Automatic and is set "false" by default.  
    Thanks to Aaron Haviland, closes: #448743
  * apt-inst/contrib/arfile.cc:
    - support members ending with '/' as well (thanks to Michal Cihr,
      closes: #500988)

  [ Christian Perrier ]
  * Translations:
    - Finnish updated. Closes: #508449 
    - Galician updated. Closes: #509151
    - Catalan updated. Closes: #509375
    - Vietnamese updated. Closes: #509422
    - Traditional Chinese added. Closes: #510664
    - French corrected (remove awful use of first person) 

 -- Michael Vogt <mvo@debian.org>  Mon, 05 Jan 2009 08:59:20 +0100

apt (0.7.19) unstable; urgency=low

  [ Eugene V. Lyubimkin ]
  * doc/sources.list.5.xml:
    - Mentioned allowed characters in file names in /etc/apt/sources.list.d.
      Thanks to Matthias Urlichs. (Closes: #426913)
  * doc/apt-get.8.xml:
    - Explicitly say that 'dist-upgrade' command may remove packages.
    - Included '-v'/'--version' as a command to synopsis.
  * cmdline/apt-cache.cc:
    - Advanced built-in help. Patch by Andre Felipe Machado. (Closes: #286061)
    - Fixed typo 'GraphVis' -> 'GraphViz'. (Closes: #349038)
    - Removed asking to file a release-critical bug against a package if there
      is a request to install only one package and it is not installable.
      (Closes: #419521)

  [ Michael Vogt ]
    - fix SIGHUP handling (closes: #463030)

  [ Christian Perrier ]
  * Translations:
    - French updated
    - Bulgarian updated. Closes: #505476
    - Slovak updated. Closes: #505483
    - Swedish updated. Closes: #505491
    - Japanese updated. Closes: #505495
    - Korean updated. Closes: #505506
    - Catalan updated. Closes: #505513
    - British English updated. Closes: #505539
    - Italian updated. Closes: #505518, #505683
    - Polish updated. Closes: #505569
    - German updated. Closes: #505614
    - Spanish updated. Closes: #505757
    - Romanian updated. Closes: #505762
    - Simplified Chinese updated. Closes: #505727
    - Portuguese updated. Closes: #505902
    - Czech updated. Closes: #505909
    - Norwegian Bokmål updated. Closes: #505934
    - Brazilian Portuguese updated. Closes: #505949
    - Basque updated. Closes: #506085
    - Russian updated. Closes: #506452 
    - Marathi updated. 
    - Ukrainian updated. Closes: #506545 

 -- Michael Vogt <mvo@debian.org>  Mon, 24 Nov 2008 10:33:54 +0100

apt (0.7.18) unstable; urgency=low

  [ Christian Perrier ]
  * Translations:
    - French updated
    - Thai updated. Closes: #505067

  [ Eugene V. Lyubimkin ]
  * doc/examples/configure-index:
    - Removed obsoleted header line. (Closes: #417638)
    - Changed 'linux-kernel' to 'linux-image'.
  * doc/sources.list.5.xml:
    - Fixed typo and grammar in 'sources.list.d' section. Thanks to
      Timothy G Abbott <tabbott@MIT.EDU>. (Closes: #478098)
  * doc/apt-get.8.xml:
    - Advanced descriptions for 'remove' and 'purge' options.
      (Closes: #274283)
  * debian/rules:
    - Target 'apt' need to depend on 'build-doc'. Thanks for Peter Green.
      Fixes FTBFS. (Closes: #504181)

  [ Michael Vogt ]
  * fix depend on libdb4.4 (closes: #501253)

 -- Michael Vogt <mvo@debian.org>  Fri, 07 Nov 2008 22:13:39 +0100

apt (0.7.17) unstable; urgency=low

  [ Eugene V. Lyubimkin ]
  * debian/control:
    - 'Vcs-Bzr' field is official, used it.
    - Bumped 'Standards-Version' to 3.8.0, no changes needed.
    - Actualized 'Uploaders' field.
  * doc/:
    - Substituded 'apt-archive' with 'apt-ftparchive' in docs.
      Patch based on work of Andre Felipe Machado. (Closes: #350865)
    - Mentioned '/<release>' and '=<version>' for 'apt-get install' and
      '=<version>' for 'apt-get source' in apt-get manpage. Patch based on
      work of Andre Felipe Machado. (Closes: #399673)
    - Mentioned more short options in the apt-get manpage. Documented 'xvcg'
      option in the apt-cache manpage. The part of patch by Andre Felipe
      Machado. (Closes: #176106, #355945)
    - Documented that 'apt-get install' command should be used for upgrading
      some of installed packages. Based on patch by Nori Heikkinen and
      Andre Felipe Machado. (Closes: #267087)
    - Mentioned 'apt_preferences(5)' in apt manpage. (Closes: #274295)
    - Documented 'APT::Default-Release' in apt.conf manpage. (Closes: #430399)
    - APT::Install-Recommends is now true by default, mentioned this in
      configure-index example. (Closes: #463268)
    - Added 'APT::Get::AllowUnauthenticated' to configure-index example.
      (Closes: #320225)
    - Documented '--no-install-recommends' option in apt-get manpage.
      (Closes: #462962)
    - Documented 'Acquire::PDiffs' in apt.conf manpage. (Closes: #376029)
    - Added 'copy', 'rsh', 'ssh' to the list of recognized URI schemes in
      sources.list manpage, as they are already described under in the manpage.
    - Removed notice that ssh/rsh access cannot use password authentication
      from sources.list manpage. Thanks to Steffen Joeris. (Closes: #434894)
    - Added '(x)' to some referrings to manpages in apt-get manpage. Patch by
      Andre Felipe Machado. (Closes: #309893)
    - Added 'dist-upgrade' apt-get synopsis in apt-get manpage.
      (Closes: #323866)

 -- Michael Vogt <mvo@debian.org>  Wed, 05 Nov 2008 13:14:56 +0100

apt (0.7.17~exp4) experimental; urgency=low

  * debian/rules:
    - Fixed lintian warnings "debian/rules ignores make errors".
  * debian/control:
    - Substituted outdated "Source-Version" fields with "binary:Version".
    - Added 'python-apt' to Suggests, as apt-mark need it for work.
    - Drop Debian revision from 'doc-base' build dependency, this fixes
      appropriate lintian warning.
  * debian/libapt-pkg-doc.doc-base.*:
    - Changed section: from old 'Devel' to 'Debian'. This fixes appropriate
      lintian warnings.
  * debian/{postrm,prerm,preinst}:
    - Added 'set -e', fixes lintian warnings
      'maintainer-script-ignores-error'.
  * dselect/makefile:
    - Removed unneeded 'LOCAL' entry. This allows cleaning rule to run smoothly.
  * share/lintian-overrides:
    - Added with override of 'apt must depend on python'. Script 'apt-mark'
      needs apt-python for working and checks this on fly. We don't want
      python in most cases.
  * cmdline/apt-key:
    - Added 'unset GREP_OPTIONS' to the script. This prevents 'apt-key update'
      failure when GREP_OPTIONS contains options that modify grep output.
      (Closes: #428752)

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 31 Oct 2008 23:45:17 +0300

apt (0.7.17~exp3) experimental; urgency=low

  * apt-pkg/acquire-item.cc:
    - fix a merge mistake that prevents the fallback to the 
      uncompressed 'Packages' to work correctly (closes: #409284)

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Oct 2008 09:36:24 +0100

apt (0.7.17~exp2) experimental; urgency=low

  [ Eugene V. Lyubimkin ]
  * apt-pkg/acquire-item.cc:
    - Added fallback to uncompressed 'Packages' if neither 'bz2' nor 'gz'
      available. (Closes: #409284)
  * apt-pkg/algorithm.cc:
    - Strip username and password from source URL in error message.
      (Closes: #425150)
  
  [ Michael Vogt ]
  * fix various -Wall warnings

 -- Michael Vogt <mvo@debian.org>  Tue, 28 Oct 2008 18:06:38 +0100

apt (0.7.17~exp1) experimental; urgency=low

  [ Luca Bruno ]
  * Fix typos:
    - apt-pkg/depcache.cc
  * Fix compilation warnings:
    - apt-pkg/acquire.cc
    - apt-pkg/versionmatch.cc
  * Compilation fixes and portability improvement for compiling APT against non-GNU libc
    (thanks to Martin Koeppe, closes: #392063):
    - buildlib/apti18n.h.in:
      + textdomain() and bindtextdomain() must not be visible when --disable-nls
    - buildlib/inttypes.h.in: undefine standard int*_t types
    - Append INTLLIBS to SLIBS:
      + cmdline/makefile
      + ftparchive/makefile
      + methods/makefile
  * doc/apt.conf.5.xml:
    - clarify whether configuration items of apt.conf are case-sensitive
      (thanks to Vincent McIntyre, closes: #345901)

 -- Luca Bruno <lethalman88@gmail.com>  Sat, 11 Oct 2008 09:17:46 +0200

apt (0.7.16) unstable; urgency=low

  [ Luca Bruno ]
  * doc/apt-cache.8.xml:
    - search command uses POSIX regex, and searches for virtual packages too
      (closes: #277536)
  * doc/offline.sgml: clarify remote and target hosts
    (thanks to Nikolaus Schulz, closes: #175940)
  * Fix several typos in docs, translations and debian/changelog
    (thanks to timeless, Nicolas Bonifas and Josh Triplett,
    closes: #368665, #298821, #411532, #431636, #461458)
  * Document apt-key finger and adv commands
    (thanks to Stefan Schmidt, closes: #350575)
  * Better documentation for apt-get --option
    (thanks to Tomas Pospisek, closes: #386579)
  * Retitle the apt-mark.8 manpage (thanks to Justin Pryzby, closes: #471276)
  * Better documentation on using both APT::Default-Release and
    /etc/apt/preferences (thanks to Ingo Saitz, closes: #145575)
  
  [ Michael Vogt ]
  * doc/apt-cache.8.xml:
    - add missing citerefentry

 -- Michael Vogt <mvo@debian.org>  Fri, 10 Oct 2008 23:44:50 +0200

apt (0.7.15) unstable; urgency=low

  * Upload to unstable

 -- Michael Vogt <mvo@debian.org>  Sun, 05 Oct 2008 13:23:47 +0200

apt (0.7.15~exp3) experimental; urgency=low

  [Daniel Burrows]
  * apt-pkg/deb/dpkgpm.cc:
    - Store the trigger state descriptions in a way that does not break
      the ABI.  The approach taken makes the search for a string O(n) rather
      than O(lg(n)), but since n == 4, I do not consider this a major
      concern.  If it becomes a concern, we can sort the static array and
      use std::equal_range().  (Closes: #499322)

  [ Michael Vogt ]
  * apt-pkg/packagemanager.cc, apt-pkg/deb/dpkgpm.cc:
    - move the state file writting into the Go() implementation
      of dpkgpm (closes: #498799)
  * apt-pkg/algorithms.cc:
    - fix simulation performance drop (thanks to Ferenc Wagner
      for reporting the issue)

 -- Michael Vogt <mvo@debian.org>  Wed, 01 Oct 2008 18:09:49 +0200

apt (0.7.15~exp2) experimental; urgency=low

  [ Michael Vogt ]
  * apt-pkg/pkgcachegen.cc:
    - do not add multiple identical descriptions for the same 
      language (closes: #400768)

  [ Program translations ]
  * Catalan updated. Closes: #499462

 -- Michael Vogt <mvo@debian.org>  Tue, 23 Sep 2008 07:29:59 +0200

apt (0.7.15~exp1) experimental; urgency=low

  [ Christian Perrier ]
  * Fix typo in cron.daily script. Closes: #486179

  [ Program translations ]
  * Traditional Chinese updated. Closes: #488526
  * German corrected and completed. Closes: #490532, #480002, #498018
  * French completed
  * Bulgarian updated. Closes: #492473
  * Slovak updated. Closes: #492475
  * Galician updated. Closes: #492794
  * Japanese updated. Closes: #492975
  * Fix missing space in Greek translation. Closes: #493922
  * Greek updated.
  * Brazilian Portuguese updated.
  * Basque updated. Closes: #496754
  * Romanian updated. Closes: #492773, #488361
  * Portuguese updated. Closes: #491790
  * Simplified Chinese updated. Closes: #489344
  * Norwegian Bokmål updated. Closes: #480022
  * Czech updated. Closes: #479628, #497277
  * Korean updated. Closes: #464515
  * Spanish updated. Closes: #457706
  * Lithuanian added. Closes: #493328
  * Swedish updated. Closes: #497496
  * Vietnamese updated. Closes: #497893
  * Portuguese updated. Closes: #498411
  * Greek updated. Closes: #498687
  * Polish updated.

  [ Michael Vogt ]
  * merge patch that enforces stricter https server certificate
    checking (thanks to Arnaud Ebalard, closes: #485960)
  * allow per-mirror specific https settings
    (thanks to Arnaud Ebalard, closes: #485965)
  * add doc/examples/apt-https-method-example.cof
    (thanks to Arnaud Ebalard, closes: #485964)
  * apt-pkg/depcache.cc:
    - when checking for new important deps, skip critical ones
      (closes: #485943)
  * improve apt progress reporting, display trigger actions
  * add DPkg::NoTriggers option so that applications that call
    apt/aptitude (like the installer) defer trigger processing
    (thanks to Joey Hess)
  * doc/makefile:
    - add examples/apt-https-method-example.conf
  
 -- Michael Vogt <mvo@debian.org>  Tue, 16 Sep 2008 21:27:03 +0200

apt (0.7.14) unstable; urgency=low

  [ Christian Perrier ]
  * Mark a message from dselect backend as translatable
    Thanks to Frédéric Bothamy for the patch
    Closes: #322470

  [ Program translations ]
  * Simplified Chinese updated. Closes: #473360
  * Catalan fixes. Closes: #387141
  * Typo fix in Greek translation. Closes: #479122
  * French updated.
  * Thai updated. Closes: #479313
  * Italian updated. Closes: #479326
  * Polish updated. Closes: #479342
  * Bulgarian updated. Closes: #479379
  * Finnish updated. Closes: #479403
  * Korean updated. Closes: #479426
  * Basque updated. Closes: #479452
  * Vietnamese updated. Closes: #479748
  * Russian updated. Closes: #479777, #499029
  * Galician updated. Closes: #479792
  * Portuguese updated. Closes: #479847
  * Swedish updated. Closes: #479871
  * Dutch updated. Closes: #480125
  * Kurdish added. Closes: #480150
  * Brazilian Portuguese updated. Closes: #480561
  * Hungarian updated. Closes: #480662

  [ Otavio Salvador ]
  * Apply patch to avoid truncating of arbitrary files. Thanks to Bryan
    Donlan <bdonlan@fushizen.net> for the patch. Closes: #482476
  * Avoid using dbus if dbus-daemon isn't running. Closes: #438803
  
  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - apply patch based on the ideas of Francesco Poli for better 
      behavior when the cache can not be locked (closes: #459344)

 -- Michael Vogt <mvo@debian.org>  Wed, 28 May 2008 15:19:12 +0200

apt (0.7.13) unstable; urgency=low

  [ Otavio Salvador ]
  * Add missing build-depends back from build-depends-indep field.
    Closes: #478231
  * Make cron script quiet if cache is locked. Thanks to Ted Percival
    <ted@midg3t.net> for the patch. Closes: #459344
  * Add timeout support for https. Thanks to Andrew Martens
    <andrew.martens@strangeloopnetworks.com> for the patch.

  [ Goswin von Brederlow ]
  * Add support for --no-download on apt-get update. Closes: #478517
  
  [ Program translations ]
    - Vietnamese updated. Closes: #479008
    
 -- Otavio Salvador <otavio@debian.org>  Fri, 02 May 2008 14:46:00 -0300

apt (0.7.12) unstable; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-key:
    - add support for a master-keyring that contains signing keys
      that can be used to sign the archive signing keys. This should
      make key-rollover easier.
  * apt-pkg/deb/dpkgpm.cc:
    - merged patch from Kees Cook to fix anoying upper-case display
      on amd64 in sbuild
  * apt-pkg/algorithms.cc: 
    - add APT::Update::Post-Invoke-Success script slot
    - Make the breaks handling use the kill list. This means, that a
      Breaks: Pkg (<< version) may put Pkg onto the remove list.
  * apt-pkg/deb/debmetaindex.cc:
    - add missing "Release" file uri when apt-get update --print-uris
      is run
  * methods/connect.cc:
    - remember hosts with Resolve failures or connect Timeouts
  * cmdline/apt-get.cc:
    - fix incorrect help output for -f (LP: #57487)
    - do two passes when installing tasks, first ignoring dependencies,
      then resolving them and run the problemResolver at the end
      so that it can correct any missing dependencies
  * debian/apt.cron.daily:
    - sleep random amount of time (default within 0-30min) before
      starting the upate to hit the mirrors less hard
  * doc/apt_preferences.5.xml:
    - fix typo
  * added debian/README.source

  [ Christian Perrier ]
  * Fix typos in manpages. Thanks to Daniel Leidert for the fixes
    Closes: #444922
  * Fix syntax/copitalisation in some messages. Thanks to Jens Seidel
    for pointing this and providing the patch.
    Closes: #466845
  * Fix Polish offline translation. Thanks to Robert Luberda for the patch
    and apologies for applying it very lately. Closes: #337758
  * Fix typo in offline.sgml. Closes: #412900

  [ Program translations ]
    - German updated. Closes: #466842
    - Swedish updated.
    - Polish updated. Closes: #469581
    - Slovak updated. Closes: #471341
    - French updated.
    - Bulgarian updated. Closes: #448492
    - Galician updated. Closes: #476839
  
  [ Daniel Burrows ]
  * apt-pkg/depcache.cc:
    - Patch MarkInstall to follow currently satisfied Recommends even
      if they aren't "new", so that we automatically force upgrades
      when the version of a Recommends has been tightened.  (Closes: #470115)
    - Enable more complete debugging information when Debug::pkgAutoRemove
      is set.
  * apt-pkg/contrib/configuration.cc
    - Lift the 1024-byte limit on lines in configuration files.
      (Closes: #473710, #473874)
  * apt-pkg/contrib/strutl.cc:
    - Lift the 64000-byte limit on individual messages parsed by ReadMessages.
      (Closes: #474065)
  * debian/rules:
    - Add missing Build-Depends-Indep on xsltproc, docbook-xsl, and xmlto.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 26 Apr 2008 12:24:35 -0700

apt (0.7.11) unstable; urgency=critical
  
  [ Raise urgency to critical since it fixes a critical but for Debian
    Installer Lenny Beta1 release ]

  [ Program translations ]
    - Vietnamese updated. Closes: #460825
    - Basque updated. Closes: #461166
    - Galician updated. Closes: #461468
    - Portuguese updated. Closes: #464575
    - Korean updated. Closes: #448430
    - Simplified Chinese updated. Closes: #465866

  [ Otavio Salvador ]
  * Applied patch from Robert Millan <rmh@aybabtu.com> to fix the error
    message when gpgv isn't installed, closes: #452640.
  * Fix regression about APT::Get::List-Cleanup setting being ignored,
    closes: #466052.

 -- Otavio Salvador <otavio@debian.org>  Thu, 17 Jan 2008 22:36:46 -0200

apt (0.7.10) unstable; urgency=low

  [ Otavio Salvador ]
  * Applied patch from Mike O'Connor <stew@vireo.org> to add a manpage to
    apt-mark, closes: #430207.
  * Applied patch from Andrei Popescu <andreimpopescu@gmail.com> to add a
    note about some frontends in apt.8 manpage, closes: #438545.
  * Applied patch from Aurelien Jarno <aurel32@debian.org> to avoid CPU
    getting crazy when /dev/null is redirected to stdin (which breaks
    buildds), closes: #452858.
  * Applied patch from Aurelien Jarno <aurel32@debian.org> to fix building
    with newest dpkg-shlibdeps changing the packaging building order and a
    patch from Robert Millan <rmh@aybabtu.com> to fix parallel building,
    closes: #452862.
  * Applied patch from Alexander Winston <alexander.winston@comcast.net>
    to use 'min' as symbol for minute, closes: #219034.
  * Applied patch from Amos Waterland <apw@us.ibm.com> to allow apt to
    work properly in initramfs, closes: #448316.
  * Applied patch from Robert Millan <rmh@aybabtu.com> to make apt-key and
    apt-get to ignore time conflicts, closes: #451328.
  * Applied patch from Peter Eisentraut <peter_e@gmx.net> to fix a
    grammatical error ("manual installed" -> "manually installed"),
    closes: #438136.
  * Fix cron.daily job to not call fail if apt isn't installed, closes:
    #443286.
  * Fix compilation warnings in apt-pkg/cdrom.cc and
    apt-pkg/contrib/configuration.cc.
  * Fix typo in debian/copyright file ("licened" instead of "licensed"),
    closes: #458966.

  [ Program translations ]
    - Basque updated. Closes: #453088
    - Vietnamese updated. Closes: #453774, #459013
    - Japanese updated. Closes: #456909
    - Simplified Chinese updated. Closes: #458039
    - French updated.
    - Norwegian Bokmål updated. Closes: #457917

  [ Michael Vogt ]
  * debian/rules
    - fix https install location
  * debian/apt.conf.daily:
    - print warning if the cache can not be locked (closes: #454561),
      thanks to Bastian Kleineidam
  * methods/gpgv.cc:
    - remove cruft code that caused timestamp/I-M-S issues
  * ftparchive/contents.cc:
    - fix error output
  * apt-pkg/acquire-item.{cc,h}:
    - make the authentication download code more robust against
      servers/proxies with broken If-Range implementations
  * apt-pkg/packagemanager.{cc,h}:
    - propergate the Immediate flag to make hitting the 
      "E: Internal Error, Could not perform immediate configuration (2)"
      harder
  * debian/control:
    - build against libdb-dev (instead of libdb4.4-dev)
  * merged the apt--DoListUpdate branch, this provides a common interface
    for "apt-get update" like operations for the frontends and also provides
    hooks to run stuff in APT::Update::{Pre,Post}-Invoke

  [ Chris Cheney ]
  * ftparchive/contents.cc:
    - support lzma data members
  * ftparchive/multicompress.cc:
    - support lzma output
  
  [ Daniel Burrows ]
  * apt-pkg/contrib/configuration.cc:
    - if RootDir is set, then FindFile and FindDir will return paths
      relative to the directory stored in RootDir, closes: #456457.

  [ Christian Perrier ]
  * Fix wording for "After unpacking...". Thanks to Michael Gilbert
    for the patch. Closes: #260825

 -- Michael Vogt <mvo@debian.org>  Mon, 07 Jan 2008 21:40:47 +0100

apt (0.7.9) unstable; urgency=low

  [ Christian Perrier ]
  * Add several languages to LINGUAS and, therefore, really ship the relevant
    translation:
    Arabic, Dzongkha, Khmer, Marathi, Nepali, Thai
    Thanks to Theppitak Karoonboonyanan for checking this out. Closes: #448321

  [ Program translations ]
    - Korean updated. Closes: #448430
    - Galician updated. Closes: #448497
    - Swedish updated.

  [ Otavio Salvador ]
  * Fix configure script to check for CURL library and headers presense.
  * Applied patch from Brian M. Carlson <sandals@crustytoothpaste.ath.cx>
    to add backward support for arches that lacks pselect support,
    closes: #448406.
  * Umount CD-ROM when calling apt-cdrom ident, except when called with
    -m, closes: #448521.

 -- Otavio Salvador <otavio@debian.org>  Wed, 31 Oct 2007 13:37:26 -0200

apt (0.7.8) unstable; urgency=low

  * Applied patch from Daniel Leidert <daniel.leidert@wgdd.de> to fix
    APT::Acquire::Translation "none" support, closes: #437523.
  * Applied patch from Daniel Burrows <dburrows@debian.org> to add support
    for the Homepage field (ABI break), closes: #447970.
  * Applied patch from Frans Pop <elendil@planet.nl> to fix a trailing
    space after cd label, closes: #448187.

 -- Otavio Salvador <otavio@debian.org>  Fri, 26 Oct 2007 18:20:13 -0200

apt (0.7.7) unstable; urgency=low

  [ Michael Vogt ]
  * apt-inst/contrib/extracttar.cc:
    - fix fd leak for zero size files (thanks to Bill Broadley for
      reporting this bug)
  * apt-pkg/acquire-item.cc:
    - remove zero size files on I-M-S hit
  * methods/https.cc:
    - only send LastModified if we actually have a file
    - send range request with if-range 
    - delete failed downloads
    - delete zero size I-M-S hits
  * apt-pkg/deb/dpkgpm.{cc,h}:
    - merged dpkg-log branch, this lets you specify a 
      Dir::Log::Terminal file to log dpkg output to
      (ABI break)
    - fix parse error when dpkg sends unexpected data
  * merged apt--sha256 branch to fully support the new
    sha256 checksums in the Packages and Release files
    (ABI break)
  * apt-pkg/pkgcachegen.cc:
    - increase default mmap size
  * tests/local-repo:
    - added local repository testcase
  * apt-pkg/acquire.cc:
    - increase MaxPipeDepth for the internal worker<->method
      communication to 1000 for the debtorrent backend
  * make apt build with g++ 4.3
  * fix missing SetExecClose() call when the status-fd is used
  * debian/apt.cron.daily:
    - move unattended-upgrade before apt-get autoclean
  * fix "purge" commandline argument, closes: #133421
    (thanks to Julien Danjou for the patch)
  * cmdline/apt-get.cc:
    - do not change the auto-installed information if a package
      is reinstalled
  * apt-pkg/acquire-item.cc:
    - fix crash in diff acquire code
  * cmdline/apt-mark:
    - Fix chmoding after have renamed the extended-states file (LP: #140019)
      (thanks to Laurent Bigonville)
  * apt-pkg/depcache.cc:
    - set "APT::Install-Recommends" to true by default (OMG!)
  * debian/apt.cron.daily:
    - only run the cron job if apt-get check succeeds (LP: #131719)
  
  [ Program translations ]
    - French updated
    - Basque updated. Closes: #436425
    - Fix the zh_CN translator's name in debian/changelog for 0.7.2
      Closes: #423272
    - Vietnamese updated. Closes: #440611
    - Danish updated. Closes: #441102
    - Thai added. Closes: #442833
    - Swedish updated.
    - Galician updated. Closes: #446626

  [ Otavio Salvador ]
  * Add hash support to copy method. Thanks Anders Kaseorg by the patch
    (closes: #436055)
  * Reset curl options and timestamp between downloaded files. Thanks to
    Ryan Murray <rmurray@debian.org> for the patch (closes: #437150)
  * Add support to apt-key to export keys to stdout. Thanks to "Dwayne
    C. Litzenberger" <dlitz@dlitz.net> for the patch (closes: #441942)
  * Fix compilation warnings:
    - apt-pkg/indexfile.cc: conversion from string constant to 'char*';
    - apt-pkg/acquire-item.cc: likewise;
    - apt-pkg/cdrom.cc: '%lu' expects 'long unsigned int', but argument
      has type 'size_t';
    - apt-pkg/deb/dpkgpm.cc: initialization order and conversion from
      string constant to 'char*';
    - methods/gpgv.cc: conversion from string constant to 'char*';
    - methods/ftp.cc: likewise;
    - cmdline/apt-extracttemplates.cc: likewise;
    - apt-pkg/deb/debmetaindex.cc: comparison with string literal results
      in unspecified behaviour;
  * cmdline/apt-get.cc: adds 'autoremove' as a valid comment to usage
    statement of apt-get (closes: #445468).
  * cmdline/apt-get.cc: really applies Julien Danjou <acid@debian.org>
    patch to add 'purge' command line argument (closes: #133421).

  [ Ian Jackson ]
  * dpkg-triggers: Deal properly with new package states.

  [ Colin Watson ]
  * apt-pkg/contrib/mmap.cc:
    - don't fail if msync() returns > 0
 
 -- Michael Vogt <mvo@debian.org>  Tue, 23 Oct 2007 14:58:03 +0200

apt (0.7.6) unstable; urgency=low

  * Applied patch from Aurelien Jarno <aurel32@debian.org> to fix wrong
    directory downloading on non-linux architectures (closes: #435597)

 -- Otavio Salvador <otavio@debian.org>  Wed, 01 Aug 2007 19:49:51 -0300

apt (0.7.5) unstable; urgency=low

  [ Otavio Salvador ]
  * Applied patch from Guillem Jover <guillem@debian.org> to use
    dpkg-architecture to get the host architecture (closes: #407187)
  * Applied patch from Guillem Jover <guillem@debian.org> to add
    support to add lzma support (closes: #408201)

  [ Michael Vogt ]
  * apt-pkg/depcache.cc:
    - support a list of sections for:
      APT::Install-Recommends-Sections
      APT::Never-MarkAuto-Sections
  * methods/makefile:
    - install lzma symlink method (for full lzma support)
  * debian/control:
    - suggest "lzma"

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 25 Jul 2007 20:16:46 -0300

apt (0.7.4) unstable; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-get.cc:
    - fix in the task-install code regexp (thanks to Adam Conrad and
      Colin Watson)
    - support task removal too: apt-get remove taskname^
      (thanks to Matt Zimmerman reporting this problem)

  [ Otavio Salvador ]
  * Fix a typo on 0.7.3 changelog entry about g++ (7.3 to 4.3)
  * Fix compilation warnings:
    - apt-pkg/contrib/configuration.cc: wrong argument type;
    - apt-pkg/deb/dpkgpm.cc: wrong signess;
    - apt-pkg-acquire-item.cc: wrong signess and orderned initializers;
    - methods/https.cc:
      - type conversion;
      - unused variable;
      - changed SetupProxy() method to void;
  * Simplified HttpMethod::Fetch on http.cc removing Tail variable;
  * Fix pipeline handling on http.cc (closes: #413324)
  * Fix building to properly support binNMUs. Thanks to Daniel Schepler
    <schepler@math.unipd.it> by the patch (closes: #359634)
  * Fix example for Install-{Recommends,Suggests} options on
    configure-index example file. Thanks to Peter Eisentraut
    <peter_e@gmx.net> by the patch (closes: #432223)

  [ Christian Perrier ]
  * Basque translation update. Closes: ##423766
  * Unfuzzy formerly complete translations
  * French translation update
  * Re-generate PO(T) files
  * Spanish translation update
  * Swedish translation update

 -- Otavio Salvador <otavio@debian.org>  Tue, 24 Jul 2007 09:55:50 -0300

apt (0.7.3) unstable; urgency=low

  * fixed compile errors with g++ 4.3 (thanks to 
    Daniel Burrows, closes: #429378)
  * fixes in the auto-mark code (thanks to Daniel
    Burrows)
  * fix FTBFS by changing build-depends to
    libcurl4-gnutls-dev (closes: #428363)
  * cmdline/apt-get.cc:
    - fix InstallTask code when a pkgRecord ends 
      with a single '\n' (thanks to Soren Hansen for reporting)
  * merged from Christian Perrier:
        * vi.po: completed to 532t, again. Closes: #429899
        * gl.po: completed to 532t. Closes: #429506
        * vi.po: completed to 532t. Closes: #428672
        * Update all PO and the POT. Gives 514t14f4u for formerly
          complete translations
        * fr.po: completed to 532t
        * ku.po, uk.po, LINGUAS: reintegrate those translations
          which disappeared from the BZR repositories

 -- Michael Vogt <mvo@debian.org>  Sun, 01 Jul 2007 12:31:29 +0200

apt (0.7.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libcurl4-gnutls-dev instead of the obsolete
    libcurl3-gnutls-dev.  Closes: #428363.

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Jun 2007 18:46:53 -0700

apt (0.7.2) unstable; urgency=low
  
  * merged the debian/experimental changes back
    into the debian/sid branch
  * merged from Christian Perrier:
    * mr.po: New Marathi translation  Closes: #416806
    * zh_CN.po: Updated by Kov Chai  Closes: #416822
    * tl.po: Updated by Eric Pareja   Closes: #416638
    * gl.po: Updated by Jacobo Tarrio
	     Closes: #412828
    * da.po: Updated by Claus Hindsgaul
	     Closes: #409483
    * fr.po: Remove a non-breakable space for usability
	     issues. Closes: #408877
    * ru.po: Updated Russian translation. Closes: #405476
    * *.po: Unfuzzy after upstream typo corrections
  * buildlib/archtable:
    - added support for sh3/sh4 (closes: #424870)
    - added support for m32r (closes: #394096)
  * buildlib/systemtable:
    - added support for lpia
  * configure.in:
    - check systemtable for architecture mapping too
  * fix error in AutocleanInterval, closes: #319339
    (thanks to Israel G. Lugo for the patch)
  * add "purge" commandline argument, closes: #133421)
    (thanks to Julien Danjou for the patch)
  * add "purge" commandline argument, closes: #133421)
    (thanks to Julien Danjou for the patch)
  * fix FTBFS with gcc 4.3, closes: #417090
    (thanks to Martin Michlmayr for the patch)
  * add --dsc-only option, thanks to K. Richard Pixley
  * Removed the more leftover #pragma interface/implementation
    closes: #306937 (thanks to Andreas Henriksson for the patch)
  
 -- Michael Vogt <mvo@debian.org>  Wed, 06 Jun 2007 23:19:50 +0200

apt (0.7.1) experimental; urgency=low

  * ABI library name change because it's built against
    new glibc
  * implement SourceVer() in pkgRecords 
     (thanks to Daniel Burrows for the patch!)
  * apt-pkg/algorithm.cc:
    - use clog for all debugging
    - only increase the score of installed applications if they 
      are not obsolete 
    - fix resolver bug on removal triggered by weak-dependencies 
      with or-groups
  * methods/http.cc:
    - send apt version in User-Agent
  * apt-pkg/deb/debrecords.cc:
    - fix SHA1Hash() return value
  * apt-pkg/cdrom.cc:
    - only unmount if APT::CDROM::NoMount is false
  * methods/cdrom.cc:  
    - only umount if it was mounted by the method before
  * po/gl.po:
    - fix error translation that causes trouble to lsb_release
  * apt-pkg/acquire-item.cc:
    - if decompression of a index fails, delete the index 
  * apt-pkg/acquire.{cc,h}:
    - deal better with duplicated sources.list entries (avoid
      double queuing of  URLs) - this fixes hangs in bzip/gzip
  * merged from Christian Perrier:
    * mr.po: New Marathi translation  Closes: #416806
    * zh_CN.po: Updated by Eric Pareja  Closes: #416822
    * tl.po: Updated by Eric Pareja   Closes: #416638
    * gl.po: Updated by Jacobo Tarrio
             Closes: #412828
    * da.po: Updated by Claus Hindsgaul
             Closes: #409483
    * fr.po: Remove a non-breakable space for usability
             issues. Closes: #408877
    * ru.po: Updated Russian translation. Closes: #405476
    * *.po: Unfuzzy after upstream typo corrections
    * vi.po: Updated to 515t. Closes: #426976
    * eu.po: Updated to 515t. Closes: #423766
    * pt.po: 515t. Closes: #423111
    * fr.po: Updated by Christian Perrier
    * Update all PO and the POT. Gives 513t2f for formerly
      complete translations
  * apt-pkg/policy.cc:
    - allow multiple packages (thanks to David Foerster)

 -- Michael Vogt <mvo@debian.org>  Wed,  2 May 2007 13:43:44 +0200

apt (0.7.0) experimental; urgency=low

  * Package that contains all the new features
  * Removed all #pragma interface/implementation
  * Branch that contains all the new features:
  * translated package descriptions
  * task install support
  * automatic dependency removal (thanks to Daniel Burrows)
  * merged support for the new dpkg "Breaks" field 
    (thanks to Ian Jackson)
  * handle network failures more gracefully on "update"
  * support for unattended-upgrades (via unattended-upgrades
    package)
  * added apt-transport-https method
  * merged "install-recommends" branch (ABI break): 
    - new "--install-recommends"
    - install new recommends on "upgrade" if --install-recommends is 
      given
    - new "--fix-policy" option to install all packages with unmet
      important dependencies (usefull with --install-recommends to
      see what not-installed recommends are on the system)
    - fix of recommended packages display (only show CandidateVersion
      fix or-group handling)
  * merged "install-task" branch (use with "apt-get install taskname^")

 -- Michael Vogt <mvo@debian.org>  Fri, 12 Jan 2007 20:48:07 +0100

apt (0.6.46.4-0.1) unstable; urgency=emergency
  
  * NMU
  * Fix broken use of awk in apt-key that caused removal of the wrong keys
    from the keyring. Closes: #412572

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2007 16:00:22 -0500

apt (0.6.46.4) unstable; urgency=high

  * ack NMU (closes: #401017)
  * added apt-secure.8 to "See also" section
  * apt-pkg/deb/dpkgpm.cc:
    - added "Dpkg::StopOnError" variable that controls if apt
      will abort on errors from dpkg
  * apt-pkg/deb/debsrcrecords.{cc,h}:
    - make the Buffer grow dynmaically (closes: #400874)
  * Merged from Christian Perrier bzr branch:
    - uk.po: New Ukrainian translation: 483t28f3u
    - el.po: Update to 503t9f2u
    - de.po: Updates and corrections.
  * apt-pkg/contrib/progress.cc:
    - OpProgress::CheckChange optimized, thanks to Paul Brook
      (closes: #398381)
  * apt-pkg/contrib/sha256.cc:
    - fix building with noopt

 -- Michael Vogt <mvo@debian.org>  Thu,  7 Dec 2006 10:49:50 +0100

apt (0.6.46.3-0.2) unstable; urgency=high

  * Non-maintainer upload with permission of Michael Vogt.
  * Fix FTBFS on most arches (regression from the fix of #400874)

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  5 Dec 2006 15:51:22 +0000 
  
apt (0.6.46.3-0.1) unstable; urgency=high

  * Non-maintainer upload with permission of Michael Vogt.
  * Fix segfault at apt-get source. Closes: #400874
  * Add apt-key update in postinst, so that debian-archive-keyring doesn't
    need to depend on apt >= 0.6. Closes: #401114
  * Don't double-queue pdiff files. Closes: #401017
  
 -- Andreas Barth <aba@not.so.argh.org>  Tue,  5 Dec 2006 10:34:56 +0000

apt (0.6.46.3) unstable; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - make progress reporting robust against multiline error
      messages 

  * Merged from Christian Perrier bzr branch:
    - ca.po: Updated to 514t
    - be.po: Updated to 514t
    - it.po: Updated to 514t
    - hu.po: Updated to 514t
    - zh_TW.po: Updated to 514t
    - ar.po: Updated to 293t221u.
    - ru.po: Updated to 514t. Closes: #392466
    - nb.po: Updated to 514t. Closes: #392466
    - pt.po: Updated to 514t. Closes: #393199
    - fr.po: One spelling error corrected: s/accÃ¨der/accÃ©der
    - km.po: Updated to 514t.
    - ko.po: Updated to 514t.
    - bg.po: Updated to 514t.
    - de.po: Updated to 514t.
    - en_GB.po: Updated to 514t.

 -- Michael Vogt <mvo@debian.org>  Thu,  2 Nov 2006 11:37:58 +0100

apt (0.6.46.2) unstable; urgency=low

  * debian/control:
    - depend on debian-archive-keyring to offer clean upgrade path 
      (closes: #386800)
  * Merged from Christian Perrier bzr branch:
    - es.po: Updated to 514t. Closes: #391661
    - da.po: Updated to 514t. Closes: #391424
    - cs.po: Updated. Closes: #391064
    - es.po: Updated to 514t. Closes: #391661
    - da.po: Updated to 514t. Closes: #391424

 -- Michael Vogt <mvo@debian.org>  Wed, 11 Oct 2006 09:03:15 +0200

apt (0.6.46.1) unstable; urgency=low

  * methods/gzip.cc:
    - deal with empty files 
  * Applied patch from Daniel Schepler to make apt bin-NMU able.
    (closes: bug#359634)
  * rebuild against current g++ because of:
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=29289
    (closes: #390189)
  * fix broken i18n in the dpkg progress reporting, thanks to 
    Frans Pop and Steinar Gunderson. (closes: #389261)
  * Merged from Christian Perrier bzr branch:
    * fi.po: Updated to 514t. Closes: #390149
    * eu.po: Updated to 514t. Closes: #389725
    * vi.po: Updated to 514t. Closes: #388555
  * make the internal buffer in pkgTagFile grow dynamically
    (closes: #388708)
  
 -- Michael Vogt <mvo@debian.org>  Mon,  2 Oct 2006 20:42:20 +0200

apt (0.6.46) unstable; urgency=low

  * debian/control:
    - switched to libdb4.4 for building (closes: #381019)
  * cmdline/apt-get.cc:
    - show only the recommends/suggests for the candidate-version, not for all
      versions of the package (closes: #257054)
    - properly handle recommends/suggests or-groups when printing the list of
      suggested/recommends packages (closes: #311619)
  * methods/http.cc:
    - check more careful for incorrect proxy settings (closes: #378868)
  * methods/gzip.cc:
    - don't hang when /var is full (closes: #341537), thanks to
      Luis Rodrigo Gallardo Cruz for the patch
  * doc/examples/sources.list:
    - removed non-us.debian.org from the example (closes: #380030,#316196)
  * Merged from Christian Perrier bzr branch:
    * ro.po: Updated to 514t. Closes: #388402
    * dz.po: Updated to 514t. Closes: #388184
    * it.po: Fixed typos. Closes: #387812
    * ku.po: New kurdish translation. Closes: #387766
    * sk.po: Updated to 514t. Closes: #386851
    * ja.po: Updated to 514t. Closes: #386537
    * gl.po: Updated to 514t. Closes: #386397
    * fr.po: Updated to 516t.
    * fi.po: Updated to 512t. Closes: #382702
  * share/archive-archive.gpg:
    - removed the outdated amd64 and debian-2004 keys
  * apt-pkg/tagfile.cc:
    - applied patch from Jeroen van Wolffelaar to make the tags
      caseinsensitive (closes: #384182)
    - reverted MMap use in the tagfile because it does not work 
      across pipes (closes: #383487) 
  
 -- Michael Vogt <mvo@debian.org>  Thu, 21 Sep 2006 10:25:03 +0200

apt (0.6.45) unstable; urgency=low

  * apt-pkg/contrib/sha256.cc:
    - fixed the sha256 generation (closes: #378183)
  * ftparchive/cachedb.cc:
    - applied patch from Anthony Towns to fix Clean() function
      (closes: #379576)
  * doc/apt-get.8.xml:
    - fix path to the apt user build (Closes: #375640)
  * doc/apt-cache.8.xml:
    - typo (Closes: #376408)
  * apt-pkg/deb/dpkgpm.cc:
    - make progress reporting more robust against multiline error
      messages (first half of a fix for #374195)
  * doc/examples/configure-index:
    - document Debug::pkgAcquire::Auth     
  * methods/gpgv.cc:
    - deal with gpg error "NODATA". Closes: #296103, Thanks to 
      Luis Rodrigo Gallardo Cruz for the patch
  * apt-inst/contrib/extracttar.cc:
    - fix for string mangling, closes: #373864
  * apt-pkg/acquire-item.cc:
    - check for bzip2 in /bin (closes: #377391)
  * apt-pkg/tagfile.cc:
    - make it work on non-mapable files again, thanks 
      to James Troup for confirming the fix (closes: #376777)
  * Merged from Christian Perrier bzr branch:
    * ko.po: Updated to 512t. Closes: #378901
    * hu.po: Updated to 512t. Closes: #376330
    * km.po: New Khmer translation: 506t6f. Closes: #375068
    * ne.po: New Nepali translation: 512t. Closes: #373729
    * vi.po: Updated to 512t. Closes: #368038
    * zh_TW.po: Remove an extra %s in one string. Closes: #370551
    * dz.po: New Dzongkha translation: 512t
    * ro.po: Updated to 512t
    * eu.po: Updated
    * eu.po: Updated
  * fix apt-get dist-upgrade
  * fix warning if no /var/lib/apt/extended_states is present
  * don't download Translations for deb-src sources.list lines
  * apt-pkg/tagfile.cc:
    - support not-mmapable files again

 -- Michael Vogt <mvo@debian.org>  Thu, 27 Jul 2006 00:52:05 +0200

apt (0.6.44.2exp1) experimental; urgency=low

  * added support for i18n of the package descriptions
  * added support for aptitude like auto-install tracking (a HUGE
    HUGE thanks to Daniel Burrows who made this possible) 
  * synced with the http://people.debian.org/~mvo/bzr/apt/debian-sid branch
  * build from http://people.debian.org/~mvo/bzr/apt/debian-experimental

 -- Michael Vogt <mvo@debian.org>  Mon,  3 Jul 2006 21:50:31 +0200

apt (0.6.44.2) unstable; urgency=low

  * apt-pkg/depcache.cc:
    - added Debug::pkgDepCache::AutoInstall (thanks to infinity)
  * apt-pkg/acquire-item.cc:
    - fix missing chmod() in the new aquire code 
      (thanks to Bastian Blank, Closes: #367425)
  * merged from 
    http://www.perrier.eu.org/debian/packages/d-i/level4/apt-main:
    * sk.po: Completed to 512t
    * eu.po: Completed to 512t
    * fr.po: Completed to 512t
    * sv.po: Completed to 512t
    * Update all PO and the POT. Gives 506t6f for formerly
      complete translations

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Jun 2006 12:00:57 +0200

apt (0.6.44.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't give an error when parsing empty Packages/Sources files.
    (Closes: #366931, #367086, #370160)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  9 Jun 2006 00:52:21 +0200

apt (0.6.44.1) unstable; urgency=low

  * apt-pkg/acquire-item.cc:
    - fix reversed logic of the "Acquire::PDiffs" option
  * merged from 
    http://www.perrier.eu.org/debian/packages/d-i/level4/apt-main:
    - po/LINGUAS: added "bg" Closes: #360262
    - po/gl.po: Galician translation update. Closes: #366849
    - po/hu.po: Hungarian translation update. Closes: #365448
    - po/cs.po: Czech translation updated. Closes: #367244
  * apt-pkg/contrib/sha256.cc:
    - applied patch to fix unaligned access problem. Closes: #367417
      (thanks to David Mosberger)

 -- Michael Vogt <mvo@debian.org>  Tue, 16 May 2006 21:51:16 +0200

apt (0.6.44) unstable; urgency=low

  * apt-pkg/acquire.cc: don't show ETA if it is 0 or absurdely large
  * apt-pkg/contrib/sha256.{cc,h},hashes.{cc,h}: support for sha256 
    (thanks to Anthony Towns)
  * ftparchive/cachedb.{cc,h},writer.{cc,h}: optimizations 
    (thanks to Anthony Towns)
  * apt pdiff support from experimental merged
  * apt-pkg/deb/dpkgpm.cc: wording fixes (thanks to Matt Zimmerman)
  * apt-pkg/deb/dpkgpm.cc: 
    - wording fixes (thanks to Matt Zimmerman)
    - fix error in dpkg interaction (closes: #364513, thanks to Martin Dickopp)
  * apt-pkg/tagfile.{cc,h}:
    - use MMap to read the entries (thanks to Zephaniah E. Hull for the
      patch) Closes: #350025
  * Merge from http://www.perrier.eu.org/debian/packages/d-i/level4/apt-main:
  	* bg.po: Added, complete to 512t. Closes: #360262
  * doc/apt-ftparchive.1.xml:
    - fix documentation for "SrcPackages" -> "Sources" 
      (thanks to Bart Martens for the patch, closes: #307756)
  * debian/libapt-pkg-doc.doc-base.cache:
    - remove broken charackter from description (closes: #361129)
  * apt-inst/deb/dpkgdb.cc, methods/gpgv.cc: 
    - i18n fixes (closes: #349298)
  * debian/postinst: dont fail on not available
    /usr/share/doc/apt/examples/sources.list (closes: #361130)
  * methods/ftp.cc:
    - unlink empty file in partial if the download failed because
      the file is missing on the server (closes: #316337)
  * apt-pkg/deb/debversion.cc:
    - treats a version string with explicit zero epoch equal
      than the same without epoch (Policy 5.6.12, closes: #363358)
      Thanks to Lionel Elie Mamane for the patch
  
 -- Michael Vogt <mvo@debian.org>  Mon,  8 May 2006 22:28:53 +0200

apt (0.6.43.3) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-186:
    * ca.po: Completed to 512t. Closes: #351592
    * eu.po: Completed to 512t. Closes: #350483
    * ja.po: Completed to 512t. Closes: #349806
    * pl.po: Completed to 512t. Closes: #349514
    * sk.po: Completed to 512t. Closes: #349474
    * gl.po: Completed to 512 strings Closes: #349407
    * sv.po: Completed to 512 strings Closes: #349210
    * ru.po: Completed to 512 strings Closes: #349154
    * da.po: Completed to 512 strings Closes: #349084
    * fr.po: Completed to 512 strings
    * vi.po: Completed to 511 strings  Closes: #348968
    * zh_CN.po: Completed to 512t. Closes: #353936
    * it.po: Completed to 512t. Closes: #352803
    * pt_BR.po: Completed to 512t. Closes: #352419
    * LINGUAS: Add Welsh
    * *.po: Updated from sources (512 strings)
  * apt-pkg/deb/deblistparser.cc:
    - don't explode on a DepCompareOp in a Provides line, but warn about
      it and ignore it otherwise (thanks to James Troup for reporting it)
  * cmdline/apt-get.cc:
    - don't lock the lists directory in DoInstall, breaks --print-uri 
      (thanks to James Troup for reporting it)
  * debian/apt.dirs: create /etc/apt/sources.list.d 
  * make apt-cache madison work without deb-src entries (#352583)
  * cmdline/apt-get.cc: only run the list-cleaner if a update was 
    successfull

 -- Michael Vogt <mvo@debian.org>  Wed, 22 Feb 2006 10:13:04 +0100

apt (0.6.43.2) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-166:
    - en_GB.po, de.po: fix spaces errors in "Ign " translations Closes: #347258
    - makefile: make update-po a pre-requisite of clean target so
    	        that POT and PO files are always up-to-date
    - sv.po: Completed to 511t. Closes: #346450
    - sk.po: Completed to 511t. Closes: #346369
    - fr.po: Completed to 511t
    - *.po: Updated from sources (511 strings)
    - el.po: Completed to 511 strings Closes: #344642
    - da.po: Completed to 511 strings Closes: #348574
    - es.po: Updated to 510t1f Closes: #348158
    - gl.po: Completed to 511 strings Closes: #347729
    - it.po: Yet another update Closes: #347435
  * added debian-archive-keyring to the Recommends (closes: #347970)
  * fixed message in apt-key to install debian-archive-keyring 
  * typos fixed in apt-cache.8 (closes: #348348, #347349)
  * add patch to fix http download corruption problem (thanks to
    Petr Vandrovec, closes: #280844, #290694)

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jan 2006 00:06:33 +0100

apt (0.6.43.1) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-148:
    * fr.po: Completed to 510 strings
    * it.po: Completed to 510t
    * en_GB.po: Completed to 510t
    * cs.po: Completed to 510t
    * zh_CN.po: Completed to 510t
    * el.po: Updated to 510t
    * vi.po: Updated to 383t93f34u
    * tl.po: Completed to 510 strings (Closes: #344306)
    * sv.po: Completed to 510 strings (Closes: #344056)
    * LINGUAS: disabled Hebrew translation. (Closes: #313283)
    * eu.po: Completed to 510 strings (Closes: #342091)
  * apt-get source won't download already downloaded files again
    (closes: #79277)
  * share/debian-archive.gpg: new 2006 ftp-archive signing key added
    (#345891)
  * redownload the Release file if IMS-Hit and gpg failure
  * deal with multiple signatures on a Release file

 -- Michael Vogt <mvo@debian.org>  Fri,  6 Jan 2006 01:17:08 +0100

apt (0.6.43) unstable; urgency=medium

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-132:  
    * zh_CN.po: Completed to 510 strings(Closes: #338267)
    * gl.po: Completed to 510 strings (Closes: #338356)
  * added support for "/etc/apt/sources.list.d" directory 
    (closes: #66325)
  * make pkgDirStream (a bit) more complete
  * fix bug in pkgCache::VerIterator::end() (thanks to Daniel Burrows)
    (closes: #339533)
  * pkgAcqFile is more flexible now (closes: #57091)
  * support a download rate limit for http (closes: #146877)
  * included lots of the speedup changes from #319377
  * add stdint.h to contrib/md5.h (closes: #340448)
  * ABI change, library name changed (closes: #339147)
  * Fix GNU/kFreeBSD crash on non-existing server file (closes: #317718)
  * switch to libdb4.3 in build-depends
  
 -- Michael Vogt <mvo@debian.org>  Tue, 29 Nov 2005 00:17:07 +0100

apt (0.6.42.3) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-129:
    - patch-118: Russian translation update by Yuri Kozlov (closes: #335164)
    - patch-119: add update-po as a pre-req for binary (closes: #329910)
    - patch-121: Complete French translation
    - patch-125: Fixed localization of y/n questions in German translation 
                 (closes: #337078)
    - patch-126: Swedish translation update (closes: #337163)
    - patch-127: Complete Tagalog translation (closes: #337306)
    - patch-128: Danish translation update (closes: #337949)
    - patch-129: Basque translation update (closes: #338101)
  * cmdline/apt-get.cc:
    - bufix in FindSrc  (closes: #335213, #337910)
  * added armeb to archtable (closes: #333599)
  * with --allow-unauthenticated use the old fallback behaviour for
    sources (closes: #335112)
   
 -- Michael Vogt <mvo@debian.org>  Wed,  9 Nov 2005 07:22:31 +0100

apt (0.6.42.2) unstable; urgency=high

  * NMU (approved by maintainer)
  * Add AMD64 archive signing key to debian-archive.gpg (closes: #336500).
  * Add big-endian arm (armeb) support (closes: #333599).
  * Priority high to get the AMD key into testing ASAP.

 -- Frans Pop <fjp@debian.org>  Sun, 30 Oct 2005 21:29:11 +0100
 
apt (0.6.42.1) unstable; urgency=low

  * fix a incorrect example in the apt_prefrences man page
    (thanks to Filipus Klutiero, closes: #282918)
  * apt-pkg/pkgrecords.cc:
    - revert patch from last version, it causes trouble on alpha 
      and ia64 (closes: #335102, #335103)
  * cmdline/apt-get.cc:
    - be extra carefull in FindSrc (closes: #335213)

 -- Michael Vogt <mvo@debian.org>  Sat, 22 Oct 2005 23:44:35 +0200

apt (0.6.42) unstable; urgency=low

  * apt-pkg/cdrom.cc:
    - unmount the cdrom when apt failed to locate any package files
  * allow cdrom failures and fallback to other sources in that case
    (closes: #44135)
  * better error text when dpkg-source fails 
  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-115:
    - patch-99: Added Galician translation
    - patch-100: Completed Danish translation (Closes: #325686)
    - patch-104: French translation completed
    - patch-109: Italian translation completed
    - patch-112: Swedish translation update 
    - patch-115: Basque translation completed (Closes: #333299)
  * applied french man-page update (thanks to Philippe Batailler)
    (closes: #316638, #327456)
  * fix leak in the mmap code, thanks to Daniel Burrows for the
    patch (closes: #250583)
  * support for apt-get [build-dep|source] -t (closes: #152129)
  * added "APT::Authentication::TrustCDROM" option to make the life
    for the installer people easier (closes: #334656)
  * fix crash in apt-ftparchive (thanks to Bastian Blank for the patch)
    (closes: #334671)
  * apt-pkg/contrib/md5.cc:
    - fix a alignment problem on sparc64 that gives random bus errors
      (thanks to Fabbione for providing a test-case)
  * init the default ScreenWidth to 79 columns by default 
    (Closes: #324921)
  * cmdline/apt-cdrom.cc: 
    - fix some missing gettext() calls (closes: #334539)
  * doc/apt-cache.8.xml: fix typo (closes: #334714)

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Oct 2005 22:02:09 +0200

apt (0.6.41) unstable; urgency=low

  * improved the support for "error" and "conffile" reporting from
    dpkg, added the format to README.progress-reporting
  * added README.progress-reporting to the apt-doc package
  * improved the network timeout handling, if a index file from a 
    sources.list times out or EAI_AGAIN is returned from getaddrinfo, 
    don't try to get the other files from that entry
  * Support architecture-specific extra overrides
    (closes: #225947). Thanks to  Anthony Towns for idea and
    the patch, thanks to Colin Watson for testing it.
  * Javier Fernandez-Sanguino Pen~a:
    - Added a first version of an apt-secure.8 manpage, and modified
      apt-key and apt.end accordingly. Also added the 'update'
      argument to apt-key which was previously not documented 
      (Closes: #322120)
  * Andreas Pakulat:
    - added example apt-ftparchive.conf file to doc/examples 
      (closes: #322483)
  * Fix a incorrect example in the man-page (closes: #282918)
  * Fix a bug for very long lines in the apt-cdrom code (closes: #280356)
  * Fix a manual page bug (closes: #316314)
  * Do md5sum checking for file and cdrom method (closes: #319142)
  * Change pkgPolicy::Pin from private to protected to let subclasses
    access it too (closes: #321799)
  * add default constructor for PrvIterator (closes: #322267)
  * Reread status configuration on debSystem::Initialize() 
    (needed for apt-proxy, thanks to Otavio for this patch)
  
 -- Michael Vogt <mvo@debian.org>  Mon,  5 Sep 2005 22:59:03 +0200

apt (0.6.40.1) unstable; urgency=low

  * bugfix in the parsing code for the apt<->dpkg communication. apt 
    crashed when dpkg sends the same state more than once under certain
    conditions
  * 0.6.40 breaks the ABI but I accidentally didn't change the soname :/

 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 13:24:58 +0200

apt (0.6.40) unstable; urgency=low

  * Patch from Jordi Mallach to mark some additional strings for translation
  * Updated Catalan translation from Jordi Mallach
  * Merge from bubulle@debian.org--2005/apt--main--0:
    - Update pot and merge with *.po
    - Updated French translation, including apt-key.fr.8
  * Restore changelog entries from the 0.6.x series that went to Debian
    experimental
  * Merge michael.vogt@ubuntu.com--2005/apt--progress-reporting--0
    - Provide an interface for progress reporting which can be used by
      (e.g.) base-config

 -- Matt Zimmerman <mdz@debian.org>  Thu, 28 Jul 2005 11:57:32 -0700

apt (0.6.39) unstable; urgency=low

  * Welsh translation update: daf@muse.19inch.net--2005/apt--main--0--patch-6
  * Merge mvo's changes from 0.6.36ubuntu1:
    michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-32
  * Merge aggregated translation updates:
    bubulle@debian.org--2005/apt--main--0
  * Update priority of apt-utils to important, to match the override file
  * Install only one keyring on each branch (Closes: #316119)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 28 Jun 2005 11:51:09 -0700

apt (0.6.38) unstable; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/apt--fixes--0--patch-6, a workaround
    for the French man pages' failure to build
  * Branch Debian and Ubuntu
    - apt.postinst, apt-key: use the appropriate keyring
    - debian/rules: install all keyrings
  * Add the current Debian archive signing key (4F368D5D) to
    debian-archive.gpg
  * make pinning on the "component" work again (using the section of the 
    archive, we don't use per-section Release files anymore with apt-0.6)
    (closes ubuntu #9935)
  
 -- Matt Zimmerman <mdz@debian.org>  Sat, 25 Jun 2005 09:51:00 -0700

apt (0.6.37) breezy; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-81
    - patch-66: Italian update
    - patch-71: French update
    - patch-73: Basque update
    - patch-74: Hebrew update
    - patch-76: Correct Hebrew translation (Closes: #306658)
    - patch-77: French man page update
    - patch-79: Correct syntax errors in Hebrew translation
    - patch-81: Portuguese update
  * Fix build of French man pages (now using XML, not SGML)
  * Add Welsh translation from Dafydd Harries
    (daf@muse.19inch.net--2005/apt--main--0--patch-1)
  * Change debian/bugscript to use #!/bin/bash (Closes: #313402)
  * Fix a incorrect example in the man-page (closes: #282918)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 24 May 2005 14:38:25 -0700

apt (0.6.36ubuntu1) breezy; urgency=low

  * make it possible to write a cache-control: no-cache header even if
    no proxy is set to support transparent proxies (closes ubuntu: #10773)

  * Merge otavio@debian.org--2005/apt--fixes--0.6:
    - Fix comment about the need of xmlto while building from Arch;
    - Fix StatStore struct on cachedb.h to use time_t and then fix a compile
      warning;
    - Lock database at start of DoInstall routine to avoid concurrent
      runs of install/remove and update commands (Closes: #194467)
    - Fix warnings while compiling with GCC 4.0 compiler  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 May 2005 11:57:53 +0200

apt (0.6.36) experimental; urgency=low

  * Merge apt--mvo--0:
    - apt-pkg/acquire-item.cc:
      added "Acquire::BrokenProxy" that will force apt to always 
      re-get the Release.gpg file (for broken proxies)
    - debian/apt.cron.daily:
      MinAge is defaulting to 2 days now to prevent over-aggresive removal 
    - apt-pkg/cdrom.cc:
      honor "Acquire::gpgv::Options" when verifying the signature (Ubuntu #8496)
 
 -- Michael Vogt <mvo@debian.org>  Thu, 31 Mar 2005 20:37:11 +0200

apt (0.6.35) hoary; urgency=low

  * Merge apt--mvo--0 (incorporates 0.6.34ubuntu1):
    - Implement MaxSize and MaxAge in apt.cron.daily, to prevent the cache
      from growing too large (Ubuntu #6761)
    - some comments about the pkgAcqMetaSig::Custom600Headers() added
    - use gpg --with-colons
    - commented the ftp no_proxy unseting in methods/ftp.cc
    - added support for "Acquire::gpgv::options" in methods/gpgv.cc
  * Merge bubulle@debian.org--2005/apt--main--0
    - Make capitalization more consistent
    - Un-fuzzy translations resulting from capitalization changes
    - Italian translation update

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  7 Mar 2005 20:08:33 -0800

apt (0.6.34) hoary; urgency=low

  * Add missing semicolon to configure-index (Closes: #295773)
  * Update build-depends on gettext to 0.12 (Closes: #295077)
  * Merge from bubulle@debian.org--2005/apt--main--0 to get
    translation updates

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  4 Mar 2005 16:13:15 -0800

apt (0.6.33) hoary; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/apt--mvo--0 (through patch-6)
    - patch-1: cosmetic changes (whitespace, "Apt::GPGV->APT::GPGV")
    - patch-2: (doc) documentation for gpgv
    - patch-3: (doc) new config variables added configure-index
    - patch-4: pkgAcquire::Run() pulse intervall can be configured
    - patch-5: fix for apt-get update removing Release.gpg files (#6865)
    - patch-6: change the path scoring in apt-cdrom, prefer pathes without
      symlinks

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 26 Feb 2005 15:21:17 -0800

apt (0.6.32) hoary; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/apt--mvo--0 (patch-1)
    - Implement Acquire::gpgv::options (Ubuntu bug#6283)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  8 Feb 2005 19:31:15 -0800

apt (0.6.31) hoary; urgency=low

  * Matt Zimmerman
    - Remove debugging output from apt.cron.daily (no one noticed?)
    - Apply patch from Anthony Towns to allow SHA1Summation to process a file
      descriptor until EOF, rather than requiring that the length of input be
      specified (Closes: #291338)
    - Fix build/install of Polish offline documentation, based on patch from
      Christian Perrier (Closes: #270404)
  * Michael Vogt
    - apt-cdrom.cc seperated into frontend (cmdline/apt-cdrom.cc and library
      apt-pkg/cdrom.{cc,h}) (Ubuntu #5668)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  4 Feb 2005 10:23:01 -0800

apt (0.6.30) unstable; urgency=low

  * Add ppc64 to buildlib/archtable
  * Merge michael.vogt@canonical.com--2004/apt--status-fd--0
    - Support preserving dpkg status file descriptor, to support
      better integration with synaptic
  
 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 19 Jan 2005 00:26:01 -0800

apt (0.6.29) hoary; urgency=low

  * Merge apt--mvo--0 (0.6.27ubuntu4)
  

 -- Matt Zimmerman <mdz@canonical.com>  Tue, 28 Dec 2004 17:18:02 -0800

apt (0.6.28) hoary; urgency=low

  * Merge apt--mvo--0
  * Rebuild source to get rid of arch metadata and temporary files in
    0.6.27ubuntu3

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 23 Dec 2004 18:53:16 -0800

apt (0.6.27ubuntu4) hoary; urgency=low

  * remove old sig-file in partial/ before starting to fetch a new sig-file
    (see ubuntu #4769 for the rational)
  * added apt-key update method (uses ubuntu-keyring)
  * documented the "--allow-unauthenticated" switch
  * added DEB_BUILD_PROG_OPTS to debian/rules (additonal options can be 
    passed to DEB_BUILD_PROG like "-S")

 -- Michael Vogt <mvo@debian.org>  Thu, 23 Dec 2004 11:12:51 +0100

apt (0.6.27ubuntu3) hoary; urgency=low

  * added a exact dependency from libapt-pkg-dev to the apt version it was
    build with

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Dec 2004 09:56:32 +0100

apt (0.6.27ubuntu2) hoary; urgency=low

  * fixed a bug in the rule file that happend during the big 0.5->0.6 merge

 -- Michael Vogt <mvo@debian.org>  Tue, 14 Dec 2004 12:14:25 +0100

apt (0.6.27ubuntu1) hoary; urgency=low

  * chmod 755 /usr/bin/apt-key
  * don't display a error when a apt-get update don't find a 
    Packages.bz2/Sources.bz2 file

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Dec 2004 18:40:21 +0100

apt (0.6.27) hoary; urgency=low

  * Merge apt--authentication--0 branch
    - Implement gpg authentication for package repositories (Closes: #203741)
    - Also includes Michael Vogt's fixes
  * Merge apt--misc-abi-changes--0 branch
    - Use pid_t throughout to hold process IDs (Closes: #226701)
    - Import patch from Debian bug #195510: (Closes: #195510)
      - Make Simulate::Describe and Simulate::ShortBreaks private member
        functions
      - Add a parameter (Candidate) to Describe to control whether the
        candidate version is displayed
      - Pass an appropriate value for Candidate everywhere Describe is called

 -- Matt Zimmerman <mdz@canonical.com>  Mon, 13 Dec 2004 01:03:11 -0800

apt (0.6.25) experimental; urgency=low

  * Fix handling of two-part sources for sources.list deb-src entries in
    the same way that deb entries were fixed

 -- Matt Zimmerman <mdz@debian.org>  Wed,  9 Jun 2004 05:29:50 -0700

apt (0.6.24) experimental; urgency=low

  * YnPrompt fixes were inadvertently left out, include them (Closes:
    #249251)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 May 2004 14:18:53 -0700

apt (0.6.23) experimental; urgency=low

  * Remove obsolete pkgIterator::TargetVer() (Closes: #230159)
  * Reverse test in CheckAuth to match new prompt (Closes: #248211)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  9 May 2004 21:01:58 -0700

apt (0.6.22) experimental; urgency=low

  * Merge 0.5.25
  * Make the unauthenticated packages prompt more intuitive (yes to
    continue, default no), but require --force-yes in addition to
    --assume-yes in order to override

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Mar 2004 13:55:35 -0800

apt (0.6.21) experimental; urgency=low

  * Merge 0.5.24

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Mar 2004 22:52:34 -0800

apt (0.6.20) experimental; urgency=low

  * Merge 0.5.23

 -- Matt Zimmerman <mdz@debian.org>  Thu, 26 Feb 2004 17:17:02 -0800

apt (0.6.19) experimental; urgency=low

  * Merge 0.5.22
  * Convert apt-key(8) to docbook XML

 -- Matt Zimmerman <mdz@debian.org>  Mon,  9 Feb 2004 15:44:49 -0800

apt (0.6.18) experimental; urgency=low

  * Add new Debian Archive Automatic Signing Key to the default keyring
    (existing keyrings are not updated; do that yourself)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 17 Jan 2004 17:04:30 -0800

apt (0.6.17) experimental; urgency=low

  * Merge 0.5.21
  * Handle more IMS stuff correctly

 -- Matt Zimmerman <mdz@debian.org>  Fri, 16 Jan 2004 10:54:25 -0800

apt (0.6.16) experimental; urgency=low

  * Fix some cases where the .gpg file could be left in place when it is
    invalid

 -- Matt Zimmerman <mdz@debian.org>  Fri,  9 Jan 2004 09:22:15 -0800

apt (0.6.15) experimental; urgency=low

  * s/Debug::Acquire::gpg/&v/
  * Honor the [vendor] syntax in sources.list again (though it is not
    presently used for anything)
  * Don't ship vendors.list(5) since it isn't used yet
  * Revert change from 0.6.10; it was right in the first place and the
    problem was apparently something else.  Archive = Suite.

 -- Matt Zimmerman <mdz@debian.org>  Mon,  5 Jan 2004 17:43:01 -0800

apt (0.6.14) experimental; urgency=low

  * Merge 0.5.20

 -- Matt Zimmerman <mdz@debian.org>  Sun,  4 Jan 2004 11:09:21 -0800

apt (0.6.13) experimental; urgency=low

  * Merge 0.5.19

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Jan 2004 16:22:31 -0800

apt (0.6.12) experimental; urgency=low

  * Have pkgAcquireIndex calculate an MD5 sum if one is not provided by
    the method (as with file: and copy:).  Local repositories
  * Fix warning about dist name mismatch to actually print what it was
    expecting
  * Don't expect any particular distribution name for two-part
    sources.list entries
  * Merge 0.5.18

 -- Matt Zimmerman <mdz@debian.org>  Fri,  2 Jan 2004 13:59:00 -0800

apt (0.6.11) experimental; urgency=low

  * Support IMS requests of Release.gpg and Release
  * This required API changes, bump the libapt-pkg version
  * Copy local Release files into Dir::State::Lists
  * Set IndexFile attribute when retrieving Release and Release.gpg so
    that the appropriate Cache-Control headers are sent

 -- Matt Zimmerman <mdz@debian.org>  Fri,  2 Jan 2004 10:46:17 -0800

apt (0.6.10) experimental; urgency=low

  * Use "Codename" (woody, sarge, etc.) to supply the value of the
    "Archive" package file attribute, used to match "release a=" type
    pins, rather than "Suite" (stable, testing, etc.)

 -- Matt Zimmerman <mdz@debian.org>  Thu,  1 Jan 2004 16:56:47 -0800

apt (0.6.9) experimental; urgency=low

  * Another tagfile workaround

 -- Matt Zimmerman <mdz@debian.org>  Thu,  1 Jan 2004 13:56:08 -0800

apt (0.6.8) experimental; urgency=low

  * Add a config option and corresponding command line option
    (--allow-unauthenticated) to apt-get, to make buildd operators happy
    (Closes: #225648)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 31 Dec 2003 08:28:04 -0800

apt (0.6.7) experimental; urgency=low

  * Forgot to revert part of the changes to tagfile in 0.6.4.  Hopefully
    will fix segfaults for some folks.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 31 Dec 2003 08:01:28 -0800

apt (0.6.6) experimental; urgency=low

  * Restore the ugly hack I removed from indexRecords::Load which set the
    pkgTagFile buffer size to (file size)+256.  This is concealing a bug,
    but I can't fix it right now.  This should fix the segfaults that
    folks are seeing with 0.6.[45].

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Dec 2003 18:11:13 -0800

apt (0.6.5) experimental; urgency=low

  * Move the authentication check into a separate function in apt-get
  * Fix display of unauthenticated packages when they are in the cache
    (Closes: #225336)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 28 Dec 2003 16:47:57 -0800

apt (0.6.4) experimental; urgency=low

  * Use the top-level Release file in LoadReleaseInfo, rather than looking
    for the per-section ones (which aren't downloaded anymore).  This
    unbreaks release pinning, including the NotAutomatic bit used by
    project/experimental
  * Use FileFd::Size() rather than a separate stat() call in
    LoadReleaseInfo
  * Fix pkgTagFile to leave a little extra room at the end of the buffer
    to append the record separator if it isn't present
  * Change LoadReleaseInfo to use "Suite" rather than "Archive", to match
    the Debian archive's dist-level Release files

 -- Matt Zimmerman <mdz@debian.org>  Sun, 28 Dec 2003 15:55:55 -0800

apt (0.6.3) experimental; urgency=low

  * Fix MetaIndexURI for flat ("foo/") sources

 -- Matt Zimmerman <mdz@debian.org>  Sun, 28 Dec 2003 12:11:56 -0800

apt (0.6.2) experimental; urgency=low

  * Add space between package names when multiple unauthenticated packages
    are being installed (Closes: #225212)
  * Provide apt-key with a secret keyring and a trustdb, even though we
    would never use them, because it blows up if it doesn't have them
  * Fix typo in apt-key(8) (standard input is '-', not '/')

 -- Matt Zimmerman <mdz@debian.org>  Sat, 27 Dec 2003 13:01:40 -0800

apt (0.6.1) experimental; urgency=low

  * Merge apt 0.5.17
  * Rearrange Release file authentication code to be more clear
  * If Release is present, but Release.gpg is not, don't forget to still
    queue Packages files
  * Convert distribution "../project/experimental" to "experimental" for
    comparison purposes
  * Make a number of Release file errors into warnings; for now, it is OK
    not to have a codename, for example.  We mostly care about checksums
    for now

 -- Matt Zimmerman <mdz@debian.org>  Fri, 26 Dec 2003 15:12:47 -0800

apt (0.6.0) experimental; urgency=low

  * Signature verification support patch ("apt-secure") from Colin Walters
    <walters@debian.org> and Isaac Jones <ijones@syntaxpolice.org>.  This
    implements:
     - Release signature verification (Release.gpg)
     - Packages, Sources md5sum verification against Release
     - Closes: #203741
  * Make some modifications to signature verification support:
    - Release.gpg is always retrieved and verified if present, rather than
      requiring that sources be configured as secure
    - Print a hint about installing gnupg if exec(gpgv) fails
    - Remove obsolete pkgAcqIndexRel
    - Move vendors.list stuff into a separate module (vendorlist.{h,cc})
    - If any files about to be retrieved are not authenticated, issue a
      warning to the user and require confirmation
    - Fix a heap corruption bug in pkgSrcRecords::pkgSrcRecords()
  * Suggests: gnupg
  * Install a keyring in /usr/share/apt/debian-archive.gpg containing an
    initial set of Debian archive signing keys to seed /etc/apt/trusted.gpg
  * Add a new tool, apt-key(8) used to manage the keyring

 -- Matt Zimmerman <mdz@debian.org>  Fri, 26 Dec 2003 08:27:19 -0800

apt (0.5.32) hoary; urgency=low

  * Call setlocale in the methods, so that the messages are properly
    localised (Closes: #282700)
  * Implement support for bzip2-compressed debs (data.tar.bz2)

 -- Matt Zimmerman <mdz@canonical.com>  Sat, 11 Dec 2004 09:05:52 -0800

apt (0.5.31) unstable; urgency=low

  * New Romanian translation from Sorin Batariuc <sorin@bonbon.net>
    (Closes: #281458)
  * Merge changes from Hoary (0.5.30,0.5.30ubuntu2]
  * Fix the example in apt_preferences(5) to match the text
    (Closes: #222267)
  * Add APT::Periodic::Autoclean setting, to allow "apt-get autoclean" to
    be run periodically.  This is useful with
    APT::Periodic::Download-Upgradeable-Packages, and defaults to the same
    value, so that the cache size is bounded

 -- Matt Zimmerman <mdz@debian.org>  Tue, 23 Nov 2004 12:53:04 -0800

apt (0.5.30ubuntu2) hoary; urgency=low

  * bzip2 is now "Suggested" and it will detect if bzip2 is installed 
    and only then trying to get Packages.bz2

 -- Michael Vogt <mvo@debian.org>  Fri, 19 Nov 2004 12:00:39 +0100

apt (0.5.30ubuntu1) hoary; urgency=low

  * Need to Depend: bzip2 or Packages.bz2 fail.

 -- LaMont Jones <lamont@canonical.com>  Thu, 18 Nov 2004 12:51:05 -0700

apt (0.5.30) hoary; urgency=low

  * Patch from Michael Vogt to enable Packages.bz2 use, with a fallback to
    Packages.gz if it is not present (Closes: #37525)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 15 Nov 2004 12:57:28 -0800

apt (0.5.29) unstable; urgency=low

  * Don't hardcode paths in apt.cron.daily
  * Add to apt.cron.daily the capability to pre-download upgradeable
    packages
  * Place timestamp files in /var/lib/apt/periodic, rather than
    /var/lib/apt itself
  * Standardize debhelper files a bit
    - Create all directories in debian/dirs rather than creating some on
      the dh_installdirs command line
    - Rename debian/dirs to debian/apt.dirs, debian/examples to
      debian/apt.examples

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Nov 2004 17:58:07 -0800

apt (0.5.28) hoary; urgency=low

  * Translation updates:
    - Updated Hungarian from Kelemen Gábor <kelemeng@gnome.hu> (Closes: #263436)
    - Updated Greek from George Papamichelakis (Closes: #265004)
    - Updated Simplified Chinese from Tchaikov (Closes: #265190)
    - Updated French by Christian Perrier (Closes: #265816)
    - Updated Japanese by Kenshi Muto (Closes: #265630)
    - Updated Catalan from Jordi Mallach
    - Updated Dutch from Bart Cornelis (Closes: #268258, #278697)
    - Updated Portuguese from Miguel Figueiredo (Closes: #268265)
    - Updated Polish from Robert Luberda <robert@debian.org> (Closes: #268451)
    - Updated Danish from Claus Hindsgaul (Closes: #269417)
    - Updated Norwegian Nynorsk from Håvard Korsvoll <korsvoll@skulelinux.no>
      (Closes: #269965)
    - Updated Russian from Yuri Kozlov <yuray@id.ru> (Closes: #271104)
    - Updated Italian from Samuele Giovanni Tonon <samu@debian.org>
      (Closes: #275083)
    - Updated Brazilian Portuguese from Andre Luis Lopes (Closes: #273944)
    - Updated Slovak from Peter Mann (Closes: #279481)
  * APT::Get::APT::Get::No-List-Cleanup -> APT::Get::List-Cleanup in apt-get.cc
    (Closes: #267266)
  * Merge Ubuntu changes:
    - Set default Dpkg::MaxArgs to 1024, and Dpkg::MaxArgBytes to 32k.
      Needed to work around ordering bugs when installing a large number of
      packages
    - Patch from Michael Vogt to add an optional cron job which
      can run apt-get update periodically
  * Add arch-build target to debian/rules

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Nov 2004 15:52:20 -0800

apt (0.5.27) unstable; urgency=high

  * Sneak in a bunch of updated translations before the freeze
    (no code changes)
  * Translation updates:
    - New Finnish translation from Tapio Lehtonen <tale@debian.org>
      (Closes: #258999)
    - New Bosnian translation from Safir Šećerović <sapphire@linux.org.ba>
      (Closes: #254201)
    - Fix Italian incontrario (Closes: #217277)
    - Updated Spanish from Ruben Porras (Closes: #260483)
    - Updated Danish from Claus Hindsgaul (Closes: #260569)
    - Updated Slovak from Peter Mann (Closes: #260627)
    - Updated Portuguese from Miguel Figueiredo (Closes: #261423)
  * Bring configure-index up to date with documented options, patch from
    Uwe Zeisberger <zeisberg@informatik.uni-freiburg.de> (Closes: #259540)
  * Note in apt.conf(5) that configure-index does not contain strictly
    default values, but also examples
  * Add Polish translation of offline.sgml (Closes: #259229)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Jul 2004 09:30:12 -0700

apt (0.5.26) unstable; urgency=low

  * Translation updates:
    - Spanish update from Ruben Porras <nahoo82@telefonica.net> (Closes: #248214)
    - Sync Spanish apt(8) (Closes: #249241)
    - French update from Christian Perrier <bubulle@debian.org> (Closes: #248614)
    - New Slovak translation from Peter Mann <Peter.Mann@tuke.sk> (Closes: #251676)
    - Czech update from Miroslav Kure <kurem@upcase.inf.upol.cz> (Closes: #251682)
    - pt_BR update from Andre Luis Lopes <andrelop@debian.org> (Closes: #251961)
    - German translation of apt(8) from Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
      (Closes: #249453)
    - pt update from Miguel Figueiredo <elmig@debianpt.org> (Closes: #252700)
    - New Hebrew translation from Lior Kaplan <webmaster@guides.co.il>
      (Closes: #253182)
    - New Basque translation from Piarres Beobide Egaña <pi@beobide.net>
      (Vasco - Euskara - difficult language, Closes: #254407) and already a
      correction (Closes: #255760)
    - Updated Brazilian Portuguese translation from
      Guilherme de S. Pastore <gpastore@colband.com.br> (Closes: #256396)
    - Updated Greek translation (complete now) from
      George Papamichelakis <george@step.gr> (Closes: #256797)
    - New Korean translation from Changwoo Ryu <cwryu@debian.org>
      (Closes: #257143)
    - German translation now available in two flavours: with Unicode usage and
      without (related to #228486, #235759)
  * Update apt-get(8) to reflect the fact that APT::Get::Only-Source will
    affect apt-get build-dep as well as apt-get source
  * Remove aborted remnants of a different method of implementing DEB_BUILD_OPTIONS
    from debian/rules
  * Fix typo in error message when encountering unknown type in source list
    (Closes: #253217)
  * Update k*bsd-gnu arch names in buildlib/ostable (Closes: #253532)
  * Add amd64 to buildlib/archtable (Closes: #240896)
  * Have configure output a more useful error message if the architecture
    isn't in archtable

 -- Matt Zimmerman <mdz@debian.org>  Thu,  8 Jul 2004 15:53:28 -0700

apt (0.5.25) unstable; urgency=low

  * Patch from Jason Gunthorpe to remove arbitrary length limit on Binary
    field in SourcesWriter::DoPackage
  * Fix typo in apt-cache(8) (Closes: #238578)
  * Fix obsolete reference to bug(1) in stub apt(8) man page
    (Closes: #245923)
  * Fix typo in configure-index (RecruseDepends -> RecurseDepends)
    (Closes: #246550)
  * Support DEB_BUILD_OPTIONS=noopt in debian/rules
    (Closes: #244293)
  * Increase length of line buffer in ReadConfigFile to 1024 chars;
    detect if a line is longer than that and error out
    (Closes: #244835)
  * Suppress a signed/unsigned warning in apt-cache.cc:DisplayRecord
  * Build apt-ftparchive with libdb4.2 rather than libdb2
    - Patch from Clint Adams to do most of the work
    - Build-Depends: s/libdb2-dev/libdb4.2-dev/
    - Add AC_PREREQ(2.50) to configure.in
    - Use db_strerror(err) rather than GlobalError::Errno (which uses strerror)
    - Add note to NEWS.Debian about upgrading old databases
  * Attempt to fix problems with chunked encoding by stripping only a single CR
    (Closes: #152711)
  * Modify debian/rules cvs-build to use cvs export, to avoid picking up
    junk files from the working directory
  * Add lang=fr attribute to refentry section of
    apt-extracttemplates.fr.1.sgml and apt-sortpkgs.fr.1.sgml so they are
    correctly built
  * Remove extraneous '\' characters from <command> tags in
    apt_preferences.fr.5.sgml
  * Translation updates:
    - Updated Swedish translation from Peter Karlsson <peter@softwolves.pp.se>
      (Closes: #238943)
    - New Slovenian translation from Jure Čuhalev <gandalf@owca.info>
      (closes: #239785)
    - New Portuguese translation from Miguel Figueiredo <elmig@debianpt.org>
      (closes: #240074)
    - Updated Spanish translation from Ruben Porras <nahoo82@telefonica.net>
    - Updated Spanish translation of man pages from Ruben Porras
      <nahoo82@telefonica.net>
    - Updated Simplified Chinese translation from "Carlos Z.F. Liu" <carlos_liu@yahoo.com>
      (Closes: #241971)
    - Updated Russian translation from Dmitry Astapov <adept@despammed.com>
      (Closes: #243959)
    - Updated Polish translation from Marcin Owsiany <porridge@debian.org>
      (Closes: #242388)
    - Updated Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
      (Closes: #244369)
    - Updated Japanese translation from Kenshi Muto <kmuto@debian.org>
      (Closes: #244176)
    - Run make -C po update-po to update .po files
    - Updated French translation from Christian Perrier <bubulle@debian.org>
      (Closes: #246925)
    - Updated Danish translation from Claus Hindsgaul <claus_h@image.dk>
      (Closes: #247311)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  8 May 2004 12:52:20 -0700

apt (0.5.24) unstable; urgency=low

  * Updated Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
    (Closes: #235822)
  * Updated French translation from Christian Perrier <bubulle@debian.org>
    (Closes: #237403)
  * Updates to XML man pages from richard.bos@xs4all.nl
  * Updated Danish translation from Claus Hindsgaul <claus_h@image.dk>
    (Closes: #237771)
  * Updated Greek translation from Konstantinos Margaritis
    <markos@debian.org>
    (Closes: #237806)
  * Updated Spanish translation from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #237863)
  * Updated pt_BR translation from Andre Luis Lopes <andrelop@debian.org>
    (Closes: #237960)
  * Regenerate .pot file (Closes: #237892)
  * Updated Polish translation from Marcin Owsiany <porridge@debian.org>
    (Closes: #238333)
  * In pkgAcquire::Shutdown(), set the status of fetching items to
    StatError to avoid a sometimes large batch of error messages
    (Closes: #234685)
  * Implement an ugly workaround for the 10000-character limit on the
    Binaries field in debSrcRecordParser, until such time as some things
    can be converted over to use STL data types (ABI change) (Closes: #236688)
  * Increase default tagfile buffer from 32k to 128k; this arbitrary limit
    should also be removed someday (Closes: #174945)
  * Checked against Standards-Version 3.6.1 (no changes)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Mar 2004 22:47:55 -0800

apt (0.5.23) unstable; urgency=low

  * Cosmetic updates to XML man pages from Richard Bos <radoeka@xs4all.nl>
  * Use the 'binary' target rather than 'all' so that the ssh and bzip2
    symlinks are created correctly (thanks to Adam Heath)
    (Closes: #214842)
  * Updated Simplified Chinese translation of message catalog from Tchaikov
    <chaisave@263.net> (Closes: #234186)
  * Change default for Acquire::http::max-age to 0 to prevent index files
    being out of sync with each other (important with Release.gpg)
  * Add an assert() to make sure that we don't overflow a fixed-size
    buffer in the very unlikely event that someone adds 10 packaging
    systems to apt (Closes: #233678)
  * Fix whitespace in French translation of "Yes, do as I say!", which
    made it tricky to type, again.  Thanks to Sylvain Pasche
    <sylvain.pasche@switzerland.org> (Closes: #234494)
  * Print a slightly clearer error message if no packaging systems are
    available (Closes: #233681)
  * Point to Build-Depends in COMPILING (Closes: #233669)
  * Make debian/rules a bit more consistent in a few places.
    Specifically, always use -p$@ rather than an explicit package name,
    and always specify it first, and use dh_shlibdeps -l uniformly rather
    than sometimes changing LD_LIBRARY_PATH directly
  * Document unit for Cache-Limit (bytes) (Closes: #234737)
  * Don't translate "Yes, do as I say!" in Chinese locales, because it can
    be difficult to input (Closes: #234886)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 26 Feb 2004 17:08:14 -0800

apt (0.5.22) unstable; urgency=low

  * Updated French translation of man pages from Philippe Batailler
    <philippe.batailler@free.fr> (Closes: #203119)
  * Initialize StatusFile in debSystem (Closes: #229791)
  * Fix apt-get's suggests/recommends printing, which was skipping every
    other dependency due to both using GlobOr and incrementing the DepIterator
    (Closes: #229722)
  * Restore SIGINT/SIGQUIT handlers to their old values (rather than
    SIG_DFL) after invoking dpkg (Closes: #229854)
  * Updated Dutch translation of message catalog from cobaco
    <cobaco@linux.be> (Closes: #229601)
  * Catalan translation from Antoni Bella, Matt Bonner and Jordi Mallach
    (Closes: #230102)
  * Simplified Chinese translation of message catalog from "Carlos
    Z.F. Liu" <carlos_liu@yahoo.com> (Closes: #230960)
  * Replace SGML manpages with XML man pages from richard.bos@xs4all.nl
    (Closes: #230687)
  * Updated Spanish translation of man pages from Ruben Porras
    <nahoo82@telefonica.net> (Closes: #231539)
  * New Czech translation of message catalog from Miroslav Kure
    <kurem@upcase.inf.upol.cz> (Closes: #231921)

 -- Matt Zimmerman <mdz@debian.org>  Mon,  9 Feb 2004 12:44:54 -0800

apt (0.5.21) unstable; urgency=low

  * Patch from Eric Wong <normalperson@yhbt.net> to include apt18n.h after
    other headers to avoid breaking locale.h when setlocale() is defined
    as an empty macro.  This was not a problem on Debian, but broke
    compilation on Solaris. (Closes: #226509)
  * Updated French translation from Pierre Machard <pmachard@debian.org>
    (Closes: #226886)
  * Add colons to apt-get's "kept back"/"upgraded"/"downgraded" messages
    (Closes: #226813)
  * Fix typo in apt-cache(8) (Closes: #226351)
  * Clearer error message in place of "...has no available version, but
    exists in the database" (Closes: #212203)
  * Patch from Oliver Kurth <oku@masqmail.cx> to use AC_CACHE_VAL for
    GLIBC_VER to make cross-compilation easier (Closes: #221528)
  * Add example preferences file (Closes: #220799)
  * Updated Greek translation from Konstantinos Margaritis <markos@debian.org>
    (Closes: #227205)
  * Updated Spanish translation of man pages from Ruben Porras
    <nahoo82@telefonica.net> (Closes: #227729)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 16 Jan 2004 10:54:39 -0800

apt (0.5.20) unstable; urgency=low

  * Fixed German translations of "Suggested" from Christian Garbs
    <debian@cgarbs.de> (Closes: #197960)
  * Add an "apt-cache madison" command with an output format similar to
    the katie tool of the same name (but less functionality)
  * Fix debSourcesIndex::Describe() to correctly say "Sources" rather than
    "Packages"

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Jan 2004 23:42:50 -0800

apt (0.5.19) unstable; urgency=low

  * Fix Packages::Extensions support in apt-ftparchive generate
    (Closes: #225453)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Jan 2004 16:20:31 -0800

apt (0.5.18) unstable; urgency=low

  * New no_NO.po file from Tollef Fog Heen <tfheen@debian.org> to fix
    encoding problems (Closes: #225602)
  * Have "apt-ftparchive release" strip the leading path component from
    the checksum entries

 -- Matt Zimmerman <mdz@debian.org>  Fri,  2 Jan 2004 11:24:35 -0800

apt (0.5.17) unstable; urgency=low

  * Enable apt-ftparchive to generate Release files.  Hopefully this will
    make it easier for folks to secure their apt-able packages

 -- Matt Zimmerman <mdz@debian.org>  Fri, 26 Dec 2003 12:53:21 -0800

apt (0.5.16) unstable; urgency=low

  * po/de.po update from Michael Karcher <karcher@physik.fu-berlin.de>
    (Closes: #222560)
  * Update config.guess and config.sub from autotools-dev 20031007.1
  * Add knetbsd to buildlib/ostable (Closes: #212344)
  * Don't suggest apt-get -f install to correct broken build-deps; broken
    installed packages are rarely the cause (Closes: #220858)
  * Avoid clobbering configure.in if sed fails

 -- Matt Zimmerman <mdz@debian.org>  Wed, 24 Dec 2003 14:54:40 -0800

apt (0.5.15) unstable; urgency=low

  * Spanish man pages, patch from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #195444)
    - apt.es.8 wasn't included in the patch, but was referenced.  Fetched
      version 1.3 from debian-doc cvs
    - Create doc/es/.cvsignore
  * Patch from Koblinger Egmont <egmont@uhulinux.hu> to fix
    pkgCache::PkgFileIterator::Label() to correctly refer to File->Label
    rather than File->Origin (Closes: #213311)
  * Add missing comma and space to German translation of "downgraded"
    (Closes: #213975)
  * Add missing comma in apt_preferences(5) (Closes: #215362)
  * Fix whitespace in French translation of "Yes, do as I say!", which
    made it tricky to type.  Thanks to Sylvain Pasche
    <sylvain.pasche@switzerland.org> (Closes: #217152)
  * Let apt-get build-dep try alternatives if the installed package
    doesn't meet version requirements (Closes: #214736)
  * Fix version display for recommends (Closes: #219900)
  * Use isatty rather than ttyname for checking if stdin is a terminal.
    isatty has the advantage of not requiring /proc under Linux, and thus
    Closes: #221728
  * Correctly implement -n as a synonym for --names-only (Closes: #224515)
  * Update apt-cache(8)
    - Document --installed
    - --recursive applies to both depends and rdepends
  * Japanese translation of documentation from Kurasawa Nozomu <nabetaro@slug.jp>
    (Closes: #186235)
  * Clarify documentation of --no-upgrade in apt-get(8) (Closes: #219743)
  * Clean up and simplify some of the suggests/recommends display in apt-get
  * Use cvs update -d in debian/rules cvs-build rather than just update
  * Pass --preserve-envvar PATH --preserve-envvar CCACHE_DIR to debuild.  apt
    takes a long time to build, and ccache helps

 -- Matt Zimmerman <mdz@debian.org>  Sat, 20 Dec 2003 16:34:30 -0800

apt (0.5.14) unstable; urgency=low

  * apt-get build-dep, when trying to skip over the remaining elements of
    an or-expression, would accidentally inherit the version requirements of a
    later item in the or-expression.  Fixed it.
  * Let apt-get build-dep try alternatives if the first dependency in an
    or-expression is not available
  * Add a Debug::BuildDeps to generate some trace output
  * Help apt-get build-dep produce more useful error messages
  * Process build-dependencies in forward rather than reverse order
  * Error out if an installed package is too new for a << or <=
    build-dependency
  * apt-get build-dep should now be able to handle almost any package with
    correct build-depends.  The primary exception is build-dependencies on
    virtual packages with more than one provider, and these are
    discouraged for automated processing (but still common,
    unfortunately).

 -- Matt Zimmerman <mdz@debian.org>  Tue, 23 Sep 2003 22:57:31 -0400

apt (0.5.13) unstable; urgency=medium

  * Document configuration file comment syntax in apt.conf(5)
    (Closes: #211262)
  * s/removed/installed/ in a comment in apt-get.cc
  * Move comment for ListParser::ParseDepends into the right place
  * Don't preserve ownership when copying config.guess and config.sub.
    This broke builds where the clean target was run with different
    privileges than the rest of the build (i.e., root) (Closes: #212183)
  * On second thought, don't copy config.guess and config.sub at all.  I'd
    rather they always match what is in CVS.

 -- Matt Zimmerman <mdz@debian.org>  Mon, 22 Sep 2003 10:28:17 -0400

apt (0.5.12) unstable; urgency=low

  * Exclude subdirectories named 'debian-installer' from the apt-cdrom
    search (Closes: #210485 -- release-critical)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 11 Sep 2003 21:48:14 -0400

apt (0.5.11) unstable; urgency=low

  * Updated pt_BR translations from Andre Luis Lopes <andrelop@debian.org>
    (Closes: #208302)
  * In apt.conf(5), give the fully qualified name of Dir::Bin::Methods,
    rather than just "methods"
  * Add new nb and nn translations from Petter Reinholdtsen <pere@hungry.com>
  * Clean up reportbug script a bit, and extend it to distinguish between a
    configuration file not existing and the user declining to submit it with
    the report
  * Add #include <langinfo.h> to cmdline/apt-get.cc.  This apparently gets
    pulled in by something else with recent g++ and/or glibc, but is
    required when building on, e.g., stable
  * Patch from Koblinger Egmont <egmont@uhulinux.hu> to fix version
    comparisons with '~' (Closes: #205960)
  * Disable Russian translation until someone can review it
    (Closes: #207690)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 10 Sep 2003 19:41:28 -0400

apt (0.5.10) unstable; urgency=low

  * Correct the section in apt_preferences(5) on interpreting priorities
    to show that zero is not a valid priority, and print a warning if such
    a pin is encountered in the preferences file (Closes: #204971)
  * Regenerate French man pages from sgml source (Closes: #205886)
  * Get self-tests compiling again, updated for latest library API
    and g++ 3.3
  * Add version comparison tests for #194327 and #205960
  * Fix error message in version test to output versions in the order in
    which they were compared when the reverse comparison fails
  * Reference the source package bug page rather than the one for the
    binary package 'apt' in the man pages (Closes: #205290)
  * Updated Polish po file from Marcin Owsiany <porridge@debian.org>
    (Closes: #205950)
  * Mention some of the available frontends in apt-get(8) (Closes: #205829)
  * Add apt-config to SEE ALSO section of apt-get (Closes: #205036)
  * Add missing "lang" attributes to refentry tags in French man pages
    (apt-cdrom, apt-extracttemplates, apt-sortpkgs)
  * Change upgraded/newly installed/not fully installed or removed
    messages to be consistent and somewhat shorter (some translations
    exceeded 80 characters even in the simplest case)
  * Make APT::Get::Show-Upgraded (aka apt-get -u) default to true.
  * Updates to Dutch translation from Bart Cornelis <cobaco@linux.be>
    (Closes: #207656)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 31 Aug 2003 21:12:39 -0400

apt (0.5.9) unstable; urgency=low

  * Oh well, apt isn't going to make it into testing anytime soon due to
    new glibc and gcc deps, so we might as well fix more bugs
  * Fix typo in example ftp-archive.conf (Closes: #203295)
  * Mention default setting for --all-versions (Closes: #203298)
  * Patch from Otavio Salvador <otavio@debian.org> to have --version
    only print the version (and not usage as well) (Closes: #203418)
  * Patch from Otavio Salvador <otavio@debian.org> to switch from
    dh_installmanpages to dh_installman.  Fixes the problem where the
    pt_BR man page was installed in the wrong location (Closes: #194558)
  * Move the French apt-ftparchive man page into apt-utils where it
    belongs.  apt-utils Replaces: apt (<< 0.5.9)
  * Write records from "apt-cache show" using fwrite(3) rather than
    write(2), in case for some reason the entire record doesn't get
    written by a single write(2)
  * Add new French man pages to doc/fr/.cvsignore
  * Add freebsd to buildlib/ostable (Closes: #193430)
  * Avoid segfault if a package name is specified which consists
    entirely of characters which look like end tags ('+', '-')
    (Closes: #200425)
  * Patch from Otavio Salvador <otavio@debian.org> to avoid listing
    suggests/recommends for packages which are selected for installation
    at the same time as the package which suggests/recommends them
    (Closes: #200102)
  * Patch from Otavio Salvador <otavio@debian.org> to avoid listing
    suggests/recommends which are Provided by a package which is already
    installed (Closes: #200395)
  * Patch to update pt_BR man page for apt_preferences(5) from Andre Luis
    Lopes <andrelop@debian.org> (Closes: #202245)
  * Use nl_langinfo(YESEXPR) rather than comparing to the translated
    string "Y".  Closes: #200953 and should make the prompting generally
    more robust in the face of i18n.  In the particular case of #200953,
    it was being fooled because of signedness issues with toupper(3)
    (Closes: #194614)
  * apt Suggests: aptitude | synaptic | gnome-apt | wajig
    (Closes: #146667)
  * Clean up whitespace in translated strings in ru.po, which messed up
    indentation (some other translations probably have similar problems)
    (Closes: #194282)
  * Run ispell -h over the man page sources and fix a bunch of typos
  * Use debian/compat rather than DH_COMPAT
  * Update to debhelper compatibility level 3
    - remove ldconfig calls from debian/{postinst,postrm} as dh_makeshlibs
      will add them
    - echo 3 > debian/compat
    - Build-Depends: debhelper (>= 3)
  * Exclude '.#*' from cvs-build
  * Let the ftp method work with ftp servers which do not require a
    password (Closes: #199425)
  * Build-depend on debhelper >= 4.1.62, because we need the fix for
    #204731 in order for dh_installman to work correctly
    with our SGML man pages
  * Move dh_makeshlibs ahead of dh_installdeb so that its postinst
    fragments are properly substituted

 -- Matt Zimmerman <mdz@debian.org>  Sun, 10 Aug 2003 19:54:39 -0400

apt (0.5.8) unstable; urgency=medium

  * urgency=medium because the changes since 0.5.5.1 are pretty safe as
    far as core functionality, 0.5.5.1 survived unstable for 10 days, and
    I don't want to delay apt's progress into testing any further.  It's
    decidedly better than 0.5.4.
  * Clarify the meaning of the only-source option in apt-get(8)
    (Closes: #177258)
  * Updated French man pages from Philippe Batailler
    <philippe.batailler@free.fr> (Closes: #182194)
  * Give a warning if an illegal type abbreviation is used when looking up a
    configuration item (Closes: #168453)
  * Improve build-depends handling of virtual packages even further, so that
    it will now also try to satisfy build-depends on virtual packages if they
    are not installed.  Note that this only works if there is only one
    package providing the virtual package, as in other cases (Closes: #165404)
  * Update config.guess and config.sub from autotools-dev 20030717.1
  * Tweak SGML in apt-extracttemplates.1.sgml so that literal '>' doesn't end
    up in output
  * Document SrcDirectory in apt-ftparchive.1.sgml (Closes: #156370)
  * Support TMPDIR in apt-extracttemplates (Closes: #191656)
  * Fix ru.po to use a capital letter for the translation of 'Y' so that
    YnPrompt works correctly (Closes: #200953).  No other translations seem
    to have this problem
  * Regenerate POT file and sync .po files
  * Only try to clear stdin if it is a tty, to avoid looping if there is
    lots of stuff (perhaps an infinite amount) to read (Closes: #192228)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 25 Jul 2003 20:21:53 -0400

apt (0.5.7) unstable; urgency=low

  * Update control file to match overrides (apt priority important,
    libapt-pkg-dev section libdevel)
  * Silence the essential packages check if we are only downloading
    archives and not changing the system (Closes: #190862)
  * Skip version check if a build-dependency is provided by an installed package
    (Closes: #126938)
  * Have apt-cache show exit with an error if it cannot find any of the
    specified packages (Closes: #101490)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 21 Jul 2003 23:43:24 -0400

apt (0.5.6) unstable; urgency=low

  * Adam Heath <doogie@debian.org>
    - Fix segfault when handling /etc/apt/preferences.  Closes: #192409.
  * Matt Zimmerman <mdz@debian.org>
    - Clean up some string handling, patch from Peter Lundkvist
      <p.lundkvist@telia.com> (Closes: #192225)
    - Don't fall off the end of the buffer when comparing versions.
      Patch from Koblinger Egmont <egmont@uhulinux.hu> (Closes: #194327)
    - Minor fixes to apt-ftparchive(1) (Closes: #118156)
    - Fix typo in apt-ftparchive help text (Closes: #119072)
    - More typos in apt-ftparchive help text (Closes: #190936)
    - Update config.guess, config.sub to latest versions
    - Modify the description for apt-utils to reflect the fact that it is not
      (any longer) infrequently used (Closes: #138045)
    - Make setup script for dselect method more explicit about
      overwriting sources.list (Closes: #151727)
    - Fix typo in apt-cache(8) (Closes: #161243)
    - Remove duplicate 'showpkg' from synopsis on apt-cache(8)
      (Closes: #175611)
    - Document in apt-get(8) the meaning of the '*' in ShowList, which is that
      the package is being purged (Closes: #182369)
    - Fix extra "/" character in apt.conf(5) (Closes: #185545)
    - Fix typo in tar error message (Closes: #191424)
    - Clarify description of 'search' on apt-cache(8) (Closes: #192216)
    - Fix incorrect path for 'partial' directory on apt-get(8)
      (Closes: #192933)
    - Fixes to pt_BR translation from Andre Luis Lopes <andrelop@ig.com.br>
      (Closes: #196669)
    - Updated apt_preferences(5) man page with many corrections and
      clarifications from Thomas Hood <jdthood@yahoo.co.uk>
      (Closes: #193336)
    - Fix SGML validation errors in apt-cache.8.sgml introduced in 0.5.5 or so
    - Add a simple example to apt-ftparchive(1) (Closes: #95257)
    - Add bug script for collecting configuration info (Closes: #176482)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 21 Jul 2003 01:59:43 -0400

apt (0.5.5.1) unstable; urgency=low

  * Move the target of the example docs from doc to binary.  Closes:
    #192331
  * Fix api breakage that broke apt-ftparchive and apt-cache dumpavail, by
    backing out change that incorretly attempted to handle Package sections
    larger than 32k.  Closes: #192373
  * Fix never-ending loop with apt-get install -V.  Closes: #192355.

 -- Adam Heath <doogie@debian.org>  Mon, 19 May 2003 12:30:16 -0500

apt (0.5.5) unstable; urgency=low

  * New deb version compare function, that has no integer limits, and
    supports pre-versions using ~.  Code ported from dpkg.
  * Fix handling of [!arch] for build-dependencies. Closes: #88798, #149595
  * Fix handling of build-deps on unknown packages. Closes: #88664, #153307
  * "apt-get --arch-only build-dep" to install only architecture-
    dependent build dependencies. Bump minor shared lib number to reflect
    small change in BuildDepend API.
  * APT::Build-Essential configuration option (defaults to "build-essential")
    so that "apt-get build-dep" will ensure build essential packages are
    installed prior to installing other build-dependencies. Closes: #148879
  * LD_LIBRARY_PATH thing. Closes: #109430, #147529
  * /usr/doc reference in postinst. Closes: #126189
  * Doc updates. Closes: #120689
  * Possible apt-cache segfault. Closes: #120311, #118431, #117915, #135295,
          #131062, #136749
  * Print special message for EAI_AGAIN. Closes: #131397
  * libapt-pkg-dev needs to bring in the apt-inst library if linking
    is to work. Closes: #133943
  * Typos, Doc Stuff. Closes: #132772, #129970, #123642, #114892, #113786,
         #109591, #105920, #103678, #139752, #138186, #138054, #138050,
	 #139994, #142955, #151654, #151834, #147611, #154268, #173971
  * Fix possibility for tag file parsing to fail in some unlikely situations.
    Closes: #139328
  * Use std C++ names for some header files. Closes: #128741
  * Do not check for free space if --no-download. Closes: #117856
  * Actually implement or group handling for 'upgrade'. Closes: #133950
  * "Internal Error, Couldn't configure pre-depend" is not actually an
    internal error, it is a packaging error and now it says so, and
    pinpoints the problem dependency. Closes: #155621
  * Allows failure to write to a pipe for post-invoke stuff. Closes: #89830
  * Use usr/share/doc for dhelp. Closes: #115701
  * --print-uris works with 'update'. Closes: #57070
  * Options Dpkg::MaxArgs,Dpkg::MaxArgBytes to allow a much longer dpkg
    command line.
  * Fixed 2 little OR group bugs, thanks to Yann Dirson. Closes: #143995,
    #142298
  * Allow an uninstalled package to be marked for removal on an install
    line (meaning not to automatically install it), also fix some dodgy
    handling of protected packages. Closes: #92287, #116011
  * Fix errant prefix matching in version selection. Closes: #105968
  * Ensure that all files needed to run APT as a user are readable and
    ignore roots umask for these files. Closes: #108801
  * Support larger config spaces. Closes: #111914
  * 'apt-get update' no longer does 'Building Dependency Tree'.
  * When matching regexs allways print a message. Change regex activation
    charset. Closes: #147817
  * Don't die if lines in sources.list are too long. Closes: #146846
  * Show file name on apt-extracttemplate error messges. Closes: #151835
  * i18n gettext stuff, based on work from Michael Piefel: Closes: #95933
  * Some highly unlikely memory faults. Closes: #155842
  * C++ stuff for G++3.2. Closes: #162617, #165515,
  * apt-config dumps sends to stdout not stderr now.  Closes: #146294
  * Fix segfault in FindAny when /i is used, and there is no default.
    Closes: #165891
  * Add s390x to archtable.  Closese: #160992.
  * Update config.sub/config.guess in cvs, and add support to debian/rules
    to update them from /usr/share/misc if they exist.  Closes: #155014
  * Remove 'Sorry' from messages.  Closes: #148824.
  * Change wording of 'additional disk space usage' message.  Closes:
    #135021.
  * apt-extracttemplates now prepends the package name when extracting
    files.  Closes: #132776
  * Add -n synonym for --names-only for apt-cache.  Closes: #130689
  * Display both current version and new version in apt-get -s.  Closes:
    #92358
  * Add an options and timeout config item to ssh/rsh.  Closes: #90654
  * libapt-pkg-dev now depends on apt-utils.  Closes: #133942.
  * Change verbose logging output of apt-ftparchive to go to stderr,
    instead of stdout.  Also, errors that occur no longer go to stdout,
    but stderr.  Closes: #161592
  * Test for timegm in configure.  Closes: #165516.
  * s/st_mtime/mtime/ on our local stat structure in apt-ftparchive, to
